NW4C SoundMaker

NintendoWare for CTR
NW4C SoundMaker
Version 2.0.0
2011/02/28

Confidential

This document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries. No part of this document may be released, distributed, transmitted, or reproduced in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.

This document contains proprietary information. Please take strict measures to keep this information confidential.

© 2009-2011 Nintendo/HAL Laboratory, Inc. All rights reserved.
CTR-06-0151-001-1

Microsoft Internet Explorer 7.0 / Mozilla Firefox 3.0 or later versions are recommended.


Revision History

([*]) is a link to the relevant page.

Version 2.0.0 2011/02/28

    *NOTE*

    - Microsoft .NET Framework 3.5 service pack 1 must be installed to run NW4C SoundMaker.

Added/Modified Functionality

  • (SoundMaker) Shortened the time it takes window to close after conversion is completed.

    • After conversion was completed all of the files were copied. That has been changed so that now only the necessary files are copied.

  • (Converter) Changed the specification for converting SMF files.

    • The CSEQ file that is created when the SMF file is converted is now output to the cache folder.

    In line with this, the Keep the Text Sequence File That Was Converted from the SMF File item in the Project Settings has been deleted.

    As a substitute feature, you can select SEQ and then select Create a Text Sequence File from the context menu to convert the specified SMF file to CSEQ.

  • (Converter) Changed the specification for converting stream sounds.

    • The conditions for BCSTM file conversion were revamped and the specification changed so reconversion is not carried out when unnecessary.

    Before this, when a sound set file was changed, all stream sounds in that file were reconverted. Henceforth, reconversion is only carried out if either the stream sound track structure, waveform file path, volume or pan has been changed.

  • (SoundPlayer) SoundPlayer now supports HioSoundPlayer MIDI playback.

    • Added the PreviewBank page to HioSoundPlayer.
    With this addition, MIDI Play Preview, which previously could only be used with SoundPlayer, can now also be used with HioSoundPlayer.

  • (Document) Added a description of the system preview tool. [*]

    • A description of the system preview tool (SoundPlayer / HioSoundPlayer / Viewer) has been added to the the SoundMaker User's Guide (Playing Sounds on Actual Hardware > About the System Preview Tool).

  • (Document) Added a description of UIC-MIDI. [*]

    • A description of UIC-MIDI has been added to the the SoundMaker User's Guide (Playing Sounds on Actual Hardware > SoundPlayer > UIC-MIDI).

Bug Fixes

  • (SoundMaker) Corrected the error message for Register Related Items.

    • In the group setting for Register Related Items for sequence sounds, an error message stating that you can only select ALL would display if Automatic (Shared) or Automatic (Individual) was set for the waveform archive setting. That error message has been corrected, since in such cases you can also select BANK + WARC and Only SEQ/SEQSET.

  • (SoundMaker) Corrected the delayed sound response of PC preview in Windows 7.

    • The timing of sound generation would sometimes be delayed in the Windows 7 environment under these conditions:

      - PC preview playback of various sound lists
    - PC preview playback of instrument lists
    - PC preview playback using Sample Map software keyboard

    That problem has been corrected.

  • (SoundMaker) Fixed malfunction of SoundPlayer creation.

    • The error log display would freeze and SoundPlayer creation would stop working. That problem was fixed.

  • (SoundPlayer) There was a problem launching SoundPlayer when there were no sounds. That was fixed.

    • SoundPlayer / HioSoundPlayer was started by loading a sound archive that did not contain even a single sound, the startup process would halt on an exception. That problem was fixed.

Known Issues

  • (SoundMaker) Rendering may not be performed properly in the tool when a value other than the normal size (96 DPI) is selected for the operating environment's DPI settings. [*]

    • No timeframe has been set to correct this problem.

  • (SoundMaker) Playback of certain sequence sounds will crash the application.

    • SoundMaker will crash when you try to preview a sequence on the computer that includes a sequence sound with the alloctrack command.

  • (SoundMaker) There are bugs related to displaying search results.

    • An exclamation point is always attached to instruments displayed in the Search Results window.

  • (SoundMaker) There are bugs related to renaming Players.

    • Even if you rename a Player and resolve broken links, the exclamation mark persists and conversion attempts result in an internal error.
    To recover from this, reopen the project in which the error occurs.

  • (SoundMaker) There is a bug in cell copying.

    • When you select Copy Cell in the Duration column or Front Bypass column, nothing gets copied. The Copy Cell menu in the Play column does not appear grayed-out.

  • (SoundMaker) There is a bug related to unlinking banks.

    • A warning icon ("!") is not being displayed in the sequence sound list even if a bank that doesn't exist in the project is specified as a sequence sound.

  • (SoundMaker) There is a bug related to the project restore feature.

    • When you execute Restore Project and select Specify folder to search, the first time folders are browsed the folder structure is shown as an expanded tree, but if file that you want is not in that searched folder and you browse the folders again, the tree is not shown in expanded form.

  • (SoundMaker) There is a bug relating to the setting of HTML sound lists.

    • From the HTML Sound List tab of the Project Settings, if the Edit the Specified List window is opened by pressing the Edit the Specified List button and then closed, the checked selections for the Output List in the Output Item tab are all cleared.

  • (SoundMaker) There is a bug related to the output of HTML sound lists.

    • From the HTML Sound List tab of the Project Settings, when the Edit the Specified List is pressed and a new list is created and the project reconverted, the HTML Sound List is output with the newly created settings and not with the settings indicated by the name of the output settings.

  • (SoundMaker) There is a bug related to the setting of item names.

    • In the case where an item is being added to the sound list and the check box for Attach Prefix is cleared in the Item Name tab of the Project Settings, under these circumstances if the file being selected has a name that starts with a number, then when the item name is created from the file name an underscore symbol will display at the start of the item name.

    This does not happen if the item name begins with a letter.

  • (SoundMaker) There is a bug related to the deleting of items from lists.

    • A list item that was the focus will no longer be the focus after a name sort or other sort.
    In this state the Copy-Cut-Delete icon will remain lighted in the toolbar and an application error will occur if you press the Cut-Delete buttons.

  • (SoundMaker) There is a bug related to the items output from HTML instrument lists.

    • The added Sound items Duration, Ticks and Interpolation Type do not exist among the HTML Instrument List Output items, so they cannot be output.

  • (SoundMaker) There is a problem with PC preview Filter effects.

    • The LPF and Biquad filters do not work for PC emulation playback.

  • (SoundMaker) There is a problem with Undo following Select Item and Paste.

    • If you perform Edit > Select Item and Paste on a sound list, the edit mark will show in the project tree but there is no apparent change on the list.
    If at this point you perform Undo an application error will occur.

  • (SoundMaker) There is a problem with wording of error regarding Register Related Items.

    • In the automatic settings for waveform archives, if the group setting for Register Related Items is changed to a setting that includes neither Waveform Archive nor Bank or WSDSET, then an error displays prompting you to specify ALL. However, that is not you only option, since at such times you can also specify Only BANK and WARC or Only SEQ/SEQSET.

  • (SoundMaker) There is a problem generating .cseq files from .mus files.

    • When importing, sometimes an incomplete .cseq file is generated from the .mus file.
    This problem is that the .cseq file is supposed to have only the data portion of the .mus file, but sometimes the table portion of the .mus file remains behind.

  • (SoundMaker) There is a bug related to item name when adding item.

    • Even though the check box for Attach Prefix is not marked in Item Name tab in the Project Settings, sometimes a prefix will nevertheless be attached when an item is added from the Create New dialog.

  • (SoundMaker) There is a bug related to the changing of bank label names.

    • When you change the label name of a bank, the sequence sound using that bank does not change the label name accordingly, so an error message will display when you preview play or convert the sequence.

  • (SoundMaker) There is a bug related to the addition of waveform files.

    • When a waveform file is added to an instrument list, the string for the original key contained in that waveform file does not get applied.

  • (Converter) No error message has been prepared for stream sound conversion errors.

    • When a WAV file with invalid loop information is converted, an internal error occurs but no error message is displayed, so the user does not know what is wrong.

  • (Converter) There is a bug causing internal errors when converting.

    • Under the following circumstances, an internal error will be displayed:

       - Project includes group item with broken link.
    - Different types of items share the same name.
    - After a sequence conversion error.

  • (Converter) There is a problem with text sequences converted from SMF.

    • When a File Type:[SMF] .mid file is converted on SoundMaker, a .cseq text sequence file is output to the folder of the .mid file. If this text sequence is directly specified as File Type:[Text] and reconverted, the .cseq text sequence file will get deleted.
    Because of this bug, the file cannot be found on subsequent conversions so an error will occur.

Version 1.3.0 2010/12/13

Added/Modified Functionality

  • (SoundMaker) Added a key input-based playback feature to the Parameters panel. [*]

    • A feature has been added to the Parameters panel for playing back the target instrument by pressing the space key.

  • (SoundMaker) Added 3D parameters.

    • The following 3D parameters can now be set.

       - 3D Span and 3D Filter for the various sound lists (STRM/WSD/SEQ)
    - S pan for wave sound lists

  • (Documentation) Added notes about running HioSoundPlayer. [*]

    • Added the following note to the HioSoundPlayer page of the SoundMaker User's Guide regarding the execution of HioSoundPlayer.

       - Start this tool when PARTNER-CTR HIO-Daemon is not running.
    - HIO-Daemon, the PARTNER-CTR Debugger and SoundMaker must be restarted if the environment variable NW4C_ROOT has been set or has been changed.
    (This includes cases in which setup.wsf of NW4C has been executed.）

  • (Documentation) Clarified the sound heap size of SoundPlayer. [*]

    • The following information about SoundPlayer has been added to the SoundMaker User's Guide.

       - The heap size for sound data (i.e., the size of memory passed to the nw::snd::SoundHeap::Create function) must be 12MB
    - Required sounds cannot play if the data size is larger than this.

Bug Fixes

  • (General) Added support for separate loading of waveform archives registered to Link groups.

    • Up to this version, if a sound or bank that references a wave archive with separate loading turned on was registered in a group whose output format is "link," all wave data in the corresponding wave archive would be loaded regardless of the fact that separate load was turned on. This bug was fixed.

    For example, consider loading GROUP_SE in a form such as given below:

       - SEQ_SE : BANK_SE : WARC_COMMON (separate loading ON)
    - WSDSET_SE : WARC_COMMON (separate loading ON)
    - GROUP_SE (Link): SEQ_SE (Register ALL related items)

    Up to this version, among WARC_COMMON, waves related to WSDSET_SE were loaded, but starting from this version only waves related to BANK_SE are loaded.

    You must re-convert sound archives to use this feature.

  • (SoundMaker) Fixed a bug related to changes in where instrument envelopes are to be applied.

    • A bug was fixed where the sustain value would change to match the same value as the release if the level at which instrument envelopes are applied is changed from the instrument level to the region level.

  • (SoundMaker) Fixed a bug related to pasting to a Front Bypass cell and then performing a redo.

    • SoundMaker would sometimes crash if a non-Front Bypass check box cell was copied and then pasted two or more times to Front Bypass cells and then a Redo operation was performed. The problem was fixed.

  • (SoundMaker) Fixed problem relating to selection of MIDI input. [*]

    • There was a bug where the same device could be selected for both "MIDI keyboard input" and "MIDI sequencer input" under Options > MIDI. This was changed so that any device selected for "MIDI keyboard input" cannot be selected for "MIDI sequencer input."

  • (SoundMaker) Fixed problem with Copy cell and Paste operations on sequence sound bank.

    • When using "Copy cell" and "Paste" on sequence sound banks, adding the copied content resulted in a multibank where original status could not be restored using "undo." This bug was fixed.

  • (Converter) Fixed problem of SMF CC93 being converted by fxsend_c.

    • Although CC (control change) 93 would be converted by the fxsend_c command when converting SMF files using SoundMaker, this has been changed so that this is ignored and no conversion is performed.

  • (Converter) Fixed problem of fxsend_c command not resulting in error.

    • A bug would occur where no conversion error would result even if the fxsend_c, fxsend_c_r, or fxsend_c_v commands were written to a text sequence, but this has been fixed so that an error now results.

  • (Documentation) Revised the description of operations on independently allocated voices.

    • Corrected mistakes in the explanation about voices allocated independently by the nn::snd::AllocVoice function in Section 7.1.2 Synchronous Processing of the Sound Programmer's Guide.

    The following are the main points of revision.

       - If a sound thread is running in the system core, operations on independently allocated voices must be performed from inside the callback set using the SoundSystem::SetSoundFrameuserCallback function.
    - If a sound thread is running in the application core, operations on independently allocated voices must be performed from the sound thread.

  • (Documentation) Revised the description of automatic (shared, separate) waveform archive settings. [*] [*]

    • Descriptions that might lead to misunderstanding were revised in the SoundMaker User's Guide regarding the Automatic (Shared) and Automatic (Individual) settings for wave sound sets and bank waveform archives.

    Specifically, because the term "owned" was used, the user might take it to mean that data is shared at the wave level, so the description was changed to read that they are "collected together".

  • (Documentation) Revised the description of the relationship between waveform archives and groups. [*]

    • A description of behavior was added to the section on groups in the SoundMaker User's Guide, regarding the relationship between the output format of a group and the Automatic (Shared) and Automatic (Individual) settings for wave sound sets and bank waveform archives.

  • (Documentation) Revised the information regarding confirmed operation on Windows 7.

    • On the Confirmed Operations of NintendoWare for CTR Windows 7 (64-bit) page ($NW4C_ROOT\documents\ReleaseNotes\Windows7.htm), the following items were listed as known bugs in the sound development environment. However, because these problems also arise in non-Windows 7 environments, they have been moved to the list of known bugs in the sound development environment for NintendoWare for CTR in general.

       (SoundMaker) The Browse dialog for the Restore Project folder only shows expanded tree the first time.
    (SoundMaker) Checked selections are cleared from the HTML Sound List's Output List.
    (SoundMaker) HTML Sound List is output with different settings from named settings.
    (SoundMaker) When a numerically named item is created without a prefix, it displays with an underscore at the start of the name.
    (SoundMaker) An application error occurs when deleting item that is no longer in focus due sorting.

    n addition, the following items were deleted because the bugs do not occur in the current version:

       (SoundMaker) Application error occurs when pasting selected item.
    Application error occurs on copy of Playback Button or Playback Time cells.

  • (SoundMaker) Fixed problem when playing HioSoundPlayer streams.

    • When stream sounds were played in HioSoundPlayer, other operations would not be accepted. That bug no longer occurs thanks to revisions to the SDK in CTR_SDK-0.14 and later versions.

  • (SoundPlayer) Fixed bug causing inability to play sounds.

    • There was a bug that caused failure to load data and inability to play sounds. It occurred under the condition described in (A) for banks and wave sounds when they were only registered to groups that met the condition described in (B). The problem has been fixed.

       - (A) Condition for banks and wave sounds: Automatic (Shared) selected for waveform archive.
    - (B) Condition for groups: Embed selected for output format.

    You must re-convert sound archives to apply the fix for this bug.

Version 1.2.0 2010/11/04

Added/Modified Functionality

  • (General) Added a feature for selecting the interpolation type for instruments. [*] [*]

    • The interpolation type can now be selected in instrument lists and percussion lists on SoundMaker.
    For details, read about interpolation types in the Instrument List or Percussion List section of the Bank Tab part of the Practical Guide of the manual.

    In previous versions, the interpolation type as set using the nw::snd::SoundSystem::SetSrcType function only affected stream sounds and wave sounds. With the addition of the feature for selecting the interpolation type for instruments, sequence sounds are now also affected.

  • (SoundMaker) Added a feature related to file exporting. [*] [*]

    • Added a checkbox for Output Labels by Item to the Convert tab of the Project Settings dialog.
    When this check box is selected, ID headers are divided into files by type for export.

  • (SoundMaker) Added a feature for changing the project name notation in the title bar. [*]

    • Added a check box to Display the full file path in the General tab of the Options dialog. When this check box is selected, the full path is given for the project name in the title bar.

  • (Converter) Changed specifications related to the loop settings for waveform files.

    • Changed the specification so that now, when a waveform file has been set to loop but the same frame has been specified for both the starting and stopping points, it is handled as if the waveform file has been set to not loop.

  • (Converter) Removed disabled instruments from the cinl file.

    • When instruments are disabled, the pertinent instruments are not included in the cinl file (the instrument label file) at conversion time.

    This was done so that conversion errors occur in sequences that reference the labels of disabled instruments.

  • (Documentation) Added to Troubleshooting in the SoundMaker User's Guide. [*]

    • Added text to the manual's Troubleshooting chapter to explain what to do when characters no longer display in lists while using SoundMaker.

  • (SoundPlayer) Added a feature to select the clipping mode.

    • Added a feature to the nn::snd::SetClippingMode function to select the clipping mode.
    This can be selected from the OutputMode screen.

  • (SoundPlayer) Deleted the feature for creating SoundPlayer-TS.cia files.

    • The feature for importing cia files was deleted from CTR_SDK-0.14.0 and later versions of DevMenu, so the feature for creating cia files has been deleted from SoundPlayer.

Bug Fixes

  • (SoundMaker) Fixed a bug related to PC preview of sequence sounds.

    • When sequence sounds with a time base of 480 and a tempo of 78 or slower were previewed on the PC, the sounds would not play. That problem has been corrected.

    This symptom reoccurred from version NW4C-1.1.0.

  • (SoundMaker) Fixed a bug related to display of instrument lists.

    • An exception occurred when the percussion tab was opened after deleting a key region. That problem has been fixed.

  • (Converter) Fixed a bug related to waveform conversion.

    • Noise occurred when extremely short, silent waveforms were played. That problem was fixed.

  • (Converter) Fixed problem of instrument compression format not being applied to the conversion result.

    • When the compression format for instruments was changed in SoundMaker, that change was not reflected in the result of the converter. That problem was fixed.

  • (Converter) Fixed a problem with the splitting of Sample Maps.

    • If a Sample Map was split in two and then one of the assigned waveform files was deleted, sound would play even when the deleted region was referenced when the note-on command was performed on the sequence sound.

    This was due to a converter bug that resulted in waveform allocation remaining behind in the deleted region if the Sample Map had an empty region when it was split in two. The problem has now been corrected.

    With this correction, regions with no waveform allocation do not make sounds when note-on is performed.

  • (Converter) Fixed problem with the options settings of the sound project converter.

    • An error occurred with the sound project converter (NW4C_SoundProjectConverter.exe) when options were written first. That problem has been corrected.

  • (SoundMaker) Fixed a problem related to the effect parameter settings.

    • On SoundPlayer, it was possible to set negative values for the effect parameters listed below. That has been corrected.
    - FxReverb::Param::m_EarlyReflectionTime
    - FxReverb::Param::m_FusedTime
    - FxReverb::FilterSize::m_Comb0
    - FxReverb::FilterSize::m_Comb1
    - FxReverb::FilterSize::m_AllPass
    - FxDelay::Param::m_DelayTime

Version 1.1.0 2010/10/04

Added/Modified Functionality

  • (SoundMaker) Added a feature related to the MIDI settings.

    • Added Unspecified as an item to the MIDI Keyboard Input combo box in the Tools > Options > MIDI tab.

    Up until now, when only one corresponding MIDI device was connected it would invariably be selected as MIDI Keyboard Input. The new item enables this device to be deselected.

  • (SoundMaker) Added a feature specific to importing.

    • It is now possible to import in units of NTR bank files.

  • (SoundPlayer) SoundPlayer now supports UIC-MIDI.

    • When a UIC-MIDI device is directly connected to a TS Board, a PARTNER-CTR Debugger (white box), or a test unit, SoundPlayer can now receive the MIDI signals for Play Preview.

  • (Documentation) Added an explanation of map files. [*]

    • An explanation of the map files that are generated when converting has been added to this manual inside the section Basic Editing > Convert > Generated Files.

    The map file provides information about such things as ROM size and bank capacity.

Bug Fixes

  • (General) Fixed problem with release of wave sounds.

    • There were two problems when the parameter in the EnvR column was changed in SoundMaker's wave sound list:
    - The change was not applied to the output binary (bcsar)
    - Release did not work at runtime
    Those problems have been fixed.

  • (SoundMaker) Fixed problem with display of HTML sound lists containing empty sound sets.

    • When an HTML sound list contained an empty sound set, the sound set filters did not display correctly. That problem has been fixed.

  • (SoundMaker) Fixed problem creating SoundPlayer.

    • When the directory specified for Stream file output destination path was two or more levels deep, the playback of stream sounds would stop on an exception error when played on a SoundPlayer created using SoundPlayer creation. That problem has been fixed.

  • (SoundMaker) Fixed problem related to files.

    • When Open File was performed using the All Files filter, an exception error would occur if any file other than a cbnk file was specified. That problem has been fixed.

  • (Converter) Fixed problem that occurred when NW4C_ROOT environment variable not set.

    • If conversion was conducted without setting the NW4C_ROOT environment variable an exception error would occur after conversion. That problem has been fixed.

  • (SoundPlayer) Fixed problem loading sound archives without string tables.

    • When a sound archive that did not contain a string table was loaded to SoundPlayer/HioSoundPlayer, the process would halt when the application was launching or when the sound archive was reloading. That problem has been fixed.

    If the sound archive does not contain a string table, instead of item names (e.g., SE_YOSHI, etc.) the string "..." will display.

  • (Documentation) Revised the description of the setting for waveform archive sharing. [*] [*]

    • Revisions were made in this manual to correct shortcomings in the explanation about sharing in the description of wave archives in the Wave Sound and Bank items in the Sound Set Tab of the Practical Guide.

Version 1.0.1 2010/08/25

Added/Modified Functionality

  • (General) Added frontbypass_on and frontbypass_off to sequence commands.

    • Added frontbypass_on and frontbypass_off to sequence commands.
    For details, see the Sequence Data Manual.

    Also, changed the jump_seq sequence of SampleData/Sound/Projects/simple/seg/se.cseq (sequence sound SEQ_JUMP) to that which uses the corresponding command.

  • (SoundMaker) Changed specifications related to list operations.

    • Changed the sounds in the read-only sound set so that preview playback is possible.

  • (SoundPlayer) Added a surround pan setting. [*]

    • Made it so that surround pan can also be set under SoundPlayer like volume, pitch and pan.

  • (SoundPlayer) Made it so sound IDs are saved when reloading a sound archive.

    • Although sound Ids used to be reset when a sound archive was reloaded with HioSoundPlayer, this has been changed to that sound IDs are saved without reset.
    However, if the specified sound ID is larger than the number of sounds stored in a sound archive after reloading, they are reset just as in the past.

Bug Fixes

  • (SoundMaker) Fixed a but related to NITRO-SoundMaker project import.

    • Fixed a bug where NITRO-SoundMaker project import on the desktop would fail.

  • (SoundMaker) Fixed a bug related to list display.

    • Fixed a bug where scales were not being displayed in the percussion list.

  • (Converter) Fixed a bug where ADPCM loop noise would occur.

    • Fixed a bug where loop noise would occur when performing ADPCM encoding with the loop start frame set to 0.
    Wave data must be re-converted.

  • (Converter) Corrected the problem of noise during stream looping.

    • Fixed a bug where noise would occur during stream data looping.
    Wave data must be re-converted.

  • (SoundPlayer) Fixed a bug where parameters were not being applied at start of playback.

    • Fixed a bug where parameters such as volume and pitch were not being applied at the start of sound playback.

  • (Documentation) Revised the description of volume.

    • The description of volume that can be set in each SoundMaker list has been revised.
    See the descriptino of volume for stream sounds and wave sounds. [*]

    For more details see the chapter Operating Sound Parameter Controls in the Sound System Manual.

Version 1.0.0 2010/07/29

Added/Modified Functionality

  • (SoundMaker) Added Send columns to Wave Sound List. [*]

    • The following columns were added to Wave Sound List for specifying the send volume for each bus.
    - Send AUX A
    - Send AUX B
    - Send MAIN

  • (SoundMaker) Added support for sound Front Bypass mode. [*] [*] [*]

    • Front Bypass mode is now supported by the various sounds (stream sounds, wave sounds and sequence sounds).
    This can be set in the various SoundMaker lists.
    Check the below-listed sounds in SampleData/Sound/Projects/simple.
    - STRM_MARIOKART_FB
    - SE_YOSHI_FB
    - SE_STEREO_FB
    - SEQ_CALL_FB
    - SEQ_MARIOKART_FB

  • (SoundPlayer) Added support for effects. [*]

    • You can try out effects on SoundPlayer.

Bug Fixes

  • (SoundMaker) Fixed a bug when creating SoundPlayer.

    • Creation of SoundPlayer would fail in some cases when some place other than output was set as the output destination for the Sound Archive. The bug has been fixed.

  • (SoundMaker) Fixed a bug that involved list operations.

    • Fixed the following bugs relating to list operations.
    - When a sequence file had an invalid string, an exception error would occur when the starting playback position was selected
    - An exception error would occur when Copy Cell was performed in the Play and Duration columns.

  • (Converter) Fixed a bug with DSP ADPCM stream playback.

    • When a DSP ADPCM-encoded stream sound was played, sometimes noise would be generated at data's end and when looping. That has been fixed.

  • (SoundPlayer) Fixed a bug related to importing.

    • A bug made it impossible to import SoundPlayer-TS.cia. That has been fixed

Version 0.8.1 (2010/07/07)

Bug Fixes

  • (SoundMaker) Adjusted sine waveform looping included in sample data.

    • A bug has been fixed where noise was being introduced during looping when playing the sine waveform (SampleData/Sound/Projects/simple/aif/sin440.aiff) included in sample data.

  • (Converter) Fixed a bug related to bank conversion.

    • Fixed a bug where parameters listed under the Velocity Region that can be set on the Percussion List or Parameter Panel were not being reflected correctly in binary sound archive files (bcsar) (or more accurately speaking, in binary bank files (bcbnk)).
    - Volume
    - Pitch (Semitones)

  • (Converter) Fixed a bug related to waveform conversion.

    • Fixed the following bugs with the waveform converter.
    - No samples were output for PCM16/PCM8 encoding
    - Invalid content was output for ADPCM encoding

  • (Converter) Fixed a bug related to 8-bit PCM waveform conversion.

    • Fixed a bug where sounds were broken off or did not play during PC emulation playback or playback on actual hardware using SoundPlayer when converting an 8-bit PCM .wav or .aiff file.

  • (Converter) Fixed a bug that occurred when converting a project that accesses a non-existent bank file.

    • A bug was fixed where a dialog box not containing any warning message was being displayed when converting a project that accesses a non-existent bank (.bcnk) file.

  • (Converter) Fixed the error message displayed when a non-existent Starting Playback Position is specified.

    • There was a bug when a non-existent Starting Playback Position was specified during sequence sound conversion that made it hard to know the label and Starting Playback Position at which the error occurred.
    This bug has been fixed so the user can know the Label and Starting Playback Position.

    The following is an example.
    - (Before bug fix) [Internal error] start label not found.
    - (After bug fixe) [Error: SEQ_WIHAHO] The starting playback position label name "wihaho2" does not exist in sequence data.

  • (Documentation) Revised the description of item names.

    • The descriptions of item names that can be set in each SoundMaker list have been revised.
    There are restrictions on the characters that can be used in a name. The following characters can be used.
    - The first character of a name must be a single-byte letter or an underscore. [a-zA-Z_]
    - Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Version 0.8.0 (2010/06/28)

Added/Modified Functionality

  • (SoundMaker) The Create menu of TEG2 version SoundPlayer has been removed.

    • The TEG2 version SoundPlayer Create menu has been removed due to termination of CTR-TEG2 support.

  • (SoundPlayer) Displays have been added to indicate the DSP process load and number of voices being used.

    • The following additions have been made to the SoundPlayer display.
    - DSP process load
    - Number of voices being used

  • (SoundPlayer) Output mode and surround depth value settings have been added. [*]

    • SoundPlayer now allows the output mode to be changed using the Y button and the surround depth value to be changed using the L/R buttons.

  • (SoundPlayer) Added HioSoundPlayer. [*]

    • HioSoundPlayer.cci has been added. HioSoundPlayer.cci can reload Sound Archives via Host IO.
    HioSoundPlayer.cci can be found in $NW4C_ROOT/tools/SoundPlayer/.

Bug Fixes

  • (SoundMaker) Fixed a bug related to conversion events.

    • Fixed a bug where execution would freeze if interactive input was requested by a command being executed using Command before conversion or Command after conversion.
    Such commands can be canceled by pressing the Cancel button.

    Note that interactive input is not supported when using Command before conversion or Command after conversion.

  • (Converter) Fixed a bug related to ADPCM loop end.

    • Fixed a bug where waveform shapes were unstable in the loop end region when using ADPCM to convert looped waveforms.

Version 0.7.1 2010/05/21

Bug Fixes

  • (SoundMaker) Fixed a bug that involved list operations.

    • If the starting playback position was changed for a text sequence sound that caused a conversion error, an error would occur. This bug has been fixed.

Version 0.7.0　2010/05/14

Added/Modified Functionality

  • (Overall) Moved the sample data to $NW4C_ROOT/SampleData/Sound/Projects.

    • (Overall) Moved the SoundMaker sample data to $NW4C_ROOT/SampleData/Sound/Projects.
    - $NW4C_ROOT/tools/SoundMaker/samples/simple → $NW4C_ROOT/SampleData/Sound/Projects/simple
    - $NW4C_ROOT/demos/snd/externalFile/dataSrc → $NW4C_ROOT/SampleData/Sound/Projects/externalFile
    - $NW4C_ROOT/demos/snd/playerHeap/dataSrc → $NW4C_ROOT/SampleData/Sound/Projects/playerHeap

    The OMakefile and vcproj files for the demo were adjusted to accommodate this change.

  • (SoundMaker) Added a SoundPlayer creation feature. [*] [*] [*]

    • A feature was added to the SoundMaker menus to create a SoundPlayer executable file (SoundPlayer.cci).

  • (SoundMaker) The duration of waveform data is now displayed.

    • Added a column to the following lists to display the duration of waveform data.
    A column that displays the ticks was also added to some of the lists.
    - Banks > Instrument List [*]
    - Banks > Percussion List [*]
    - Wave Sound List [*]
    - Stream Sound List [*]

  • (SoundPlayer) The processing time for the nn::snd::SendParameterToDsp function is now displayed.

    • The processing time of the CTR-SDK function, nn::snd::SendParameterToDsp, is now displayed on the upper screen.

Bug Fixes

  • (SoundMaker) Fixed a bug related to the Project Settings file.

    • If SoundMaker was started by specifying a relative path to a project file as a startup parameter, the Project Settings file would not be saved properly, which caused an error when attempting to exit the program. This bug has been fixed.

  • (SoundMaker) Fixed a bug related to SoundPlayer creation.

    • The snapshot version of NW4C-0.7.0 had a bug that prevented SoundPlayer from being created if the absolute path of the project (.cspj) file contained a space. This bug has been fixed.

  • (SoundMaker) Fixed a bug related to input and output of intermediate files.

    • Fixed a bug that prevented intermediate files from being input and output correctly after editing and saving actor players, user data, or EnvelopeRelease.

  • (Converter) Fixed a bug that would cause parallel builds of the demos to fail.

    • If the demos were built in parallel, the build system would attempt to convert the same project file more than once, which caused a conversion error. This bug has been fixed.

  • (Converter) Revised the maximum value for instruments' program numbers.

    • Fixed a bug that caused a conversion error if an instrument's program number was set to a value of 255 or higher.

    The correct maximum value is 32,767.

  • (Converter) Fixed bugs related to the Sound Project converter.

    • Fixed the following bugs with the Sound Project converter.
    -A success code would always be returned, regardless of whether conversion was successful.
    - Specifying a project file using a relative path would always cause conversion to fail due to an internal error.

  • (Converter) Fixed a bug related to output of CSID files.

    • Fixed a bug that caused the sound IDs within CSID files not to be output correctly during conversion of projects that contained multiple sound sets.

Version 0.6.2 2010/04/23

Bug Fixes

  • (Converter) Fixed a bug when setting the number of instrument region splits to a multiple of 4.

    • When the number of instrument region splits is a multiple of 4, playing the sequence sound when playing the instrument would cause the program to halt due to a failed assertion. This bug has been fixed.

Version 0.6.1 2010/04/16

Added/Modified Functionality

  • (SoundPlayer) Added *.wsf files for creating the TEG2 and TS versions.

    • With the new CTR-TS board support in SoundPlayer, we added the following *.wsf files for creating the CCI files for both the TS and TEG2 versions.
    - MakeSoundPlayer-TS.wsf
    - MakeSoundPlayer-TEG2.wsf

    We removed the MakeSoundPlayer.wsf file formerly included in the package.

Version 0.6.0 2010/03/19

Added/Modified Functionality

  • (SoundMaker) Added actor players and 3D sound parameters.

    • Made actor players and 3D sound parameters configurable in SoundMaker.

    This entailed a version update to the (Project Name).cspj.settings file. The previous (Project Name).cspj.settings file is reset once.

  • (Converter) Added support for 3D sound parameters.

    • Added support for converting 3D sound parameters.

  • (SoundPlayer) Added the SoundPlayer tool.

    • Added the SoundPlayer tool that can be used with the CTR-TEG2.
    See the $NW4C_ROOT/tools/SoundPlayer/Readme.txt file for details on use.

    With the addition of this SoundPlayer tool, we have removed the old $NW4C_ROOT/demos/snd/SoundPlayer version.

Bug Fixes

  • (Converter) Fixed a bug that occurred while converting groups that referenced disabled items.

    • Fixed a bug that caused errors and internal errors to occur during attempts to convert a project with groups that referenced disabled items.

  • (Converter) Fixed a bug that occurred during conversion of banks with invalid instruments.

    • Fixed a bug that prevented errors from being displayed correctly during conversion of a bank with duplicate program numbers or an instrument that was not between 0 and 255.

  • (Converter) Fixed a bug related to conversion.

    • Fixed a bug that caused an internal error to occur if you attempted to convert a project satisfying the following conditions.
    - It included a bank or wave sound set with a Waveform Archive setting of Automatic (Shared)
    - The aforementioned item was registered with an embedded group.
    - The aforementioned item was related to and referenced by an item registered with another group.

Version 0.5.1 (2010/03/05)

Added/Modified Functionality

  • (SoundMaker) Changed specifications related to multi-track streams.

    • Changed the maximum number of tracks that can be added to a stream to 4.
    Specifications have changed so that a "!" icon is displayed when there are five or more tracks on the Multi-Track Setup dialog. This has been changed so the icon is displayed.

  • (Converter) Changed specifications related to multi-track streams.

    • Attaching five or more tracks to a stream now causes an error.

Bug Fixes

  • (SoundMaker) Fixed an alloctrack-related bug for sequence sounds.

    • Fixed a bug that resulted in a conversion error when 16 or more tracks were allocated by a sequence sound (alloctrack 0xffff for a .cseq text sequence).

Version 0.5.0 2010/02/19

Added/Modified Functionality

  • (Converter) Changed the specifications for the waveform data format.

    • Removed unnecessary parameters from ADPCM-encoded waveform data.
    This affects waveforms for bank instruments, wave sounds, and stream sounds.

    Note that compatibility is not preserved with old versions of the data or libraries. You must reconvert data when you use version 0.5.0 or later of the NW4C libraries.

Bug Fixes

  • (SoundMaker) Fixed a bug related to importing.

    • Fixed a bug that sometimes prevented preprocessor instructions in MUS files from being included in the CSEQ files when NITRO-SoundMaker intermediate files were imported.

  • (SoundMaker) Fixed a bug related to importing.

    • Fixed a bug that caused per-region envelope specifications for banks to be lost when NITRO-SoundMaker intermediate files were imported.

  • (Converter) Fixed a bug related to waveform conversion.

    • Fixed a bug that caused waveform data conversion to fail for some sampling rates.

Version 0.4.1 (2010/01/26)

Bug Fixes

  • (SoundMaker) Fixed a bug related to displaying Sample Maps.

    • Fixed a bug that caused Sample Maps to be displayed backwards when PCM8 and ADPCM were used as compression formats for the waveform files.

  • (SoundMaker) Fixed a bug related to creating new sequence sounds.

    • Fixed a bug that caused an error when new sequence sounds were created and thus prevented items from being added.

  • (SoundMaker) Fixed a bug related to unsupported features.

    • Fixed the GUI to no longer display unsupported features.
    - 3D sounds
    - Effects
    - SoundPlayer related
    - Viewer related
    - Preview Player Parameters window
    - DLS imports

Version 0.4.0 (2010/01/15)

Added/Modified Functionality

  • (SoundMaker) Added a feature to the Create New Group Item dialog box. [*]

    • The Register Related Items setting can now be specified from the Create New Group dialog box.

  • (SoundMaker) Added a feature specific to importing. [*]

    • Added a feature that allows projects for other platforms (for example, NintendoWare for Revolution SoundMaker and NITRO-SoundMaker) to be imported.
    Such projects can be imported by selecting File > Import > Project from Other Platform. Then, in the Open dialog box, select an .rspj, .sprj, or .sarc file with the Files of type: set to Project from other platform.

  • (Converter) Removed the BOM for CSID files.

    • In order to support compilation with RVCT, the BOM was removed for CSID files.

  • (Converter) Updated the binary waveform file format.

    • Updated the binary waveform file format (.bcwav) in order to support the TEG2 hardware.
    To play legacy sounds on a TEG2 board, you'll have to reconvert the Sound Archives.

Bug Fixes

  • (SoundMaker) Fixed a bug that involved the creation of new banks.

    • Creating a new bank using the Create New Bank dialog box would create a file with the .rbnk extension, but this bug has been fixed.

  • (SoundMaker) Fixed a bug related to creating new instruments.

    • If a new instrument was created when there were no items registered in the instrument list, the program number would start from [1] instead of [0]. That has been corrected.

  • (SoundMaker) Fixed a bug that involved the editing of envelopes.

    • Fixed a bug that prevented users from editing envelopes if an instrument's envelope setting was changed from Specify Envelopes by Instrument to Specify Envelopes by Region, unless the user reopened the project.

  • (SoundMaker) Fixed a bug in the Parameters panel.

    • Editing an envelope for an instrument in the Parameters panel would cause an exception-type error to occur, but this bug has been fixed.

  • (SoundMaker) Fixed a bug that involved saving sound set files.

    • When sound set files were saved, the sound's Player priorities would not be saved correctly, but this bug has been fixed.

  • (SoundMaker) Fixed a bug related to the Project Tree.

    • If the Project Tree was minimized while a sound set's name was being edited, the application would stop responding, but this bug has been fixed.

  • (SoundMaker) Fixed a bug that involved the editing of lists.

    • Specifying an item name that didn't exist among the group items used to cause an application error, but this bug has been fixed.

  • (SoundMaker) Fixed a bug that involved list operations.

    • When multiple list items were dragged and dropped, the list order would change in the place where they were moved. The problem was fixed.

  • (SoundMaker) Fixed a bug related to the Open File dialog box.

    • When reference waveforms for the sample maps were changed, the folder displayed in the Open File dialog box would not be the folder in which the waveforms are registered. That problem was fixed.

    When the File Path list item was changed, the registered file name would not be filled in for Filename in the Open File dialog box. That problem has been fixed.

  • (SoundMaker) Fixed a bug that involved the Sample Map pane.

    • An exception error would occur after specifying a file by double-clicking in a blank part of the sample map. That problem has been fixed.

  • (SoundMaker) Fixed a bug that involved the Bank tab.

    • An exception error would occur if the Bank tab was closed while in the bank-list editing state. That problem has been fixed.

  • (SoundMaker) Fixed a bug related to the Project Settings.

    • The names of the items in the Project Settings area of the project file were not being loaded correctly, but this bug has been fixed.

  • (SoundMaker) Fixed a conversion-related bug.

    • Running a conversion operation would cause all opened bank panels to close, but this bug has been fixed.

  • (SoundMaker) Other bugs have also been fixed.

    • Corrected the following bugs in SoundMaker:
    - Resizing the main window extremely small and then splitting the main window view would cause an exception-type error.
    - After the application would crash as a result of this bug, an error would occur when restarting the application, and the user would be unable to get back into the program.

  • (Converter) Fixed a bug related to update conversion.

    • Update conversion would fail to run after the following operations were done, but this bug has since been fixed.
    - Changing the compression format of a stream sound
    - Changing a text sequence sound file
    - Changing the waveform file referenced by a velocity region

  • (Converter) Fixed a bug related to conversion.

    • If an error occurred while converting an instrument, the user would not be able to jump to the cause of the error from the Conversion Log pane, but this bug has now been fixed.

Version 0.3.0 (2009/12/07)

Added/Modified Functionality

  • (SoundMaker) Changed the group registration specifications. [*]

    • Added the Register Related Items column to the group items list.

    It is now possible to include all related items by changing this setting. For example, you can now register all banks and/or waveform archives referenced by a sequence sound within a group.

  • (SoundMaker) Changed specifications related to the Project Settings file (which has the file extension .setting).

    • If the version of a Project Settings file supported by SoundMaker doesn't match the version of the Project Settings file being loaded, the application will no longer load the settings.

    This specification change is a temporary fix; in future versions, it will be possible to load Project Settings files created using older versions of the application.

Bug Fixes

  • (SoundMaker) Fixed a bug that involved the Preview Bank.

    • Attempting to open a project when banks are registered in the Preview Bank would always result in an error, after which the project could not be opened. This bug has been fixed.

  • (SoundMaker) Fixed a bug that involved the group size display.

    • Fixed a bug that prevented a group's Data Size value from being updated if the Output Method of that group group was set to "Don't output."

  • (SoundMaker) Fixed a bug that involved conversion of waveform archives that were configured to the "Automatic (Shared)" setting.

    • If a nested group contained any wave sound sets or a banks for which Waveform Archive was set to Automatic (Shared), a conversion error would occur, but this bug has been fixed.

  • (SoundMaker) Fixed a bug that involved changes to multibanks.

    • Fixed a bug in which changing a bank within the Multibank Settings dialog would only change the display without actually changing the data internally.

Version 0.2.0 (2009/11/13)

Added/Modified Functionality

  • Data compatibility

    • In order to use data that was created with Nintendo 0.2.0 with NintendoWare 0.2.1, keep in mind the following precautions:
    - Sound project (.cspj) files can be used without any modification.
    - Binary sound archive files (.bcsar) cannot be used. You'll need to reconvert the sound project file.

  • (SoundMaker) Added a Display Preview Bank button to the toolbar. [*]

    • Added a button to the toolbar of the main window that displays the Preview Bank pane.

  • (SoundMaker) Fixed a bug that involved loading projects.

    • If a project file was moved and then reopened, an error message would be displayed, and users were unable to open the project until they deleted the Project Settings file. This bug has been fixed.

  • (SoundMaker) Fixed a bug that involved the creation of sound sets.

    • The code for creating a new sound set had a bug that prevented waveform archives from displaying in the project tree. This bug also prevented saved projects from being opened, but it has been fixed.

  • (SoundMaker) Fixed a bug that involved list operations for sequence sounds.

    • Copy and paste operations in the sequence sound list would cause the bank settings for sequence sounds to become invalid, after which they no longer displayed correctly. This bug has been fixed.

  • (SoundMaker) Fixed a bug that involved searches for references to waveform archives.

    • Searches for references to waveform archives would always return zero results in the Search Results pane, but this has been fixed.

  • (SoundMaker) Fixed a bug that involved batch edits to waveform archives.

    • It is now possible to perform batch edits on cells within waveform archives that are set to load individually.

  • (SoundMaker) Fixed a bug that invovled MIDI playback using preview banks.

    • MIDI signals received from the device configured in the MIDI Sequencer Input Devices field would not play through preview banks. This bug has been fixed.

  • (SoundMaker) Fixed a bug that involved list operations for sequence sounds.

    • Fixed a bug wherein attempts to change banks within sequence sound lists would only change the display without changing the actual banks.

  • (SoundMaker) Fixed a bug related to the group items creation dialog box.

    • Fixed a bug that prevented waveform archives from being selected In the Create New Group Item dialog box.

  • (SoundMaker) Other bugs have also been fixed.

    • The following bugs in SoundMaker have been corrected:
    - The names of instruments that are created by dragging and dropping a waveform file into the Bank List did not start with the prefix that the user had specified.
    - A warning icon would appear for all items in the percussion list. アイコンが表示されてしまう

  • (Converter) Changed the output filenames for binary stream sounds.

    • The output filenames for binary stream sounds were changed as follows.
    - Before the change: (SoundName).(CompressionFormat).bcstm
    - After the change: (SoundName).bcstm

  • (Converter) Fixed a bug involving changes to the output location.

    • Fixed a bug in which, if the user initiated an update and convert operation after changing the output location, some of the files would not be output to the new location.

  • (Converter) Fixed a bug related to output of HTML sound lists.

    • Fixed a bug in which the items within HTML sound lists would always be output, regardless of whether they were configured for output.

Version 0.1.0 (2009/10/30)

  • Initial release of the CTR version of SoundMaker.

Changes from NintendoWare for Revolution

  • Added a feature for importing NW4R SoundMaker projects. [*]

    • NW4R SoundMaker projects can be imported.
    The project file being imported will remain unaltered after the import operation. Another file (with a separate extension) will be generated for the imported project in the same folder.

  • Added the Waveform Archives node to the Project Tree. [*] [*]

    • The Waveform Archives node was added to the Project Tree.
    The Waveform Archive tab can be displayed by double-clicking on the Waveform Archives node.
    The Waveform Archive list shows three columns: Name, Load Individually, and Comments.

  • Added the Create New Waveform Archive dialog box. [*]

    • Right-clicking within the Waveform Archive list and selecting either Add Item or Insert Item will display a dialog box that allows you to enter the name of the new waveform archive, as well as whether it should be loaded individually.

  • Added the Output Method column to the Group List window. [*]

    • The Waveform Sharing column was removed from the Group List window, and a new Output Method column was added in its place.
    The Output Method column is a drop-down list that has three possible values: Embed, Link, and Don't output.

  • Added the Multibank Settings dialog box to sequence lists. [*]

    • The context menu for Sequence lists now includes Multibank Settings... that opens the Multibank Settings dialog box.
    Up to four multibanks can be specified.

  • Added the Preview Bank window. [*]

    • Added the Preview Bank window to the preview functionality.
    The banks that are registered in this window are used for playing back MIDI signals that are input from the MIDI sequencer.

  • Changed the specifications related to MIDI settings. [*]

    • Changed the method used to configure the MIDI Keyboard Input Device and MIDI Sequencer Input Devices settings.
    MIDI signals that are input from the device set in the MIDI Keyboard Input Device field will be played back using the active bank in the Bank tab.
    MIDI signals that are input from the device set in the MIDI Sequencer Input Devices field will be played back using the banks in the Preview Bank window.

  • Changed the specifications related to the banks used for playing back input from MIDI keyboard input. [*] [*]

    • The active Bank tab now defines which bank input from the MIDI keyboard should be played back with.
    If the Bank tab is not active, no sound will be produced.
    As a result of this specification change, the instrument display has been removed.

  • Changed the specifications for previewing playback. [*] [*] [*]

    • The specifications for previewing playback of sounds and instruments has been revised.

    • The changes made to how sound playback is previewed are listed below:
      - Pressing the SPACE key or clicking the Play button within the list will register the sound in question within the Preview Player window and start preview playback.
      - Double-clicking a list will not register the items in the list in the Preview Player window, nor will it cause them to start playing.
    • The changes made to how instrument playback is previewed are listed below:
      - Pressing F9, F10, or double-clicking on items in the instrument list no longer does anything.
      - Playback will only continue as long as the SPACE key is held down.
  • (Converter) Added support for conversion in parallel.

    • It is now possible to run conversion operations in parallel for sounds that don't have any mutual dependencies.
    The number of conversion operations that can be run at the same time can be configured in the Options dialog.

  • (Converter) Made it possible to disable output of the string table.

    • In NW4R SoundMaker, string tables would always be output to sound archives. With NW4C SoundMaker, however, it is possible to disable this feature by deselecting the Output the string table check box under the Sound Archive tab within Project Settings.
    If you won't be using strings to make calls to the sounds or other sound-related data in your project, you can reduce the size of your sound archives by disabling output of the string table.

  • (Converter) Changed the specifications related to cache output.

    • Intermediate binary files will now always be output to the project's cache folder.
    However, intermediate text sequence sounds (.cseq files) created from SMF files, as well as include files for banks (.cinl files) will continue to be output in the same directory as the source files.

  • (Converter) Changed the specifications related to sound archive map files.

    • Changed the format used for the sound archive map files that are generated during conversion. They used to be in text format, but are now in HTML format.

  • (Converter) Wave sound sets and sequence sound sets now have IDs assigned to them.

    • Wave sound sets and sequence sound sets now have item IDs assigned to them.
    This change makes it possible to load these items by specifying the appropriate item ID.

  • (Converter) Changed the specifications of item IDs.

    • The upper 8 bits of the IDs for all sound types (sequence sounds, wave sounds, and stream sounds) and other items in the Project Tree (sequence sound sets, wave sound sets, banks, waveform archives, groups, and Players) are now embedded with information that indicates the item category.

CONFIDENTIAL


Introduction

About this Manual

This manual describes the use of NW4R SoundMaker (hereafter, SoundMaker).
When using SoundMaker, please use this manual.

Notation Used in this Documentation

The following notation is used in this documentation.

Menu Notation

Menus and menu items are written as follows: Menu Name → Menu Item.
For example, select Open from the File menu.

Key Binding Notation

Key bindings that use multiple keys at the same time are written using a plus sign (+).
For example, CTRL+S directs you to press the S key while holding down the CTRL key.


Introducing SoundMaker

SoundMaker is a Windows application for creating sound data to be used in the NintendoWare sound development environment.

SoundMaker Overview

In the NintendoWare sound development environment, sound data is normally handled as a single binary file called a sound archive.
Sound data used as resources for the sound archive are created using a wave editor tool or the sequencer of your choice. SoundMaker creates a sound archive from said sound data so that it may be used by the runtime library of the NintendoWare sound development environment.
SoundMaker supports Viewer and can be used to check sounds on actual hardware that has been connected to a computer. In addition, emulation on the computer can be used to check some sounds during the creation process.

SoundMaker's playback on actual hardware can also be done using the special sound programs SoundPlayer and HioSoundPlayer.

Main Features of SoundMaker

The main features and characteristics of SoundMaker are described below.

Creating Sound Projects and Outputting Sound Archives

Projects in SoundMaker are called Sound Projects. More than one collection of sounds, called a sound set, can be created for reference by a Sound Project. A single Sound Project corresponds to a single sound archive. Sound Projects are saved in files having the extension .cspj (indicated hereafter as sound project files), while sound sets are saved in files having the extension .csst (indicated hereafter as sound set files).

Creating Stream Sounds

Sequence sounds are created using a sound set. The waveform files that serve as the resources should be prepared as AIFF or WAV files using an existing waveform editing application or DAW software.
Stereo or monaural sound (16-bit or 8-bit), and any sampling rate can be selected for wave data. Stream sounds are played back (using snd library) while reading the minimum amount of data necessary from disk.

Creating Wave Sounds

Sequence sounds are created using a sound set. A group called a wave sound set is created and wave sounds are created for each wave sound set. The wave data used as a wave sound resource is the same data that is used for stream sounds.
When playing wave sounds using snd library, you must first load waveform data once into memory at the wave sound set level.

Creating Sequence Sounds

Sequence sounds are created using a sound set. Sequence data to be used as a resource can be either a standard MIDI file or a text sequence file (extension .cseq) written in plain text.
Be sure to prepare standard MIDI files using your sequencer and text sequence files using your text editor. Control changes supported in each file type and how to code text sequence files called sequence commands are described in the separately provided Sequence Data Manual.

Creating a Bank and Specifying Sequence Sounds

Create banks using sound sets. Specify a bank for each sequence sound that has been created. The bank functions as a tone when playing a sequence sound.
Bank data to be used as a resource supports special bank files (extension .cbnk).

Editing Bank Files

Bank files are edited in the Bank tab. The Bank tab is a special pane inside the main window for editing bank files, which are the material of banks. More than one voice, called an instrument, can be created for a bank file. Such instruments are placed on a list called the Instrument list. The program number corresponding to the MIDI program change is defined. Instruments reference waveform files as resources. The waveform data used as resources for bank files is the same as that used with stream sounds or wave sounds.
When playing banks using snd library, you must first load waveform data once into memory at the instrument level, just as with a wave sound.

Creating 3D Sounds

3D sounds are created using a sound set. Operations when playing a sound using 3D sound are set for each sound.

Creating a Player and Specifying a Player for Each Sound

Create a Player using the sound set. Specify a Player for each sound.

Creating Groups and Registering Sound Data with Groups

Create a group using a sound set. Register each sound with the created group as an item.
snd library loads the playback data and waveform data required to play each sound into memory at the group level.

Importing Existing File Formats

DLS files and effect sound definition files with the extension .stxt (hereafter ".stxt files") are imported into the sound project.
An .stxt file is the name of an effect sound definition file used by the sysdolphin audio library. This library is used as the development environment for the Nintendo GameCube. This feature is used when taking game projects created using sysdolphin and porting them to the CTR.

Creating Sound Archives

A sound archive is created from a Sound Project. All files referenced use a special converter.

Sound Verification through PC Emulation

SoundMaker supports the playback of instruments using PC emulation. This allows you to check sounds to a certain degree even without the development hardware (PARTNER-CTR Debugger).
PC emulation can also be used to play MIDI signals connected to the computer.

Starting SoundPlayer and Checking Sounds on CTR Hardware

Sound archives created with SoundMaker can be checked by starting SoundPlayer from inside the tool.

Checking Sounds on the Actual Hardware with Viewer

You can check sounds by sending sound archives created with SoundMaker to Viewer.


Operating Environment

SoundMaker has been confirmed to run in the following operating environment:

  • Microsoft .NET Framework 3.5 SP1
  • CTR-SDK 1.0 (SystemUpdater 0.14.23)
  • PARTNER-CTR Debugger version 2011/02/09
  • HOSTIO Daemon version 1.03
  • NW4C Viewer version 2.0.0

OS

  • Microsoft Windows XP Professional 32-bit version (SP3 or later)
  • Microsoft Windows 7 64-bit version

Microsoft .NET Framework 3.5 SP1 is required to launch SoundMaker.

SoundMaker may not display correctly if you select any DPI other than the normal resolution (96 DPI) in the display settings for the operating system.
To check the DPI setting, select Settings > Advanced from Display in Control Panel.


Preparation

This section explains the preparations (other than setting up NintendoWare) that are necessary in order to use SoundMaker.


Hardware

A sound card must be installed in the computer running SoundMaker to check instruments using PC emulation.

Be sure to make separate PARTNER-CTR Debugger settings to check sounds on the actual hardware using SoundPlayer and Viewer.


Basic Edition (Quick Start)

This section describes how to start using SoundMaker by giving the minimum amount of information necessary primarily for people using SoundMaker for the first time.


Launching SoundMaker

Launching SoundMaker

Run %NW4C_ROOT%\tools\SoundMaker\NW4C_SoundMaker.exe to start the application.

You can also launch SoundMaker by double-clicking a Sound Project file (with the .cspj extension), as explained in subsequent sections.


Initial Settings File

What is the Initial Settings File?

When SoundMaker stats for the firms time, it creates a file named NW4C_SoundMaker.xmlin the %NW4C_ROOT%\tools\SoundMaker folder.
This file is called the Initial Settings file.

Role of the Initial Settings File

SoundMaker saves information such as various operational settings in this initial settings file.
For example, information about previously opened project files is saved in the initial settings file, so these same project files can be opened later by selecting File > Recent Projects.

When completely deleting the initial settings file or when there is no initial settings file at startup, SoundMaker creates a new initial settings file. All settings are restored to their initial values.

We recommend making a backup of the initial settings file before re-installing.


Using the Sample

Using the sample is a good way to quickly begin experimenting with SoundMaker features.

A sample is included with SoundMaker. This sample is made up of an extremely small Sound Project for which just enough settings have been made to create all sounds and a sound archive.

Using the Sample

Samples are located in %NW4C_ROOT%\SampleData\Sound\Projects.
Select File > Open, then browse to sample.cspj, located in %NW4C_ROOT%\SampleData\Sound\Projects\simple.


Types of Window Panes and Their Roles

This section describes the panes displayed in the various windows by SoundMaker and the roles they play.


Main Window

What Is the Main Window?

The main window is the window that appears immediately after SoundMaker launches.
This window is the working area for SoundMaker, where you can switch among panes and tabs for various tasks.

Status Bar

A status bar is located at the bottom of the main window.

This part shows the file path at which the following files are actually located: the project file that corresponds to the item selected in SoundMaker and the waveform file referenced by that item.

The following locations are referred to in this path.

     Project Tree
- Project node
- Sound Set node

     Sound Set Tab
- Stream Sound List
- Wave Sound List
- Sequence Sound List
- Bank List

     Bank Tab
- Instrument List
- Sample Map
- Percussion List


Project Tree

What is the Project Tree?

Project Tree is the pane that first displays to the left inside the window when a Sound Project is loaded to SoundMaker.

Inside Project Tree, the following eight base 'nodes' are displayed for every sound set.

  • Stream Sound
  • Wave Sound Set
  • Sequence Sound
  • Sequence Sound Sets
  • Bank
  • Waveform archive.
  • Player
  • Groups

Displaying the Project Tree

The Project Tree is displayed automatically when a Sound Project is loaded into SoundMaker.


Project Tab

Sound Set Tab

The Sound Set Tab

This tab displays sound sets on the right side of the main window.
A sound set comprises eight types of elements. To display and edit them, double-click the corresponding nodes in the Project Tree (or single-click the nodes if the Sound Set tab is open).

Role of the Sound Set Tab

This is used to edit sound set (.csst) files.
The Sound Set tab is at the center of tasks performed by SoundMaker. It is where you create various sounds, Players, groups and other items.

The Sound Set tab opens a tab for each sound set (sound set file), and the content on display in the tab can be switched inside the sound sets.
The tab title shows the list type and the sound set name.

     The following notation is used for the list types.
STRM = Stream Sound
WSDSET = Wave Sound Set
SEQ = Sequence Sound
SEQSET = Sequence Sound Set
BANK = Bank
WARC = Waveform Archive
PLAYER = Player
GROUP = Group


Bank Tab

What Is the Bank Tab?

The Bank tab is the tab used by sequence sounds where sound data are edited.

Displaying the Bank Tab

The following methods are used to display the Bank tab.

     - Select a Bank node from the Project tree and then double-click an index cell from the Bank List in the Sound Set tab.
- Right-click on the selected Bank item from the Bank List and then select Open File from the shortcut menu.
・ Expand the Bank node in the Project tree and double-click on a child node.

The Bank tab opens a tab for each bank file, but the content displayed in the tabs is always fixed (unlike the content of the Sound Set tab).

Role of the Bank Tab

The Bank tab is used for editing bank (.cbnk) files. Add instruments to bank files and specify program numbers. Create instrument regions and specify envelopes.


Sub-Window

What Is a Sub-Window?

A sub-window is a general name for windows with supplementary features in windows such as the Preview Player window, the Parameters window, and the Search Results window.

There are different kinds of sub-windows as listed below.

  • Preview Player
  • Preview Bank
  • Sequence Variables
  • Conversion Log
  • Search Results
  • Parameters

Displaying Sub-Windows

You can open a sub-window from the View menu in the main window or from a button on the toolbar.

There are two ways to display sub-windows: docked to the main frame inside the main window or floating outside the main frame.

When docked, Preview Player, Preview Bank, Conversion Log, and Search Results appear at the bottom of the main window, and Sequence Variables and Parameters appear to the right of the Sound Set and Bank tabs.

You can make a sub-window float, dock, or hide by selecting Floating , Docking, or Hide from the sub-window's title bar or from the tab portion's shortcut menu.
You can also toggle between floating and docking by double-clicking the title bar or tab.

To minimize a docked item so that only the tab is displayed, click a button on the right side of the title bar or double-click the border.
Double-clicking the tab portion while the display is minimized does not switch between floating and docking displays, but restores the original window size display.


Creating Sound Projects

This section describes how to create the Sound Projects you will need when first using SoundMaker.
A Sound Project consists of one sound project file (extension .cspj) and one or more sound set files (extension .csst) registered for reference by that sound project file.


Creating Sound Projects

What Is a Sound Project?

A Sound Project is a project file under SoundMaker. A Sound Project must be created first when beginning to work with SoundMaker.

A Sound Project consists of one sound project file (extension .cspj) and one or more sound set files (extension .csst).
The actual task of creating sounds is primarily carried out on sound sets (sound set files). Sounds can be classified into separate categories at the sound set file level and they can be managed by more than one staff member.

Creating Sound Projects

Select File → Create New Project.
A new project creation wizard starts. Create a Sound Project according to the onscreen instructions.

New Project Creation Wizard

First, specify a project name and path.
The project name specified here is the sound project filename and is also used as the sound archive filename at time of conversion.
Selecting the Create new sound set option allows you to create a sound set at the same time as the sound project.
Be sure to select the Specify existing sound set option when using a sound set file that has already been created.

Once all specifications have been made, click the Complete button to create the sound project.


Creating Sound Sets

What Is a Sound Set?

A small-scale collection of all the information required to create a sound archive is called a sound set. The actual task of creating sounds is primarily carried out on sound sets.
Sound sets are saved in sound set files (extension .csst). More than one sound set file can be registered as a reference for a Sound Project.

Creating Sound Sets

Because a sound set is already created when the Create new sound set option is selected in the Create New Project wizard when creating a Sound Project, this procedure can be skipped.

Creating New Sound Set Files

Select Project → Add Sound Set → New Sound Set....
The Create New Sound Set dialog box appears. Specify a sound set name and the path to use for the new sound set file.
The sound set name entered is used as the filename. A sound set file is created at the specified path location. Simultaneously, the created sound set file is registered with the Sound Project as a reference.

Using Existing Sound Set Files

When using a sound set file that has already been created, select Project → Add Sound Set → Existing Sound Sets....
Select the sound set file to be registered with the Sound Project within the dialog box.
The specified sound set file is registered with the Sound Project as a reference.

Sound Set Names

As with comments, sound set names can use any characters, including Japanese characters.
(However, the characters \, /, :, *, ?, ", <, >, and | cannot be used.
Other item names can use only single-byte alphanumeric characters [a-zA-Z0-9] and the underscore ("_").
(Note that numeric characters cannot be used to start a name.)
This name is output to the HTML sound list.

Sound set names can be changed in the project tree.


Elements Making Up a Sound Set

This section describes the elements that make up a sound set.

Stream Sounds (STRM)

Sounds that are played back via software streaming from a DVD are called "stream sounds."
Instruments reference external waveform files as resources.

Stream sounds are suitable for content playback such as background music that uses a large waveform file.

Wave Sounds (WAVESOUND)

Sounds that are played using waveform data loaded into memory are called "wave sounds."
Instruments reference external waveform files as resources.

Wave sounds are suitable for the playback of effects that use, for example, one-shot waveform files.

Sequence Sounds (SEQ)

Sounds that are played using sequence (MIDI) performance information and tones (banks) loaded into memory are called "sequence sounds."
Either an external standard MIDI file created with a sequencer or a text sequence file created with a text editor is referenced as a resource.

With sequence sounds you have greater freedom to change the tempo and make other manipulations, so they are well suited for background music and the playing of musical sound effects.

Banks (BANK)

Sounds used by a sequence are referred to as a "bank."
A bank file created under SoundMaker is referenced as a resource.

Waveform Archives (WARC)

Collections of more than one instance of waveform data are referred to as a "waveform archive."
Waveform data is much larger than bank data, therefore, bank data and waveform archive data are handled separately.
Memory can be used more efficiently because they are handled separately.

Players (PLAYER)

The concept used to control playback of stream, wave, sequence sounds, etc., is called a "Player."
A Player must be specified for all sounds.

A sound limit can be specified for a Player. This sound limit value can control the specified number of sounds that can be played back with a given Player.

Groups (GROUPS)

Waveform data and playback data must be loaded into memory in order to play sequence sounds (banks), wave sounds, etc.
These items, included in a sound set, can be registered and gathered together in a group.
The application can then operate at a group level to load the waveform data and playback data into memory.

With SoundMaker only, group creation and registration of items to groups is not necessary when confirming sounds.


Creating Sounds

This section describes how to create real sounds.


Procedures Required with All Sounds

This section describes the common procedure required when creating any type of sound.
The procedure described in this section is absolutely required when using any type of sound.


Creating a Player

What Is a Player?

All sounds created by SoundMaker are managed by a mechanism called a Player when they are finally played back by an application using the snd library.

Players are created by SoundMaker. Some kind of Player settings are necessary for all sounds. A Player must therefore be prepared ahead of time when creating new sounds for a newly created Sound Project or sound set.

Player Display

Players are created and edited using the Player list on the Sound Set tab.
Double-click the Player node in the project tree (or single-click if the Sound Set tab is open). The Player List then appears in the Sound Set tab.

Creating Players

Display the Player List in the Sound Set tab, click in the Player List region to change the focus to the list, and then from the menu, select Project → Add Item → Player....
The Create New Player dialog box appears. Enter the required information.


Preparing Resources

SoundMaker is used to create all sounds using waveform data and standard MIDI files created using typical formats as resources. Create resources using your favorite sequencer or waveform editing tool.
This section describes each file format that can be used as a resource by SoundMaker.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used. - The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Waveform File

Waveform files are a required resource when creating all sounds.

Waveform File Formats

Prepare waveform files that meet the following conditions:

File format: AIFF (extension .aif, .aiff) or WAV (extension .wav)
Number of channels: Stereo or monaural
Number of bits: 8 or 16
Sample rate: Any

Making Loop Specifications

When using waveform files, a set of loops can be specified for each file using markers.

MIDI Files

MIDI files are a required resource when creating sequence sounds.

MIDI File Format

Be sure to prepare Type 0 or Type 1 standard MIDI files (extension .mid).
For details on valid controls in files, see the "Sequence Data Manual (Sound_SequenceFileFormat.pdf)."

Text Sequence Files

A text sequence file (extension .cseq) is a sequence file especially for the NintendoWare sound development environment coded in text called sequence commands.
This resource is required when creating sequence sounds requiring a higher level of control difficult to achieve with MIDI files.

For details regarding creating text sequence files or sequence commands, see the "Sequence Data Manual (Sound_SequenceFileFormat.pdf)."


Creating Stream Sounds

This section describes how to create stream sounds.
Those who will not be using stream sounds may skip over this section.


Creating Stream Sounds

Displaying the Stream Sound List

Stream sounds are created and edited from the Stream Sound List in the Sound Set tab.
Select the Stream Sound node in the project tree. The list that appears is called the Stream Sound list.

Creating New Stream Sounds

To create or add a stream sound, display the Stream Sound List, change the focus to the list region in the Sound Set tab, and select Project → Add Item → Stream Sounds....
The Add New Stream Sound dialog box appears. Enter the required information.
If you specify a file in the path, the Create from filename button becomes active.


Creating Wave Sounds

This section describes how to create wave sounds.
Those who will not be using wave sounds may skip over this section.


Creating Wave Sounds

Wave Sound Sets and Wave Sounds

Wave sounds are created in two stages: the creation of the wave sound set and the creation of the wave sounds used by the wave sound set.
First, create a wave sound set. Then create the wave sounds to be used in that wave sound set.

During conversion, waveform data used for each wave sound is collected together at the wave sound set level.
Although wave sounds are what actually get played as sounds, the waveform data for these wave sounds are loaded into memory in units of wave sound sets.

Displaying Wave Sounds

Wave sounds are created and edited using the Wave Sound Set List and Wave Sound List in the Sound Set tab.
Click the Wave Sound Set node in the project tree. The Sound Set tab is split into upper and lower sections, displaying two kinds of lists.
The upper list is called the Wave Sound Set List, and the lower list is called the Wave Sound List.

Creating Wave Sound Sets

To create a wave sound set, first click on the list region inside the Sound Set tab to move the focus, and then from the menu, select Project → Add Item → Wave Sound Set....
The Create New Wave Sound Set dialog box appears. Enter the required information.

Creating Wave Sounds

Wave sounds are created using the Wave Sound List.

Click the Wave Sound Set node in the project tree and then select a wave sound set from the Wave Sound Set List in the upper part of the Sound Set tab. When this is done, the wave sounds inside this selected set appear in the lower part of the tab.

To create a Wave Sound, select the Wave Sound Set you want to include it in and then select Project → Add Item → Wave Sound....

The Create New Wave Sound dialog box appears. Enter the required information.
If you specify a file in the path, the Create from filename button becomes active.


Creating Sequence Sounds

This section describes how to create sequence sounds.
Those who will not be using sequence sounds may skip over this section.


Creating Banks

What Is a Bank?

Creation of a sequence sounds requires a set of tones (programs) referenced by the sequence as its material. These sets of tones are called "banks."

Banks are created as bank files (extension .cbnk) using a special SoundMaker format and referenced from a sound set.

More than one instrument can be created for the bank. A program number from 0 to 127, corresponding to a MIDI program change, can be configured for these instruments.
Sequence sounds are always created in parallel with bank editing.

Bank List Display

New banks are created using the Bank list in the Sound Set tab.
Select the Bank node in the project tree. The list displayed in the Sound Set tab is the Bank list.

Creating a New Bank

To create a new bank, while the Bank list is showing, select Project → Add Item → Bank....
Make the necessary entries in the Create New Bank dialog box that appears.
If you specify a file in the path, the Create from Filename button becomes active.

Editing Bank Files

Bank files are edited in the Bank tab. Open the Bank tab by double-clicking the Bank list on the index cell containing the icon for the bank you want to edit, or by double-clicking the Bank file in the project tree.

The Bank tab is divided into an upper and lower sections. The upper section is called the Instrument List. This list does things like create instruments and specify program numbers.
The lower part of the Bank tab has two further tabs for switching between the display of the Sample Map and the Percussion List. Both the Sample Map and Percussion List can be used to edit instrument regions.

Bank tab operations are explained in detail in the Practical Guide.


Creating Sequence Sounds

Displaying the Sequence Sound List

Sequence sounds are created and edited from the Sequence Sound List in the Sound Set tab.
Double-click the Sequence Sound node in the project tree (or single-click if the Sound Set tab is open). The Sequence Sound List then appears in the Sound Set tab.

Creating Sequence Sounds

To create a sequence sound, select the Sequence Sound list and select Project → Add Item → Sequence Sound....
The Create New Sequence Sound dialog box appears. Enter the required information.
If you specify a file in the path, the Create from Filename button becomes active.


Creating Sequence Sound Sets

This section describes how to create sequence sound sets.
If you will not be using sequence sound sets, you may skip over this section.


Creating Sequence Sound Sets

Sequence Sound Sets and Sequence Sounds

Sequence sound sets are created in a two-step process. First, you create the sequence sound set, and then you create the sequence sounds for that set.
For more information on creating sequence sounds, see Creating Sequence Sounds and Creating Banks.

Displaying Sequence Sound Sets

Sequence sound sets are created and edited in the Sound Set tab, using the Sequence Sound Set List and Sequence Sound List.
Double-click the Sequence Sound Set node in the project tree (or single-click if the Sound Set tab is open). The Sound Set tab is split into upper and lower sections, displaying two kinds of lists.
The upper list is called the Sequence Sound Set List, and the lower list is called the Sequence Sound List.

Creating Sequence Sound Sets

To create a Sequence Sound Set, select to view the sequence sound set and then select Project → Add Item → Sequence Sound Set....
Enter a name in the Create New Sequence Sound Set dialog that appears.


Configuring Waveform Archives

This section describes how to create waveform archives.
Waveform archives store the waveform data that are used in banks.

By default, waveform archives will be configured automatically, so users who will not be changing the waveform archive settings can skip reading this section.


Configuring Waveform Archives

About Waveform Archives

The waveform archive groups multiple waveforms into one file.

Waveform data is much larger than bank data, therefore, bank data and waveform archive data are handled separately.
Because they are handled separately, memory can be used more efficiently. However, bank and waveform archive registration are needed to register one bank.

Displaying Waveform Archives

Waveform archives are configured from the Waveform Archive list in the Sound Set tab.
Select the Waveform Archive node in the project tree. The list displayed in the Sound Set tab is the Waveform Archive list.

Creating Waveform Archives

To create a waveform archive, right-click within the Waveform Archive list, then select either Add Item or Insert Item from the shortcut menu.

The Create New Waveform Archive dialog box appears. Enter the required information.


Configuring Groups

This section describes how to create groups.
Groups provide an efficient way to load waveform data into memory when the application is playing sounds.


Configuring Groups

What Is a Group?

A group is one constituent element of a sound set. Each item in created sounds and other entities are registered. Data (such as wave data) are gathered together at the group level during conversion.

By skillfully classifying sounds according to the scenes and stages in which they are used, and by registering them with different groups, you can make more efficient use of memory, and the application can load waveform data into memory more efficiently.

Configuring Groups

Group settings are configured in the group list and the group item list in the Sound Set tab.
These settings are used to create groups and to register items with those groups.

Group Display

Double-click the Group node in the project tree (or single-click if the Sound Set tab is open). The Sound Set tab is split into upper and lower sections, displaying two kinds of lists.
The upper section displays a list of groups. When a group is selected from the upper section of the screen, a list of items registered with that group is displayed in the lower part.
The list in the upper section is called the group list, and that in the lower section is called the group item list.

Creating Groups

To create a group, select Group in the project tree, click inside the Sound Set tab to change the focus, and then select Project → Add Item → Groups....
The Create New Group dialog box appears. Enter the required information.

Registering Items in Groups

Select the group to which you want to register items from the Group List displayed in the upper part of the Sound Set tab. Next, select Project → Add Item → Group Item....
The Create New Group Item dialog box appears. Select the items you want to register.


Convert

This section explains how to create binary files for use by snd library. These binary files are created from the Sound Projects you have created according to the procedures described.


Convert

Making Conversions

Making Conversions

Select Convert from the Project menu.
The convert process lets you generate various kinds of sound data files from your created Sound Projects for use in the NintendoWare sound development environment.
The files created with this operation represent all of the data handled by the NintendoWare sound development environment run-time library in the application.

The Convert dialog box appears during the conversion process to show the converter's log messages.
During normal conversion, an animated icon is displayed in the upper-left part of the dialog box.

Display of Convert Warnings

Warnings display in the Convert dialog box as well as in the Convert Log window if, during the conversion process, any unreferenced items or other possibly inappropriate settings are detected.

The Convert dialog box displays the error content and has an enabled Move to Target Item button.
Move to the selected item position where the error occurred by clicking the Move to Target Item button.

To read about the Convert Log window, see Convert Log.
The warning feature can be enabled and disabled using the Project Settings dialog box.


Output Files

This page describes the types of files generated by the conversion process and the locations where they are output.
The set of files described here represent the files required to play sounds in applications. (Excluding HTML files)

By default, an output folder named "output" is created in the project folder, but you change this by defining a Sound Archive Output Location in the Project Settings dialog box.

Sound Archive Files

The Sound Archive file stores the body of the sound data as a sound archive.
The file is output to the folder specified by the Sound Archive Output Location, given the same name as the sound project file, but with the .bcsar extension.

Stream Files

The Stream file stores the waveform data for stream sounds included in the sound archive.
The file is output to the folder specified by Stream File Output Location inside the folder specified by Sound Archive Output Location, with the name "stream sound label name.bcstm"

The location of the Stream file is stored in the form of a relative path in Sound Archive file. The directory path below the output location is the path where the stream file is actually located in ROM, and this information is essential when the sound archive plays stream sounds.

Sound ID Files

The Sound ID file is a text file containing a list of all item names included in the sound archive.
The file is output to the folder specified by the Sound Archive Output Location, given the same name as the sound project file, but with the .csid extension.

「When the check box for Output Labels by Items is selected in the Project Settings dialog, the ID headers are divided into files by type and output. The following seven different types of files are output:

  • *.BANK.csid
  • *.GROUP.csid
  • *.PLAYER.csid
  • *.SEQSET.csid
  • *.SOUND.csid
  • *.WAVEARCHIVE.csid
  • *.WSDSET.csid

Intermediate Binary Files

These are the intermediate binary files that are created during conversion, and include files with the .bcstm and .bcwar extensions.
These are all output to the "cache" folder within the sound project folder.

You can choose whether or not to output the intermediate binary files to the cache folder from Project Settings.

All files within the cache folder will be deleted if the project is converted again.

HTML Sound List

An HTML-formatted sound list is automatically generated from the content of a converted project.
From the project settings, you can freely choose the items to output to the sound list.
The list is output to the Sound Project folder using the same name as the Sound Project file but with the .html extension.

Instrument lists will not be output as HTML-formatted files during conversion.「See Outputting HTML Instrument Lists.

MAP Files

Sound archive map files are created at conversion time.

An XML format file named the same as the sound project file and an HTML format file named with Map appended to the end of name of the sound project file are both exported to the Sound Archive Output Location folder.

The file can be structured in these ways:

  • Group List
  • File List
  • Binary Map

From the MAP file you can determine such information as the ROM size, the header size, the bank capacity and the waveform capacity (the waveform archive capacity).
The table below shows an example of the relationship between Name and capacity for Binary Map items.

Name | Type
SoundArchiveBinaryFile | ROM size
InfoBlock | Header size
../cache/BANK_BGM.bcbnk | Bank size
../cache/WARC_SAMPLE.bcwar | Waveform archive size


Practical Guide

This section describes the method of operation for SoundMaker in details.


Common Operations

This section gives description of common operations and functions associated with various tasks performed using SoundMaker.


List Operations

All items handled by a Sound Project are displayed in a list in the Sound Set tab. Each line in the list corresponds to a single item.
This section describes common operations on lists.

Index Cell Operations

An icon is located in a cell at the top of the list. This cell is called the index cell.

The index cell indicates the type of the item in each corresponding line in the list.
Although the list can be manipulated at the level of individual cells much like a spreadsheet application, the index cell provides an added ability to operate at the level of single lines (that is, in terms of items).

Double-click on the index cell and SoundMaker will open the tab for the file the item references and play a preview of the sound.
In the case of a bank, you can open new tabs for referenced files and switch between them.
For stream sounds, wave sounds, and sequence sounds, the Preview features operate, and sounds play after being sent to PC emulation or the Viewer.

Click on the index cell to select that line. Drag the selected index cell to move it inside the list (that is, to rearrange the lines in the list).

Select a range of lines by clicking on the index cell for an unselected line and dragging.

Registering and Deregistering Groups

If the list contains items that can be registered to a group, you can register the items using the list's shortcut menu.

Right-click on the list for the items that you want to register to a group and select Register to Group... from the shortcut menu.
A special dialog box opens displaying a list of all groups. Select the group you want and click OK.

To release an item from a group to which it is already registered, clear the check box.

If multiple items have been selected and registered to groups, a gray check mark appears next to groups that contain a mix of registered and non-registered items.
Once this gray check mark has been removed, the group does not return to its original mixed state unless you cancel the action.

Batch Editing Cells

To edit many cells at once, use the Batch Edit dialog box.
Select the cells you want to edit and press SHIFT+F2 to open the Batch Edit dialog box.

Select how you want the value applied and then enter the numerical value that you want to apply to the cells.

    Specify directly: The specified value is applied.
    Specify by increase/decrease: The specified value is added to the original value (for example, -20 or +150).
    Specify by percentage: The specified value is applied to the original value as a scaling factor, such as 0.01 or 20.0.

Specifications that would result in values that exceed the upper limit or are lower than the lower limit for the cell are not applied in the result.

Items edited with combo boxes, such as compression formats, Players, or banks, can be batch-edited by inputting the value displayed in the combo box with direct specification.

For item names, to prevent duplication, only the top-most cell can be edited even when several are selected.

Item Name Completion

When editing player, bank, or group items on the list, you can input the item name directly.
Also, when inputting directly, you can use prefix completion.

List Operations

Lists can be manipulated using operations similar to a typical spreadsheet application.
The main operations are shown below.

Operations That Can Be Performed on Lists

Key Operations | Operation
UP ARROW | Moves the focus one cell upward.
DOWN ARROW | Moves the focus one cell down.
LEFT ARROW | Moves the focus one cell to the left.
RIGHT ARROW | Moves the focus one cell to the right.
TAB | Same as RIGHT ARROW.
SHIFT+TAB | Same as LEFT ARROW.
Enter | Same as DOWN ARROW.
SHIFT+ENTER | Same as UP ARROW.
SPACEBAR | Plays sounds and instruments (if one is selected within a playable list)
F2 | If the cell can accept text, this puts the cell in the state for text entry.
SHIFT+F2 | Displays the Batch Edit dialog box for multiple cells.
CTRL+A | Select all.
CTRL+C | Copies the selected line.
CTRL+SHIFT+C | Copies the selected cell.
CTRL+X | Cuts the selected line.
CTRL+V | Pastes a line. Or, pastes cells using the selected cell as the base point.
CTRL+UP ARROW | Moves the focus to the cell at the edge of the screen display. If that cell is already the focus, this operates like PAGE UP/PAGE DOWN to scroll.
CTRL+DOWN ARROW
CTRL+LEFT ARROW
CTRL+RIGHT ARROW
SHIFT+UP ARROW | Moves the endpoint of the selected line/cell rectangle with the current focus location as the base point. (The same operation can be performed these ways: Press Shift + Left click, or select a range by dragging at a location outside an index cell.)
SHIFT+DOWN ARROW
SHIFT+LEFT ARROW
SHIFT+RIGHT ARROW
CTRL+SHIFT+UP ARROW | Moves the endpoint of the selected line or cell rectangle so the current focus location becomes the base point. The movement part of this operation is the same as CTRL + arrow keys.
CTRL+SHIFT+DOWN ARROW
CTRL+SHIFT+LEFT ARROW
CTRL+SHIFT+RIGHT ARROW
Home | Moves the focus to the leftmost cell.
END | Moves the focus to the rightmost cell.
CTRL+HOME | Moves the focus to the uppermost cell.
CTRL+END | Moves the focus to the lowermost cell.
SHIFT+HOME | Selects a cell region that has the current focus location as the base point and includes the leftmost cell.
SHIFT+END | Selects a cell region that has the current focus location as the base point and includes the rightmost cell.
CTRL+SHIFT+HOME | Selects a cell region that has the current focus location as the base point and includes the uppermost cell.
CTRL+SHIFT+END | Selects a cell region that has the current focus location as the base point and includes the lowermost cell.
PAGE UP | Page up.
PAGE DOWN | Page down.
SHIFT+PAGE UP | Select cell region that has the current focus location as the base point + PAGE UP.
SHIFT+PAGE DOWN | Select cell region that has the current focus location as the base point + PAGE DOWN.
CTRL+E | Opens the reference file for the line (item).
CTRL+N | Create new item.
CTRL+SHIFT+N | Insert and create new item.
CTRL+D | Delete item.
Delete | Delete item.
F12 | Update the list display.
CTRL + Left-click | Add the clicked line/cell to the selection.
SHIFT + Left-click | Select range of lines/cells with clicked location as the base point.
SHIFT + Mouse wheel | Scroll horizontally.

Note: Some operations such as copy, paste, and delete can be performed the same way from the shortcut menu that appears when you right-click the list.

List of Tab Operation Shortcuts

This includes shortcut key operations for sub-windows.
Numbers on the numeric keypad are not supported.

Key Operations | Operation
CTRL+TAB | Sequential Switching of Active Tabs (All views and tabs in the Sound Set) Toggles the tab selection between views when the view is split.
CTRL+SHIFT+TAB | Reverse Sequence Switching of Active Tabs (All views and tabs in the Sound Set) Toggles the tab selection between views when the view is split.
CTRL+PAGE UP | Sequential Switching of Active Tabs Toggles the tab selection within the same view.
CTRL+PAGE DOWN | Reverse Sequence Switching of Active Tabs Toggles the tab selection within the same view.
CTRL + 1 through 8 | Makes the nth tab from the left in the active view the active tab.
CTRL+9 | Makes the rightmost tab in the active view the active tab.
CTRL+F4, CTRL+W | Closes the tab selected in the active view.
CTRL+SHIFT+1 | Moves the focus to the project tree.
CTRL+SHIFT+2 | Moves the focus to the active view of the Sound Set tab. When two types of lists are displayed in split view in one tab, the list on top is given focus. (Not switching between views when the view is split.)
CTRL+SHIFT+3 | When two types of lists are displayed in split view in one tab in sound set tab active view, the list on bottom is given focus. (Not switching between views when the view is split.)
CTRL+SHIFT+4 | Moves the focus to Preview Player.
CTRL+SHIFT+5 | Moves the focus to Preview Player Parameters.
CTRL+SHIFT+6 | Moves the focus to Sequence Variables.
CTRL+SHIFT+7 | Moves the focus to Effect.
CTRL+SHIFT+8, CTRL+I | Moves the focus to Parameters Panel.
CTRL+SHIFT+9 | Moves the focus to Conversion Log.
CTRL+SHIFT+0 | Moves the focus to Search Results.

Sort and Show/Hide List Items

Swap

The display order of list items such as Name and Data Size can be rearranged by dragging the item names.

The same sorting operations can be performed by dropping the item names on the Configuration dialog box for list view Items, described below.

List View Configuration

You can select to show or hide each item in the list.
If the list has too many items that stretch so far horizontally that it is hard to see at a glance, you can improve the situation by hiding items that are used infrequently.

Right-click the part of the Sound Set tab with list item names to open the shortcut menu and then select the items to show or hide. The selections are applied to the list display.

Select Customize Displayed Columns... at the top of the shortcut menu to open the dialog box and configure show/hide for all items at once.

Also, drag the items up and down in the dialog list or click the Move Up and Move Down buttons to change the display order.

Items that are hidden are not targeted when a cell range is selected.
If a selected cell is made hidden, the selection is released.

Set Current Display Settings as Default

You can configure the list items so the current settings are set as the default settings.

Right-click in the item-name part of the list and select Set Current Display Settings as Default from the shortcut menu. Doing so saves the current settings.
The information that gets saved is the "item show/hide" setting and the "item sort" setting.
This information is saved for every list, and the settings are applied by the project when a sound set is added to or newly created.

Optimizing the List Width

Double-click the right border of the cell for list names, and the width of the cell is optimized to fit the list contents.

Sort List for Display

Click the item name in the list to sort the list according to that item's content.
Repeated clicking toggles through three kinds of sorts: ascending, descending, and unsorted (the original order).

The "index cell" item sort displays the list in the original order.

Here, "original order" means the order when it was newly created or the rearranged order that the user created by dragging index cells.

The sorting of items only changes the order in which they are displayed in the list. The "original order" retains the order in which items are saved in the project.

You can also use the F12 key to update the list display.
Use this feature when an item is inserted or created while sorting the list with a specific condition.
This control only updates the list display. Select Reload Project from the File menu if you need to update the project file.

Copy and Paste

Copy and paste operations can be carried out on cells and on lines, using either key operations or the shortcut menu that appears by right-clicking the list.

As cells

To copy items as cells, select Copy Cell from the shortcut menu or use CTRL+SHIFT+C.
The copied cell is outlined by a dashed line.

As lines

If a line has been copied, the Select Items and Paste feature becomes enabled in the shortcut menu.
If the copy source and the paste target are in different lists, or if multiple lines have been copied, this Select Items and Paste feature becomes disabled.

Executing the paste operation opens a dialog box for the selection of items.
Select the item you want to overwrite and execute.

Temporarily Disabling Items

By disabling an item (a row) in the list, you can temporarily take it out of action when it is not needed without deleting it from the project.
Disabled items are not subject to conversion, but the parameters of such item are saved to a file, so they can be easily restored.

To configure a row, right-click to open the shortcut menu and select Disable Item or Enable Item, or make the selection from the main window's Edit menu.
The displayed text of disabled items is unavailable.

The various kinds of sounds (including wave sound sets and sequence sound sets), banks, players, groups, and instrument lists are all items that can be disabled.

Coloring Items

Individual items (rows) in the list can be colored separately.

To specify a color, right-click the selected row to open the shortcut menu; or open the Edit menu from the main window, select Item Color, and then set the color in the submenu.

The color information is also reflected in the HTML sound list and the HTML instrument list.

The following lists can be colored.
- Stream sound lists
- Wave sound set lists
- Wave sound lists
- Bank lists
- Sequence sound set lists
- Sequence sound lists
- Waveform archive lists
- Player lists
- Group lists
- Instrument lists

The group item list shows items in the colors as set originally for each item.

Existence of Update Points

Following list editing, sound sets with unsaved update points are indicated by an asterisk ( * ) to the right of sound set node in the project tree. Banks with unsaved update points are indicated by an asterisk ( * ) to the right of the bank filename in the Bank tab.

Display of Item Warning

If the link for an item's reference label is broken or if item name is duplicated, a warning icon appears on the list to attract your attention.

Upper Limit on Number of Items

The upper limit on the number of stream sounds, banks and other items that can be handled on the system side at runtime is 16,777,216 items (2 to the 24th power)
If the number of various items exceeds 16,777,216 the converter and the system-side nw::snd library will not operate stably.

There is no upper limit on the number of items on SoundMaker, and you can register as many as memory space will permit.


Split View

The view in the Sound Set tab can be split to display two sets of information.
This section explains the Split View features.

Glossary

- View: The editing screen for the tab controls in the Sound Set tab and the Bank tab.

- Top view, Bottom view, Left view, Right view: Indicates each view when the view has been split.

- Active view: The view that is subject to operations. The last view having focus is the active view.

- Active tab: The tab selected inside the active view. When the view is split, there is one selected tab in each view (top/bottom or right/left).

Split View

Split View

The view can be split in half either horizontally (top/bottom) or vertically (left/right).

To split the view, select Window → Split Horizontally or Split Vertically, or from the toolbar, press the Split Horizontally button or the Split Vertically button.

After a single view is split, the active tab from the original view is also displayed in the newly opened view.

The two views in split view have the same specifications and operate independently.

Split Horizontally

     Not split: The current view appears on the top, and the new view appears on the bottom.
Vertical split: The left-side view appears on the top, and the right-side view appears on the bottom.

Split Vertically

     Not split: The current view appears on the left, and the new view appears on the right.
Horizontal split: The top view appears on the left, and the bottom view appears on the right.

Remove Split

To remove the split view, close all the tabs for all view you want to remove.

You can easily do this by selecting Close All Tabs from the shortcut menu on the tabs.

Tab Operations

Tab Operations

If multiple tabs are opened in the same view, you can use drag-and-drop operations to rearrange their display.
Note that you cannot move them to another view.

Right-clicking a tab brings up a shortcut menu that allows you to Close that tab, Close All Other Tabs in that view, or Close All Tabs in that view.
The Window → Close All Tabs operation from the main menu closes all tabs of the split view at the same time.

Pressing the center button of the mouse works the same as Close from the shortcut menu.

Shortcut Keys

See the List of Tab Operation Shortcuts in "Common Operations: Lists of Operations."

Target of Operations

When an operation to switch the tab display is carried out in places such as the project tree and the Search window, the target of the operation is the active view.

Minimize View

The split view can be minimized without being closed.

When the view is split, click the Minimize button that appears to the side of the tab-display area to minimize the view to displaying only the tab portion.
The Minimize button switches to the Restore button when the view is minimized, and clicking on this button is how you restore the display to the normal size.

Here are other ways of switching between Minimize and Restore.

- Double-click the splitter that defines the border of the split view.
- When the view is split horizontally, click the Split Horizontally button.
- When the view is split vertically, click on the Split Vertically button.

The operation minimizes the view that is not the active view.

When a view is in the minimized state, it is restored to its original size when any of the following operations are performed:

- Double-clicking the tab of the minimized view.
- When the view is split horizontally, clicking the Split Vertically button.
- When the view is split vertically, clicking the Split Horizontally button.


About Files

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used. - The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Directory names must 248 characters or less, and the path including the file name must be 260 characters or less.

Types of Project Files

There are three types of project files handled by SoundMaker:

  • Sound Project files
  • Sound Set files
  • Bank files

Types of Reference Files

SoundMaker can play back and convert the following types of files, as well as register them as reference files for items.

  • WAV files (waveforms)
  • AIFF files (waveforms)
  • Standard MIDI files (sequences)
  • Text Sequence files (sequences)

SoundMaker can register file types other than those listed above as items, but cannot play back or convert them.
Selecting Open Reference File from the shortcut menu in the item list will open the corresponding application, if possible.

Saving Reference File Paths

To save the file path referenced by an item, use a relative path when the file being referenced is on the same drive as the Sound Project file, and use an absolute path when the file being referenced is on a different drive.


Project Tree

This section provides an overview of Sound Projects and explains the project tree.


Overview

Role of the Project Tree

The Project Tree is where sound sets are registered to Sound Projects.

Select a node in the sound set to show its list in the tab pane.

Structure of Sound Projects

It is possible to register more than one sound set with a given Sound Project.
Bank files can also be registered in the sound sets, as can waveform files and standard MIDI files for use as sound resources.

It is also possible to use the Bank tab to open and edit bank files that haven't yet been registered in the Sound Project.
Two different types of bank files can appear within SoundMaker: (1) registered bank files that are subject to conversion, and (2) unregistered bank files that will not be converted, even if they're open in the application.
Within this documentation, we use the word "project" to refer to the former type, namely those files that are subject to conversion. Likewise, we use the term "workspace" to refer to all files displayed within SoundMaker, including any unregistered files that may be open.

For more information about how to load bank files that are not registered in a project, see Loading Bank Files from Outside the Project.


Key Operations

Project Tree Keyboard Operations

The shortcut keys CTRL+SHIFT+1 can be used to move the focus to the Project Tree.

The following keyboard operations can be performed inside the Project tree.

  • UP/DOWN ARROW keys — Move the selected node up or down
  • LEFT ARROW — Close node
    If the node is already closed, move to the parent node
  • RIGHT ARROW — Open node
    If the node is already open, move to the first child node
  • BACKSPACE — Keep the node open and move to the parent node
  • PAGE UP/DOWN — Scroll one page up or down
  • HOME/END — Move to the top or bottom of the tree
  • ENTER — The same operation as a double-click
  • DELETE — Delete the selected item
  • SHIFT + Mouse wheel — Scroll left and right
  • Application key — Show the context menu (not present on all keyboards)


Tree View

Synchronize with Tabs

Select View → Synchronize Trees to Tabs to synchronize node selection in the project tree with the tabs.

Behavior When the Sound Set Tab Is Active

Selects the node in the project tree that corresponds to the list currently displaying in the active Sound Set tab.
After this operation, the focus moves to the tree.
If a corresponding tree node happens to be closed or located where not shown in the project tree, the node is opened, or the display scrolls to show the node on the screen.
Nothing happens if the corresponding tree node cannot be identified (that is, no tabs are open).

Behavior When the Bank Tab Is Active

Selects the node in the project tree that corresponds to the location where the active Bank tab is opened.
Nothing happens if the Bank tab is open, but the original bank item has been deleted from the sound set.
If the tab is reopened from a bank referencing the same bank file, the project tree view synchronizes with the tab opened last. (Synchronizes to the most recently accessed bank node.)
Other behaviors are the same as for the Sound Set tab.

View Filters

Child nodes in the sound set that are not being used can be hidden in the project tree.

Right-click a sound set node in the project tree to open the shortcut menu and select Hide Empty Nodes. This acts as a toggle to show or hide child nodes.

If an item is added to an empty node while the hide setting is enabled, the node tree display is immediately restored.
However, if the parent node of this node is closed or positioned offscreen, it does not automatically open the parent node or scroll to show it on screen.
The show/hide setting is saved for each sound set in the project's settings file.

Close All Nodes

To close and collapse all nodes in a project tree, select Collapse All from the shortcut menu when right-clicking in a project tree.

The default setting is to display all expanded in a project tree, so when there is a large number of sound sets, operations can become cumbersome.
At these times, close all nodes with Collapse All and then open only the necessary sound sets to perform operations.

Minimize View

Click the Minimize button on the right side of the title bar of the project tree to minimize the display and show only the tab portion of the project tree.

To restore the project tree to its original size, click the button on the tab or double-click the tab.


Example Sound Project Applications

Example of Working Collaboratively Using Sound Projects

Example of Working Collaboratively Using Sound Projects

Sound Projects and sound sets can be used freely in any manner. When one person creates a project, there is no problem working on a single Sound Project and a single sound set.

When one person works on a project alone, that person can split up sound sets based on the purpose of the sound. For large-scale projects with more than one staff member, they can work collaboratively by sharing sound set files among SoundMaker users.

Example of Working Collaboritively with Sound Projects

The following conceptual diagram shows the collaborative sharing of sound set files among several Sound Projects.


Sound Set Tab

This section presents an overview of Sound Sets and describes the Sound Set tab.


Overview

Role of the Sound Set Tab

The Sound Set tab is the pane in which sound set (.csst) files are edited.
Almost all of the main SoundMaker tasks, such as the creation of sounds, are carried out in this tab (pane).

Sound Set Structure

Sound sets include all elements required by a sound archive. Switch what elements are on display by selecting different nodes in the Project tree.
Detailed descriptions of each element is given in later sections.


Stream Sound

Select the Stream Sound node in the project tree to show the stream sounds in the Sound Set tab.
The list displayed here is called the Stream Sound List.

Creating and Adding Stream Sounds

To create or add a Stream Sound, select the list region in the Sound Set tab and then select Project → Add Item → Stream Sounds.

You can also create or add a stream sound by right-clicking the Stream Sound List and using the shortcut menu that appears.

Editing Stream Sounds

Stream sounds are edited from the Stream Sound List.
The columns in the Stream Sound List show the defined elements that are essential to the stream sound. These correspond to the elements that are essential for the stream sound data in the Sound archive.

Defined Elements in Stream Sound List

This section explains the meanings of the various defined elements in the Stream Sound List.

Play

Clicking this button will register the selected sound in the Preview Player window, and will trigger playback of stream sound.

Name

Specifies the name of the stream sound. Programs use this name to play the stream sound through the snd library from the sound archive that is ultimately created.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Compression Method

Specifies the compression method to use when the converter converts reference wave files.

  • ADPCM

    • Converts a waveform file into a dedicated ADPCM format.
    Be aware that the loop header is automatically transferred to the block header when the file is compressed, so you need to be careful if you are using the loop position to control the timing of playback.
  • PCM16

    • Converts into 16-bit PCM data.
  • PCM8

    • Converts into 8-bit PCM data.

File Path

Specifies the wave file to be referenced when creating a stream sound.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used.
- The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Duration

Displays the playback time for sounds (the length of the waveform data expressed as time).
The units are displayed in the "m:s.ms" format. The milliseconds are rounded up to the nearest two decimal places.

Volume

Specifies the volume (from 0 to 255) to use when the snd library plays the stream sound.

If sound data volume is set to 127, playback is made at an equal volume (x1) as source data.

However, volume can be set in various ways (data or program).
The result after all setting values are applied is clamped between 0.0x and 2.0x versus the source volume.
For more details, see the chapter Operating Sound Parameter Controls in the Sound System Manual.

Player Priority

Specifies the player priority of the stream sound as a value from 0 through 127. The higher the value, the higher the priority.
Player Priority selects which sounds to play (or stop) when the Player attempts to play more than its sound limit, or more than the maximum number of sounds and tracks as configured in the system settings.
For details, see the Sound System Manual.

Player

Specifies the player to use when voicing a stream sound.

Actor Players

The values 0 through 3 represent the four types of actor players to be played.
Because actor players correspond to a real-world sound source or, specifically, the vocal chords of a certain voice, it is possible to limit the number of sounds that can be played at the same time for each actor player.
Just as with a player, if the set number of sounds is exceeded, the player priority set for each sound is compared, and the sound with the lowest priority is stopped. The initial value of the number of restricted sounds for each actor player is unlimited for actor player number 0, and 1 for all other actor player numbers 1 through 3.

Actor players are mainly used in conjunction with 3D sound actors. As an example, this is useful when you want to suppress the playback of a sound at the actor level in situations where the same sound might be played simultaneously by multiple 3D sound actors.

3D Vol

Sets whether 3D sound volume control is applied.
3D sound volume control for sounds can be disabled by removing this check.

3D Pan

Sets whether 3D sound pan control is applied.
Clear this check box to disable 3D sound pan control for sounds.

3D SPan

Sets whether 3D sound surround pan control is applied.
Clear this check box to disable 3D sound surround pan control for sounds.

3D Pri

Sets whether 3D sound voice priority control is applied.
Clear this check box to disable 3D sound voice priority control for sounds.

3D Filter

Sets whether 3D sound Biquad filter control is applied.
Check this item to enable 3D sound Biquad filter controls for sounds.

3D Decay Curve

Selects the volume decay system to be applied to 3D sounds.

3D Decay Ratio

Selects the volume decay ratio to be applied to 3D sounds.

3D Doppler Factor

Sets the Doppler effect to be performed by the 3D sound.
Sets the pitch variation to be used by the Doppler effect as a value from 0 through 255.
The default value is 0. The larger the value, the greater the change in pitch, while a value of 0 represents absolutely no change in pitch.

Pan Mode

Select Dual or Balance as the pan operational mode for stereo waveforms. Balance is the mode in which the left/right audio volume balance is adjusted, and Dual is the mode in which pan is set using the left and right channels as separate monaural voices.

For more information about setting and using pan modes, see the "Pan Operations" section in the Sound System Manual.

Pan Curve

Pan curve sets the type of attenuation curve used to determine the audio volume on the left and right channels during pan operations.

For more information about setting and using pan curves, see the "Pan Operations" section in the Sound System Manual.

Front Bypass

Sets whether to use the front bypass setting for 3D Surround.
When this check box is selected, the mode becomes Front Bypass mode.

In Front Bypass mode, the front L/R audio plays from the locations of the physical speakers.
In normal 3D Surround, the front L/R audio plays from the locations of the virtual speakers (which are wider than the physical speakers)

User Settings

Configures the 32-bit numerical value that the user is free to set.

Configuring Multi-Track Streams

Multi-track specifications are possible when stream sounds are used.

You can set up to four tracks for a single stream sound.

Wave files set to multi-track must all use the same sampling rate.

Wave file information of Track 0 is used for the data length after conversion and loop specifications.

Right-click the Stream Sound List you want to configure and open the Settings dialog box from the shortcut menu that appears.

Wave files are added by clicking the Add button.
To delete a track, select the list and click the Remove button.

If multiple files have been specified for the stream sound, an asterisk displays in the File Path field of the Stream Sound List; the file path cannot be edited from here.


Wave Sound

Select the Wave Sound node in the project tree to show a list of the wave sounds in the Sound Set tab.
The list is split and displayed in upper and lower sections in the Sound Set tab.
The upper part of this split tab is called the Wave Sound Set List, and the lower part is called the Wave Sound List.

Role of Wave Sound Sets

Wave sounds are played by loading the referenced waveform data into memory. The main use of wave sounds is for sound effects, which require an extremely large variety of wave sounds. It would be inefficient to load all of these wave sounds individually into memory. The Wave Sound Set defines a combination of waveform data that can be loaded into memory all at once.
Usually, a set of waveform data for sound effects is collected together for each scene and loaded into memory. Sound data that assumes this approach to the loading of waveform data can be created by using a Wave Sound Set to efficiently gather together the effect sounds (wave sounds) to be used in a given scene.

Creating and Adding Wave Sound Sets

To create or add a Wave Sound Set, select the list region in the Sound Set tab and then select Project → Add Item → Wave Sound Sets.

To create or add a wave sound set, right-click the Wave Sound Set List and use the shortcut menu.

Elements Defining a Wave Sound Set List

This section describes the meaning of each of the elements that define a Wave Sound Set List.

Name

Specifies the name of the wave sound set.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Waveform archive.

Used to configure which waveform archive a given bank is associated with (in other words, chooses the waveform archive you want to share).

  • Automatic (Shared)
    Generates a waveform archive automatically.
    Also, the other wave sound sets and bank waveform archives in the group are all collected together.
    (The waveforms themselves are shared, but a collected-together single waveform archive is not created.）
    The the waveform data of a waveform archive cannot be loaded individually; all the data are loaded at one time together.
  • Automatic (Separate)
    Generates a waveform archive automatically.
    However, the other wave sound sets and bank waveform archives that belong to the group are not collected together.
    Waveform archives configured with this setting will not be shared with any other banks. Such archives will all be loaded together.
  • Specify waveform archives explicitly
    You can specify whether the waveform files within a waveform archive are loaded individually or all at once.
    However, even if a given waveform archive is set to load individually, it will be loaded together with the other waveform archives if the group's output method is set to "Embed."

To read about waveform archives in combination with output methods,see Waveform Archive Automatic (Shared, Separate) Settings.

Creating and Adding Wave Sounds

To create or add a wave sound, first select the Wave Sound List that you want to add the wave sound to using the Wave Sound Set List.
Next, select Project → Add Item → Wave Sounds.

To create or add a wave sound, right-click the Wave Sound List and use the shortcut menu.

Editing Wave Sounds

Wave sounds are edited using the Wave Sound List.
Representing the elements required when defining a wave sound, each column in the Wave Sound List corresponds to an element that is required by the wave sound data in a sound archive.

Elements Defining a Wave Sound List

This section describes the meaning of each of the elements that define a Wave Sound List.

Play

Clicking this button will register the selected sound in the Preview Player window, and will trigger playback of the wave sound.

Name

Specifies the name of the wave sound. Programs use this name to play the wave sound through the snd library from the sound archive that is ultimately created.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Compression Method

Specifies the compression method to use when the converter converts reference wave files.

  • ADPCM

    • Converts a waveform file into a dedicated ADPCM format.
    Be aware that the loop header is automatically transferred to the block header when the file is compressed, so you need to be careful if you are using the loop position to control the timing of playback.
  • PCM16

    • Converts into 16-bit PCM data.
  • PCM8

    • Converts into 8-bit PCM data.

File Path

Specifies the wave file to be referenced when creating a wave sound.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used.
- The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Duration

Displays the playback time for sounds (the length of the waveform data expressed as time).
The units are displayed in the "m:s.ms" format. The milliseconds are rounded up to the nearest two decimal places.

Data size

Shows the size of the waveform data after compression conversion.
The content on display is updated when files are converted.

Volume

Specifies the volume (from 0 to 255) to use when the SND library plays the wave sound.

If sound data volume is set to 127, playback is made at an equal volume (x1) as source data.

However, volume can be set in various ways (data or program).
The result after all setting values are applied is clamped between 0.0x and 2.0x versus the source volume.
For more details, see the chapter Operating Sound Parameter Controls in the Sound System Manual.

Channel Priority

Specifies the channel priority of the wave sound as a value from 0 through 127. The higher the value, the higher the priority. Channel priority is used as the voice priority passed to the AX library when a wave sound is actually voiced.

Player Priority

Specifies the player priority of the wave sound as a value from 0 through 127. The higher the value, the higher the priority.
Player Priority selects which sounds to play (or stop) when the Player attempts to play more than its sound limit, or more than the maximum number of sounds and tracks as configured in the system settings.
For details, see the Sound System Manual.

Player

Specifies the player to use when voicing a wave sound.

Actor Players

The values 0 through 3 represent the four types of actor players to be played.
Because actor players correspond to a real-world sound source or, specifically, the vocal chords of a certain voice, it is possible to limit the number of sounds that can be played at the same time for each actor player.
Just as with a player, if the set number of sounds is exceeded, the player priority set for each sound is compared, and the sound with the lowest priority is stopped. The initial value of the number of restricted sounds for each actor player is unlimited for actor player number 0, and 1 for all other actor player numbers 1 through 3.

Actor players are mainly used in conjunction with 3D sound actors. As an example, this is useful when you want to suppress the playback of a sound at the actor level in situations where the same sound might be played simultaneously by multiple 3D sound actors.

Pan

Specifies the pan (from 0 to 127) to use when the SND library plays the wave sound.

S Pan

Specifies the surround pan when SoundLib plays wave sounds as a value from 0 through 127.

Pitch

Specifies the pitch (as a percentage) to use when the snd library plays the wave sound.

You cannot enter a number smaller than 0.00001. When batch editing files, values less than 0.00001 will be corrected to 0.00001.

Env R

Specifies the release time of the release envelope as a value from 0 through 127.

Send AUX_A

Specifies the send amount for auxiliary bus A as a value from 0 through 127.

Send AUX_B

Specifies the send amount for auxiliary bus B as a value from 0 through 127.

Send MAIN

Specifies the send amount for the main bus as a value from 0 through 127.

The send amount for the auxiliary and main buses are mixed as shown in the schematic below.
You can create sounds with just the auxiliary bus (effect) components by setting the value of send MAIN to 0.

Fix Priority at Release

If this option has been checked, the voice priority of the corresponding sound is not reduced even during release.

3D Vol

Sets whether 3D sound volume control is applied.
3D sound volume control for sounds can be disabled by removing this check.

3D Pan

Sets whether 3D sound pan control is applied.
3D sound pan control for sounds can be disabled by removing this check.

3D SPan

Sets whether 3D sound surround pan control is applied.
Clear this check box to disable 3D sound surround pan control for sounds.

3D Pri

Sets whether 3D sound voice priority control is applied.
Clear this check box to disable 3D sound voice priority control for sounds.

3D Filter

Sets whether 3D sound Biquad filter control is applied.
Check this item to enable 3D sound Biquad filter controls for sounds.

3D Decay Curve

Selects the volume decay system to be applied to 3D sounds.

3D Decay Ratio

Selects the volume decay ratio to be applied to 3D sounds.

3D Doppler Factor

Sets the Doppler effect to be performed by the 3D sound.
Sets the pitch variation to be used by the Doppler effect as a value from 0 through 255.
The default value is 0. The larger the value, the greater the change in pitch, while a value of 0 represents absolutely no change in pitch.

Pan Mode

Select Dual or Balance as the pan operational mode for stereo waveforms. Balance is the mode in which the left/right audio volume balance is adjusted, and Dual is the mode in which pan is set using the left and right channels as separate monaural voices.

For more information about setting and using pan modes, see the "Pan Operations" section in the Sound System Manual.

Pan Curve

Pan curve sets the type of attenuation curve used to determine the audio volume on the left and right channels during pan operations.

For more information about setting and using pan curves, see the "Pan Operations" section in the Sound System Manual.

Front Bypass

Sets whether to use the front bypass setting for 3D Surround.
When this check box is selected, the mode becomes Front Bypass mode.

In Front Bypass mode, the front L/R audio plays from the locations of the physical speakers.
In normal 3D Surround, the front L/R audio plays from the locations of the virtual speakers (which are wider than the physical speakers)

User Settings

Configures the 32-bit numerical value that the user is free to set.


Bank

Select the Bank node in the project tree to show the banks in the Sound Set tab.
The displayed list is called the bank list.

Banks and Bank Files

Banks reference bank files. The instruments actually voiced by sequence sounds are defined in bank files.
Bank files are edited in the Bank tab (explained later).

Creating and Adding Banks

To create or add a bank, select the list region in the Sound Set tab and then select Project → Add Item → Bank....

You can also create and add banks using the shortcut menu that appears when you right-click the bank list.

Editing a Bank

Banks are edited in the bank list.
As described in the section on banks and bank files, sounds themselves are defined in bank files that are referenced by banks. The only editing performed on the bank list is editing a bank name and the bank files that are referenced.

Elements Defining a Bank List

This section describes the meaning of each of the elements of a bank list.

Name

Specifies the name of the bank. There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Waveform archive.

Used to configure which waveform archive a given bank is associated with (in other words, chooses the waveform archive you want to share).

  • Automatic (Shared)
    Generates a waveform archive automatically.
    Also, the other wave sound sets and bank waveform archives in the group are all collected together.
    (The waveforms themselves are shared, but a collected-together single waveform archive is not created.）
    The the waveform data of a waveform archive cannot be loaded individually; all the data are loaded at one time together.
  • Automatic (Separate)
    Generates a waveform archive automatically.
    However, the other wave sound sets and bank waveform archives that belong to the group are not collected together.
    Waveform archives configured with this setting will not be shared with any other banks. Such archives will all be loaded together.
  • Specify waveform archives explicitly
    You can specify whether the waveform files within a waveform archive are loaded individually or all at once.
    However, even if a given waveform archive is set to load individually, it will be loaded together with the other waveform archives if the group's output method is set to "Embed."

To read about waveform archives in combination with output methods,see Waveform Archive Automatic (Shared, Separate) Settings.

File Path

Specifies the path name of the bank file.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used.
- The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Outputting Instrument Lists in HTML

You can output instrument lists to an HTML-formatted file in the same way as HTML sound list output.

Right-click the bank list to open the shortcut menu and select HTML Instrument List Output to display the Settings dialog box.

Select the items to output and export the file.

Unlike HTML sound lists, this will not be output while converting. HTML instrument lists are output to the same directory as each bank file. You can view the instrument label names and comments in a list, and sort the instruments using each item as a filter.


Sequence Sound

Select the Sequence Sound node in the project tree to show the sequence sounds in the Sound Set tab.
The list displayed here is called the Sequence Sound List.

Creating and Adding Sequence Sounds

To create or add a Sequence Sound, select the list region in the Sound Set tab and then select Project → Add Item → Sequence Sounds.

You can also create or add a sequence sound by right-clicking the Sequence Sound List and using the shortcut menu that displays.

Editing Sequence Sounds

Sequence sounds are edited from the Sequence Sound List.
The columns in the Sequence Sound List show the defined elements that are essential to the sequence sound. These correspond to the elements that are essential for the sequence sound data in the Sound archive.

Defined Elements in Sequence Sound List

This section explains the meanings of the various defined elements in the Sequence Sound List.

Play

Clicking this button will register the selected sound in the Preview Player window, and will trigger playback of the sequence sound.

Name

Specifies the name of a sequence sound. Programs use this name to play the sequence sound through the snd library from the sound archive that is ultimately created.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

File type

Select the type of reference file. Select SMF when using a standard MIDI file, and Text (text in the dialog box) when using a text sequence file.

File Path

Specifies the file to reference when creating a sequence sound.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used.
- The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Playback Start Position

When using a text sequence file as a reference file, the sequence label that will play in the sequence sound is specified.

If this specification is not given, the very first sequence in the text sequence file plays.

Bank

Specifies the bank to use when playing a sequence sound.

Player

Specifies the player to use when voicing a sequence sound.

Volume

Specifies the volume (from 0 to 255) to use when the snd library plays the sequence sound.

If sound data volume is set to 127, playback is made at an equal volume (x1) as source data.

However, volume can be set in various ways (data or program).
The result after all setting values are applied is clamped between 0.0x and 2.0x versus the source volume.
For more details, see the chapter Operating Sound Parameter Controls in the Sound System Manual.

Channel Priority

Specifies the channel priority of the sequence sound as a value from 0 through 127. The higher the value, the higher the priority.

This value gets added in the sequence file that is being referenced to the sound priority that has been set for each channel. The result becomes the final sound priority for each voice when it sounds.
To learn how to set the sound priority for the sequence file, see the Sequence Data Manual ($SoundMaker/docs/SequenceData_Manual.pdf).

Player Priority

Specifies the player priority of the sequence sound as a value from 0 through 127. The higher the value, the higher the priority.
Player Priority selects which sounds to play (or stop) when the Player attempts to play more than its sound limit, or more than the maximum number of sounds and tracks as configured in the system settings.
For details, see the Sound System Manual.

Actor Players

The values 0 through 3 represent the four types of actor players to be played.
Because actor players correspond to a real-world sound source or, specifically, the vocal chords of a certain voice, it is possible to limit the number of sounds that can be played at the same time for each actor player.
Just as with a player, if the set number of sounds is exceeded, the player priority set for each sound is compared, and the sound with the lowest priority is stopped. The initial value of the number of restricted sounds for each actor player is unlimited for actor player number 0, and 1 for all other actor player numbers 1 through 3.

Actor players are mainly used in conjunction with 3D sound actors. As an example, this is useful when you want to suppress the playback of a sound at the actor level in situations where the same sound might be played simultaneously by multiple 3D sound actors.

Fix Priority at Release

If this option has been checked, the voice priority of the corresponding sound is not reduced even during release.

3D Vol

Sets whether 3D sound volume control is applied.
3D sound volume control for sounds can be disabled by removing this check.

3D Pan

Sets whether 3D sound pan control is applied.
3D sound pan control for sounds can be disabled by removing this check.

3D SPan

Sets whether 3D sound surround pan control is applied.
Clear this check box to disable 3D sound surround pan control for sounds.

3D Pri

Sets whether 3D sound voice priority control is applied.
Clear this check box to disable 3D sound voice priority control for sounds.

3D Filter

Sets whether 3D sound Biquad filter control is applied.
Check this item to enable 3D sound Biquad filter controls for sounds.

3D Decay Curve

Selects the volume decay system to be applied to 3D sounds.

3D Decay Ratio

Selects the volume decay ratio to be applied to 3D sounds.

3D Doppler Factor

Sets the Doppler effect to be performed by the 3D sound.
Sets the pitch variation to be used by the Doppler effect as a value from 0 through 255.
The default value is 0. The larger the value, the greater the change in pitch, while a value of 0 represents absolutely no change in pitch.

Front Bypass

Sets whether to use the front bypass setting for 3D Surround.
When this check box is selected, the mode becomes Front Bypass mode.

In Front Bypass mode, the front L/R audio plays from the locations of the physical speakers.
In normal 3D Surround, the front L/R audio plays from the locations of the virtual speakers (which are wider than the physical speakers)

User Settings

Configures the 32-bit numerical value that the user is free to set.

Multibank Settings

Multibanks can be specified when working with sequence sounds.

Up to four banks can be set for a single sequence sound.

Right-click a sound you want to configure within the sequence sound list, then select Multibank Settings... from the shortcut menu that appears.

Add banks by clicking the Add button.
To delete a bank setting, select an item within the list, then click the Delete button.

An asterisk ( * ) will be displayed in the Bank column for sequence sounds for which multiple banks have been specified. When multiple banks have been specified for a given sequence sound, the bank cannot be changed directly from the sequence sound list.

Converting SMF Files

You can create a text sequence file (.cseq) from the converted SMF file.

Use these features to create and edit text sequences.

Right-click on the sequence sound list to open the context menu and select Convert SMF File.

A dialog opens to specify an output location, so set this together with a filename to create the text sequence file.


Sequence Sound Sets

Select the Sequence Sound Set node in the project tree to show a list of the sequence sound sets in the Sound Set tab.
The list is split and displayed in upper and lower sections in the Sound Set tab.
The upper part of this split tab is called the Sequence Sound Set List, and the lower part is called the Sequence Sound List.

Role of Sequence Sound Sets

The data you can register in a sequence sound set is the same as that registered in sequence sounds, but you can collect numerous sequence sounds together and register them in a single sequence sound set.
Because sequence sound sets can be registered to groups, this provides an easy way of managing the groups of sequence data.
(Because sequence sounds inside the sequence sound set cannot be registered individually to groups, the number of labels to choose from when registering groups does not grow unnecessarily large.)）
We consider sequence sounds to be primarily for background music and sequence sound sets to be for sound effects.

Creating and Adding Sequence Sound Sets

To create or add a Sequence Sound Set, select the list region in the Sound Set tab and then select Project → Add Item → Sequence Sound Set....

With sequence sound sets, it is possible to create or add a new sequence sound set using the shortcut menu, which opens by right-clicking the Sequence Sound Set list.

Creating, Adding, and Editing Sequence Sounds

For more information on creating, adding and editing sequence sounds, see the topics in the Sequence Sounds page.

Elements Defining a Sequence Sound List

For more information on the elements that define sequence sounds, see the topics on the Sequence Sounds page.

Registration to Groups

Sequence sound sets are the only items that can be registered to groups.
Individually created sequence sounds cannot be registered.


Waveform archive.

Select the Waveform Archive node in the project tree to display the waveform archive list in the Sound Set tab.
The displayed list is called the waveform archive list.

The Role of Waveform Archives

Waveform archives group multiple waveform data files that are associated with banks or wave sound sets into a single entity.

Multiple banks and multiple wave sound sets can be associated with a single waveform archive.

Creating New Waveform Archives

In order to create new waveform archives, first double-click the Waveform Archive node in project tree to display the waveform archive list in the Waveform Archive tab. Then right-click within the list and select either the Add Item or Insert Item options from the shortcut menu.

Doing so will display the Create New Waveform Archive dialog box. Enter the name of your waveform archive and specify whether it should be loaded individually.

It is also possible to delete waveform archives by right-clicking an archive and choosing Delete from the shortcut menu. If the waveform archive you've selected for deletion is already being referenced by banks or wave sound sets, a confirmation dialog box will appear asking whether you're sure you want to delete it.
The act of deleting a waveform archive only deletes the links to files referenced by sound sets; it will not delete the actual files being referenced.

Elements Defining the Waveform Archive List

This section describes the meaning of each of the elements that define a waveform archive list.

Name

Specifies the file name for the waveform archive.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Load Individually

When this check box is selected, loading the waveform archive will only load the required waveform data within that waveform archive individually. In other words, selecting this option will mean that the entire waveform archive will not necessarily be loaded.

This option works well when a single waveform archive is shared over multiple banks, as in the following.

Waveform data used only in Bank A may be included in the shared waveform archive. When using Bank B, if you load waveform data for Bank A that Bank B does not use, the memory efficiency will decrease.
If the "Load Individually" option were enabled for this shared waveform archive, only the waveform data used by Bank B would be loaded when using Bank B. Any waveform data not used by Bank B that is contained within the shared waveform archive would not be loaded.

Overhead on Memory Consumption and Load Time

Selecting the "Load Individually" option can introduce some overhead in terms of memory usage and load time relative to what would be required if all waveform data in the archive were loaded at once.
In most cases, the overhead issue can be ignored because unnecessary data sets are not loaded, which reduces memory consumption and shortens data set loading time. However, the overhead will increase if there is little or no unnecessary data.


Player

Select the Player node in the Project Tree to show the Player in the Sound Set tab.
The list displayed is called the Player List.

Creating and Adding Players

To create or add a Player, select the list region in the Sound Set tab and then select Project → Add Item → Player....

It is also possible to create or add a new Player using the shortcut menu that opens from right-clicking the Player List.

Editing a Player

Players are edited using the Player List.

Elements Defining a Player List

This section describes the meaning of each of the elements that defines a Player list.

Name

Specifies the name of the Player.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Sound Limit

Specifies the number of sounds that can be played simultaneously by the Player.
If the Player receives a request for a sound that exceeds the maximum number of playable sounds specified by this value, the sounds played are selected based on the Player priority of each sound. Sounds left out due to this selection stop whether or not they are actually voiced.
Note that it is the priority of virtual voices, not physical voices, that matters in this specification.
This value specifies the maximum number of sounds, such as a sequence sound or a wave sound. Although multiple MIDI channels and voices exist for each sound, priority settings for these separate voices are carried out based on channel priority. Channel priority is applied at the voice level at the point where each sound is about to be played as a physical voice.

Heap Size

Specifies the size of the Player heap to be used by the Player.

For more information on the Player heap, see About the Player Heap.


Groups

Select the Group node in the project tree to show a list of groups in the Sound Set tab.
The list is split and displayed in upper and lower sections in the Sound Set tab.
The upper part of this split tab is called the group list and the lower part the group item list.

The Role of Groups

Items for the same sound set are registered in a group. The items registered here are called group items.

When the application loads waveform data and other data from the sound archive into memory, the programmer can gather all the items required for a particular scene and load them as a group.

The sound designer can make better use of memory by classifying items according to scenes and the timing at which they are needed and then efficiently registering them into different groups.

Group List and Group Item List

The group list is used to create groups. The group item list displays a list of items currently registered in the selected group.

Creating and Adding Groups

To create or add a group, select the list region in the Sound Set tab and then select Project → Add Item → Group....

It is possible to create a new group or to add a group using the shortcut menu that appears by right-clicking the group list.

Registering Items in Groups

The group item list is used to register items to a group.

From the group list, select the group with which you want to register the item and then select Project → Add Item → Group Item....

An item can also be registered to a group by dragging the item to the group item list from the sound list or the Search Result window.

Elements Defining a Group List

This section describes the meaning of each of the elements that define a group list.

Name

Specifies the group name.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Data size

The group list data size indicates the size when the group is loaded into the sound heap.

The data size display is updated automatically when conversion is executed.

The group data size is displayed, but its value cannot be edited.

Output Method

Sets the method for outputting the sound data registered in group items to sound archives.

  • Embed
    Embeds sound data in a group.
    The advantage of this is that the number of accesses will decrease. The disadvantage is that it may lead to redundant data. Embedding is appropriate in three main scenarios, namely if a lot of space is available in the ROM, if you want to reduce the number of accesses, or if you have extra space in RAM.
  • Link
    Includes the sound data within the sound archive without including it within the group.
    The advantage of this is that no data redundancy will occur. The disadvantage is that the number of accesses will increase.
    Linking is appropriate for two main scenarios, namely if you want to conserve space in RAM or ROM, or if random access to the media is fast.
  • Don't output
    Won't output the group file. It won't be included in the sound binary archive file either.
    This can be used as a virtual folder to store items that are included in other groups.

Elements Defining a Group Item List

This section describes the meaning of each of the elements that define a group item list.

Name

Displays the names of the items registered in the group.
The drop-down menu can be used to change other items in the sound list.

Sound Set

Displays the name of the sound set that contains the item.

Register Related Items

Specifies how related waveform archives should be loaded when the given item is loaded.

By default, when a sequence sound, wave sound, or bank is loaded, any related waveform archives will also be loaded at the same time. The "Register Related Items" drop-down menu lets you specify that certain items or combinations of items (for example, "SEQ/SEQSET and BANK only" or "WARC only") should be loaded individually.

If the "Waveform Archive" setting for a wave sound set or a bank is set to either "Automatic (Shared)" or "Automatic (Individual)," only "ALL" can be selected.

Supplemental Information on Group Operations

Relation to Files

When items such as banks and sequences are registered to a group, what actually is being registered are the files which those items reference. Note that when snd library loads a group into the sound heap, what is being loaded are individual files.

For example, consider a sequence sound that references a text sequence file.

This text sequence file (which the sequence sound uses as its reference file) can describe multiple sequences.

If such a sequence sound (that is, one that references a text sequence file containing multiple sequences) is loaded into the sound heap as part of a group, all of the sequences described in the text sequence file are loaded, and even sequence sounds that are not registered with that particular group but that reference the same text sequence file can be played.

Multiple items that reference the same file can be registered in the same group. When that group is loaded, duplicate content is not loaded.

Wave sound sets can be edited in the Sound Set window without their reference files. However, if this is done, each wave sound set is handled internally as a separate file.

Relation Between Waveform Archive Automatic (Shared, Separate) Setting and Method of Group Output

Here we explain by way of example the relationship between the Waveform Archive of banks and wave sound sets and the Output Method for groups.

To simplify the explanation, we concentrate on the relation between banks and groups. By substituting wave sounds set for bank, this same explanation can be read to understand the relation between wave sounds sets and groups.

Link Group and Automatic (Shared) Bank

First we explain the behavior of the Link group.

In the example below, three Automatic (Shared) banks are registered to a Link group.

Group -- Output Method | Bank -- Waveform Archive
GROUP_0 [Link] | BANK_0 [Automatic (Shared)]
 | BANK_1 [Automatic (Shared)]
 | BANK_2 [Automatic (Shared)]

A separate waveform archive is implicitly created automatically for each of the banks, BANK_0 ～ BANK_2.
Even if the same waveform is referenced among the banks BANK_0 ～ BANK_2, it is not shared but rather placed redundantly in ROM. A single collective waveform archive is not created for the group, and the duplicate waveforms in the waveform archive are not collected together.

If you want waveforms to be shared, you need to either use Embed Group and Automatic (Shared) or explicitly specify the bank's waveform archive as shown below.:

Explicitly Specifying Bank's Waveform Archive

Group -- Output Method | Bank -- Waveform Archive
GROUP_0 [Embed or Link] | BANK_0 - WARC_0
 | BANK_1 - WARC_0
 | BANK_2 - WARC_0

In the above configuration, WARC_0 contains the waveforms of banks BANK_0 ～ BANK_2 without any duplicates (i.e., one waveform is shared by multiple banks).

The Load Individually flag for waveform archives can be set either on or off.

LinkGroup and Automatic (Separate) Bank

Group -- Output Method | Bank -- Waveform Archive
GROUP_0 [Link] | BANK_0 [Automatic (Separate)]
 | BANK_1 [Automatic (Separate)]
 | BANK_2 [Automatic (Separate)]

A separate waveform archive is implicitly created automatically for each of the banks, BANK_0 ～ BANK_2, just as was the case for LinkGroup and Automatic (Shared) Bank. The waveforms shared by banks are not collected together into a single waveform archive.

In other words, regardless of whether the banks registered to a Link group are Automatic (Shared) or Automatic (Separate), in either case a waveform archive is created for each individual bank, and duplicated waveforms are not shared inside a group.

Uses for Automatic (Separate) Banks

Although it may seem at first glance like there are no good uses for Automatic (Separate) banks, the following configuration yields a benefit:

Group -- Output Method | Bank -- Waveform Archive
GROUP_1 [Embed or Link] | BANK_0 [Automatic (Separate)]
GROUP_2 [Link] | BANK_0 [Automatic (Separate)]

With this configuration, only one kind of waveform archive is automatically created for BANK_0 and you can economize on ROM size.

However, if GROUP_1 and GROUP_2 are both [Embed] then the waveform archive for BANK_1 will be created in two locations in ROM.

EmbedGroup and Automatic (Shared) Bank

Group -- Output Method | Bank -- Waveform Archive
GROUP_0 [Embed] | BANK_0 [Automatic (Shared)]
 | BANK_1 [Automatic (Shared)]
 | BANK_2 [Automatic (Shared)]

In this case, the waveforms are collected together and a single waveform archive is created for banks BANK_0 ～ BANK_2. This waveform archive is referenced by three banks and contains no redundant waveforms (i.e., a single waveform is shared by multiple banks).

Compared to the explicit specification of waveform archives, this configuration has the merit of not going out of the way to create waveform archives. But on the downside, the waveforms can only be shared inside the group. There is also a downside to adding the following to the above configuration:

Group -- Output Method | Bank -- Waveform Archive
GROUP_1 [Embed] | BANK_0 [Automatic (Shared)]
 | BANK_3 [Automatic (Shared)]

In this case, the [Embed] groups GROUP_0 and GROUP_1 both contain BANK_0, and the waveform archives of GROUP_0 and GROUP_1 both contain waveforms that are referenced by BANK_0 (placed in duplicate locations in ROM), so the size of ROM becomes larger.

EmbedGroup and Automatic (Separate) Bank

Group -- Output Method | Bank -- Waveform Archive
GROUP_0 [Embed] | BANK_0 [Automatic (Separate)]
 | BANK_1 [Automatic (Separate)]
 | BANK_2 [Automatic (Separate)]

In this case, a separate waveform archive is implicitly created automatically for each of the banks, BANK_0 ～ BANK_2.

This configuration has merit when it is used in the way mentioned above in Uses for Automatic (Separate) Banks.


Bank Tab

This section presents an overview of banks and explains the Bank tab.


Overview

Role of the Bank Tab

Use the Bank tab to edit bank files (with the .cbnk extension).
Bank files are referenced from the bank of a sound set and function as the sound to be used for playback by a sequence sound.

Structure of a Bank File

A bank file consists of instruments that corresponds to musical instruments and the instrument list that groups those instruments into sets and assigns program numbers.
Detailed descriptions of each element is given in later sections.

Tab Text for the Bank Tab

Normally, for bank files included in projects, the bank name is included in the tab text and displayed as "Bank Name - Filename," but for cases such as when bank files not registered in a project are loaded from the File menu, only the filename is displayed.


About Instrument Parameters

This section describes the types of instrument parameters available and associated concepts.

Instrument Parameters and Region Parameters

The SoundMaker's Bank tab is divided internally into parameters for instruments (shared by all regions) and region-specific parameters.

The former are called instrument parameters, while the latter are called region parameters.

Using Various Parameters

This section looks at the various parameters that are set in the Bank tab and describes in each case whether they are handled as instrument parameters or region parameters.

Envelope

Can be configured as either an instrument parameter or a region parameter.

It is possible to select whether the envelope value is to be treated as an instrument parameter (configured at the instrument level) or as a region parameter (configured at the region level) for each instrument.
Although the envelope is normally handled as an instrument parameter, it is possible to configure an envelope value separately at the region level by configuring a region parameter envelope for a multi-region instrument.
For information on configuring an application target, see Selecting an Envelope Application Target.

The current envelope application target can be found by displaying the envelope on the Instrument List.
Instrument List displays for which a numeric value is displayed have envelopes applied at the instrument level, and those that have an asterisk displayed have envelopes applied at the region level.

It is not possible to simultaneously configure an instrument parameter and region parameter envelope for a single instrument.

Pan

Handled as a region parameter and always specified in units of regions.

Volume

Can be configured independently as both an instrument parameter and a region parameter.

Pitch

Can be configured independently as both an instrument parameter and a region parameter.


Instrument List

The Bank tab is divided into upper and lower sections for display. The upper part is called the Instrument List.

Role of the Instrument List

The Instrument List is used to create instruments and specify program numbers. The Instrument List functions as a tone set when a sequence references a bank. Single-region instruments that have only a single region can be edited using the Instrument List only.

Creating Instruments

Select Project → Add Item → Instruments while the Bank tab is active.

It is possible to create or add a new instrument using the shortcut menu that opens from right-clicking the Instrument List.

An original key created in the default state is configured automatically with the settings deemed appropriate based on the specified wave file's filename and additional information.
(For example, the A3 portion of the test_A3.aif filename.)

Notes written to file names are described in accordance with the sequence command rules.
The order of the settings is as follows.

  1. If there is text indicating a key in the waveform filename, it is converted to the original key.
  2. If there is no text indicating a key, original key information is obtained from within the waveform file.
  3. If step 2 fails, the key is set to cn4.

Selecting an Envelope Application Target

See Instrument Parameters for an explanation of envelopes.

Applicable target settings can be made separately for each instrument.
Targets can be switched using the shortcut menu for the Instrument List.

Switching from Region Level to Instrument Level

Switching from Instrument Level to Region Level

Opening a Folder or Reference File

Select either Open Folder or Open Reference File from the shortcut menu to perform various operations on the files.

Editing the Instrument List

This section describes the meaning of each of the elements that defines an Instrument List.

Program Number

Specifies the instrument assigned to a program change number when a bank is referenced by a sequence. Although only 128 program numbers can be specified for MIDI program changes, we can assume that some numbers have been specified for text sequences, so you can use the Instrument List to specify program numbers in excess of this limitation.

Name

Specifies the name of an Instrument List.
There are restrictions on the characters that can be used in a name. The following characters can be used.
- The first character must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Compression Method

Specifies the compression method to use when the converter converts reference wave files.

  • ADPCM

    • Converts a waveform file into a dedicated ADPCM format.
    Be aware that the loop header is automatically transferred to the block header when the file is compressed, so you need to be careful if you are using the loop position to control the timing of playback.
  • PCM16

    • Converts into 16-bit PCM data.
  • PCM8

    • Converts into 8-bit PCM data.

File Path

Specifies the path to the wave file referenced by an instrument.
This specification can be made from the Instrument List only for single-region instruments. In the case of multi-region instruments, "*" is displayed for this option to indicate that editing is impossible.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used.
- The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Duration

Displays the playback time for sounds (the length of the waveform data expressed as time).
The units are displayed in the "m:s.ms" format. The milliseconds are rounded up to the nearest two decimal places.

Number of ticks

Displays the length of the required node commands.
Ticks are units for specifying the length of the notes and rests within text sequences.

The number of ticks per minute and second will depend on both the tempo and the quarter note resolution, but if we assume the default tempo value of 120 qpm (quarter notes per minute), and we assume that the quarter note resolution of the text sequence is set at the default value of 48 (this is different than the value that is set in the SMF Quarter Note Resolution field under Project Settings, they can be calculated as follows:

  • 1 minute = 120 * 48 = 5760 ticks
  • 1 second = 120 * 48 / 60 = 96 ticks

Knowing the number of ticks is useful when writing text sequences.

Note that changing the pitch of an instrument will cause the actual playback duration to increase or decrease, and the number of actual ticks taken for playback will change accordingly.

Data size

Shows the size of the waveform data after compression conversion.
If multiple waveform files are referenced, as in the case of multi-region instruments, the sum total size of the reference files is shown.
The content on display is updated when files are converted.

Original Key

Specifies the original key (the position on the keyboard where the wave file is played at its original pitch) for the wave file to be referenced.
This specification can be made from the Instrument List only for single-region instruments. In the case of multi-region instruments, "*" is displayed for this option to indicate that editing is impossible.

Env A

Specifies the envelope attack time as a value from 0 to 127.
This specification can be made from the Instrument List only when envelope settings are being applied at the instrument level. If this setting is being applied \at the region level, "*" is displayed for this option to indicate that editing is impossible.
This operation is the same for each phase of envelope specifications given below.

Env H

Specifies the envelope hold time as a value from 0 to 127.

Env D

Specifies the envelope decay time as a value from 0 to 127.

Env S

Specifies the envelope sustain level as a value from 0 to 127.

Env R

Specifies the envelope release time as a value from 0 to 127.

Volume

Specifies the instrument's volume as a value from 0 to 255.

If sound data volume is set to 127, playback is made at an equal volume (x1) as source data.

However, volume can be set in various ways (data or program).
The result after all setting values are applied is clamped between 0.0x and 2.0x versus the source volume.
For more details, see the chapter Operating Sound Parameter Controls in the Sound System Manual.

Pitch (In Half-Tones)

Specifies the instrument's pitch in units of half tones.

Pitch (In Cents)

Specifies the instrument's pitch in units of cents (1 cent = 1/100th of a semitone).

Interpolation Type

Specifies the interpolation type for instruments.

Configure the voice interpolation method and select either 4-point interpolation, Linear interpolation or No interpolation.
The default value is 4-point interpolation (INTERPOLATION_TYPE_POLYPHASE).

In the descriptions below, the interpolation algorithm used when converting the sampling rate is configured and obtained in the application using the nn::snd::Voice::SetInterpolationType function and the nn::snd::Voice::GetInterpolationType function.

  • When No interpolation (INTERPOLATION_TYPE_NONE) is specified, neighboring sample values are used for interpolation. There may be noise in the interpolated results.
  • When Linear interpolation (INTERPOLATION_TYPE_LINEAR) is specified, linear interpolation is used.
  • When 4-point interpolation (INTERPOLATION_TYPE_POLYPHASE) is specified, 4-point interpolation is used. The appropriate polyphase filter to use for interpolation is selected from the configured sample rate and pitch. Of the three algorithms, this one has the best sound quality.


Sample Map

The Bank tab is divided into upper and lower sections for display. The upper part is the Instrument List. Tabs for the Sample Map and Percussion List appear in the lower part. The Sample Map is displayed in the lower part when the Sample Map tab is selected.

Role of the Sample Map

The Sample Map is a special editor for editing instruments. It edits instruments selected on the Instrument List.

The Sample Map is an instrument editor that utilizes an orthodox style where a keyboard is displayed and the region above it is visually indicated using blocks. The Sample Map is primarily suited for the creation of multi-region instruments.

Sample Map Operations

This section describes the operations possible on the Sample Map.

Region Display

A light blue bar is displayed above the area where the region is displayed. This bar is called a "region header."
Click this region header to use it for all velocity regions at once.

Creating Key and Velocity Regions

Key and velocity regions can be divided using the shortcut menu, which is opened by right-clicking a region (including the region header).

New key regions can be created by double clicking on blank (empty) regions that arise due to the deletion and movement of existing key regions.

The velocity region is treated as part of the key region; thus, you cannot just create a velocity region in a location where there is no key region.

Region Dividing Limitations

You cannot divide a velocity region by clicking the region header when multiple velocity regions are selected. Nor can you divide a key region when several velocity regions have been divided within the same key region and not all velocity regions are selected.

Specifying a Reference Wave File for a Region

The reference wave file for a region can be specified by double-clicking the region's area or by selecting Change referenced waveform in the shortcut menu.

Opening a Folder or Reference File

Right-click to open the shortcut menu and select either Open Folder or Open Reference File to perform various operations on the specific files.

Key Region Operations

It is possible to swap the contents of a key region with another key region by dragging and dropping the region header. At this time, if a velocity region exists in the key region that is being swapped, that information is also swapped.

It is possible to copy the content of a key region to another key region by dragging and dropping the region header while holding down the CTRL key. As with swapping, if the key region that is being copied happens to contain a velocity region, that information is also copied.

Velocity Region Operations

If you drag any region other than the region header (the velocity region itself) with the mouse, it is treated as an operation on the velocity region.

Operations are the same as those used for the region header: Move or replace using normal drag-and-drop operations or copy by pressing CTRL while dragging.

When the boundary of the velocity region is dragged, the value is shown in ToolTips.

Specifying the Compression Format for Regions

The compression method for the waveform file that is referenced by the region is specified as the Compression Format in the space below the keyboard.

  • ADPCM

    • Converts a waveform file into a dedicated ADPCM format.
    Be aware that the loop header is automatically transferred to the block header when the file is compressed, so you need to be careful if you are using the loop position to control the timing of playback.
  • PCM16

    • Converts into 16-bit PCM data.
  • PCM8

    • Converts into 8-bit PCM data.

Specifying Original Keys for Regions

The original key of a region is edited using the bar located between the region display area and the keyboard.
When the position is a keyboard with a bar, the waveform file for the selected region is played at original pitch.

Velocity Specifications

The velocity for playback using a keyboard can be specified with the slider on the left side of the area used to display the region.


Percussion List

The Bank tab is divided into upper and lower sections for display. The upper part is the Instrument List. Tabs for the Sample Map and Percussion List appear in the lower part. The Percussion List appears in the lower part when the Percussion List tab is selected.

Role of the Percussion List

The Percussion List is a special editor for editing instruments.
It edits instruments selected on the Instrument List.

Although the Percussion List is an editor for multi-region instruments just as the Sample Map, in contrast to the Sample Map, the Percussion List displays a keyboard laid out vertically. Compared to the Sample Map, the Percussion List is used to create percussion-type instruments where there are many cases of creating a lot of small key maps in a very limited range.
Velocity regions cannot be handled in the Percussion List.

Percussion List Operations

This section describes the operations possible with the Percussion List.

Creating Key Regions

To create key regions, right-click the list and select Divide Key Region from the shortcut menu that appears. The Percussion List corresponds to a keyboard, with notes listed in order starting from low notes to high notes. The created key region extends downward in the list from the row where the division operation was performed to the higher note where the next key region starts.

Creating Velocity Regions

Velocity regions cannot be created in the Percussion List.

Opening a Folder or Reference File

Right-click to open the shortcut menu and select either Open Folder or Open Reference File to perform various operations on the specific files.

Editing the Percussion List

This section describes the meaning of each of the elements that defines a Percussion List.

Compression Method

Specifies the compression method to use when converting reference waveform files.

  • ADPCM

    • Converts a waveform file into a dedicated ADPCM format.
    Be aware that the loop header is automatically transferred to the block header when the file is compressed, so you need to be careful if you are using the loop position to control the timing of playback.
  • PCM16

    • Converts into 16-bit PCM data.
  • PCM8

    • Converts into 8-bit PCM data.

File Path

Specifies the waveform file that the region will reference.

There are restrictions on the characters that can be used in a file name or path name. The following characters can be used.
- The first character of a file name must be a single-byte letter or an underscore. [a-zA-Z_]
- Other characters in a file name must be single-byte alphanumeric or an underscore. [a-zA-Z0-9_]

Duration

Displays the playback time for sounds (the length of the waveform data expressed as time).
The units are displayed in the "m:s.ms" format. The milliseconds are rounded up to the nearest two decimal places.

Number of ticks

Displays the length of the required node commands.
Ticks are units for specifying the length of the notes and rests within text sequences.

The number of ticks per minute and second will depend on both the tempo and the quarter note resolution, but if we assume the default tempo value of 120 qpm (quarter notes per minute), and we assume that the quarter note resolution of the text sequence is set at the default value of 48 (this is different than the value that is set in the SMF Quarter Note Resolution field under Project Settings, they can be calculated as follows:

  • 1 minute = 120 * 48 = 5760 ticks
  • 1 second = 120 * 48 / 60 = 96 ticks

Knowing the number of ticks is useful when writing text sequences.

Note that changing the pitch of an instrument will cause the actual playback duration to increase or decrease, and the number of actual ticks taken for playback will change accordingly.

Data size

Shows the size of the waveform data after compression conversion.
If multiple waveform files are referenced, as in the case of multi-region instruments, the sum total size of the reference files is shown.
The content on display is updated when files are converted.

Original Key

Specifies the original key for the region.

Env A

Envelopes can be set either per instrument or per region.
See Instrument Parameters for an explanation of envelopes.

Only in the case of multi-region instruments, an envelope attack time of 0 to 127 is specified for the region.
The same is true for each phase of envelope specifications given below.

Env H

Specifies the envelope hold time as a value from 0 to 127.

Env D

Specifies the envelope decay time as a value from 0 to 127.

Env S

Specifies the envelope sustain level as a value from 0 to 127.

Env R

Specifies the envelope release time as a value from 0 to 127.

Volume

Specifies the region volume as a value from 0 through 255.

If sound data volume is set to 127, playback is made at an equal volume (x1) as source data.

However, volume can be set in various ways (data or program).
The result after all setting values are applied is clamped between 0.0x and 2.0x versus the source volume.
For more details, see the chapter Operating Sound Parameter Controls in the Sound System Manual.

Pitch (In Half-Tones)

Specifies the region's pitch in units of half-tones.

Pitch (In Cents)

Specifies the region's pitch in units of cents (1 cent = 1/100th of a half-tone).

Pan

Specifies the pan for the region.

Percussion List

Specifies the percussion mode for the region.
When checked, it indicates that percussion mode is enabled.

In regions where percussion mode has been specified, the note-off command is ignored, and the wave file is played to the end regardless of the note length.
The pitch calculation corresponding to the note height is carried out as usual.

Take care when applying to regions for which a looping wave file has been set.

Key Group

Specifies the key group for a region as a value from 0 through 15.

Operations are not performed for the key group when 0 has been specified. Zero is set as the key group default.

In regions where the same nonzero key group has been set, each time a new note plays, playback of whatever is currently being played for the same key group stops.
This feature allows emulation of such effects as closed high hat and open high hat.

Key group operations are only enabled within the same track of a sequence.
In cases such as using the same instrument from multiple sequences, or using the same instrument at the same time from multiple tracks within a sequence, the key group feature cannot be used.

Interpolation Type

Specifies the interpolation type for instruments.

Configure the voice interpolation method and select either 4-point interpolation, Linear interpolation or No interpolation.
The default value is 4-point interpolation (INTERPOLATION_TYPE_POLYPHASE).

In the descriptions below, the interpolation algorithm used when converting the sampling rate is configured and obtained in the application using the nn::snd::Voice::SetInterpolationType function and the nn::snd::Voice::GetInterpolationType function.

  • When No interpolation (INTERPOLATION_TYPE_NONE) is specified, neighboring sample values are used for interpolation. There may be noise in the interpolated results.
  • When Linear interpolation (INTERPOLATION_TYPE_LINEAR) is specified, linear interpolation is used.
  • When 4-point interpolation (INTERPOLATION_TYPE_POLYPHASE) is specified, 4-point interpolation is used. The appropriate polyphase filter to use for interpolation is selected from the configured sample rate and pitch. Of the three algorithms, this one has the best sound quality.


Parameters

This section gives an overview of the Parameter Panel and describes its method of operation.


Overview

What is the Parameters Panel?

The Parameters panel is a special panel used to input envelope and pan values for a bank file.
The Parameters panel allows envelope and pan values to be adjusted using special sliders while displaying graphs for visual confirmation.

Role of the Parameters Panel

The Parameters panel operates in conjunction with the Bank tab.
The combined use of the instrument and percussion lists helps when setting the envelope and other parameters that are hard to imagine with just a numeric display.
By using the Parameters panel together with the Sample Map, it is possible to make envelope and pan specifications that cannot be edited on the Sample Map.

The Parameters panel is displayed as a floating dialog box that can be moved outside of the main window of SoundMaker.


Parameters Panel Operations

Opening the Parameters Panel

To open the Parameters panel, either select View > Parameters or click the Parameters Panel icon in the toolbar of the main window.
The CTRL+I and CTRL+SHIFT+8 shortcuts can also be used for this operation.

The settings within the Parameters panel will only be enabled if an Instrument List is active.

Targets of Parameters Panel Operations

The Parameters panel always displays and edits parameters for the active Bank tab.

Press the space bar to play the targeted instruments.

Editing Parameters

Editing Envelopes

By selecting an instrument or region anywhere inside the Bank tab and using the envelope operations in the Parameters panel, you can edit the envelope values for the selected instrument or region.

Values are edited using sliders for each phase.
The created envelope curve can be checked with the graph displayed in the Parameters Panel. The times for Attack, Decay and Release are accurately displayed in milliseconds at the top of the graph.

Slider operations have no effect if the envelope cannot be edited. This may occur in cases such as when a multi-region instrument is selected on the Instrument List.

Editing the Volume

The volume can be specified independently for each instrument and region.

By selecting an instrument or region anywhere inside the Bank tab and using the volume operations in the Parameters panel, you can edit the volume values for the selected instrument or region.

Editing the Pitch

The pitch can be specified independently for each instrument and region.

By selecting an instrument or region anywhere inside the Bank tab and using the pitch operations in the Parameters panel, you can edit the pitch values for the selected instrument or region.

Pitch can be specified in the units of semitones or of cents (1 cent = 1/100 semitone), or as a combination of both.

Editing a Pan

By selecting a region anywhere inside the Bank tab and using the pan operations in the Parameters panel you can edit the pan values for the selected region.
Values are edited using sliders to adjust pan.

Slider operations have no effect if the pan cannot be edited. This may occur in cases such as when a multi-region instrument is selected on the Instrument List.


PC Emulation

This section describes PC emulation.


Overview

What is PC Emulation?

SoundMaker supports the PC emulation-based playback of sounds from computer audio output.
PC emulation runs as an independent program from the SoundMaker GUI and allows the playback of instruments in the stream sounds, sequence sounds, wave sounds, and bank files of Sound Projects.

Playing Instruments

There are two ways to play instruments using PC emulation.
The first is playback using GUI operations where playback is performed from the bank window. This corresponds to "Playback Information Route 1" in the conceptual diagram below. The second is playback based on MIDI signals from an external MIDI device. This corresponds to "Playback Information Route 2" in the conceptual diagram below.

Note that completely different operations are performed under PC emulation for these two methods of playback. GUI-based selection of instruments does not affect the playback of any particular MIDI channel.

Conceptual Diagram of PC Emulation

CONFIDENTIAL


GUI-based Playback

GUI-based Sound Playback

GUI-based sound playback is performed after making a selection in the Sound Set tab.

See Sound Playback Operations for more about how to do this.

GUI-based Instrument Playback

GUI-based instrument playback is performed from the Bank tab. When multiple Bank tabs are open, instruments are always played from the active Bank tab.

The section below shows how to play instruments via PC emulation of the Bank tab.

Instrument List

Playback is performed by pressing the space key on the computer keyboard.
The acts of pressing and releasing the space key correspond to the "note on" and "note off" MIDI commands, respectively.
This is true of all playback performed in Bank tabs using the space key.
In the instrument list, pressing the space key will play the key selected within the virtual keyboard in the Sample Map pane (usually C4) for the selected instrument.

Sample Map

Playback is performed by clicking on the keyboard shown in the GUI and pressing the space key on the computer keyboard.
The key corresponding to the instrument being edited is played by clicking on the keyboard.
The space key is used for playback of a region. Pressing the space key will play the the waveform corresponding to the selected region its original key.

With the slider to the left of the keyboard, it is possible to specify the velocity during playback through a keyboard.

Percussion List

Playback is performed by pressing the space key on the computer keyboard. Pressing the space key will play the key corresponding to the selected instrument being edited in the list.


MIDI-Based Playback

MIDI-Based Instrument Playback

PC emulation functions as a 16-channel, multi-timbre sound source for MIDI input from the configured MIDI port.
Channels that produce sound from MIDI input support all instruments of the bank tab active in the channel. Switching between instruments is performed according on the program numbers set to the instrument list.

For each channel, be sure to specify a program number for the instrument to be played at MIDI program change.

For the selection of an instrument from the instrument list, the program changes of the corresponding instrument are sent only to MIDI channel 1.

Instruments from separate banks cannot be played simultaneously on multiple MIDI channels.
The bank is switched when the Bank tab becomes active.
Note that once a program number has been specified for a channel it will not be reset until the active Bank tab is switched.

MIDI Playback

The Options dialog box allows you to specify which devices SoundMaker should use as the keyboard and the sequencer for MIDI input.

MIDI Playback from the Selected Keyboard

This is mostly used to check the instrument list that is registered for a given bank.

If the Bank tab is active, and an instrument within the instrument list is selected, MIDI signals from the selected keyboard will be played back using that instrument.
If a different instrument is then selected, the sound will switch to that instrument.

Because the currently active instrument will be used for playback, playback of MIDI signals from the selected keyboard requires that the Bank tab be active and that an instrument be active as well.

Regardless of whether an instrument is selected, if a "Program Change" MIDI command is received from the keyboard, the instrument that corresponds to the new program will be selected.
Incoming "Bank Select" commands will be ignored.

MIDI Playback from the Selected Synthesizer

This is mostly used to incorporate MIDI data that was created with commercially available sequencing software into SoundMaker and to check the corresponding banks.

MIDI will be played back using the banks that are registered in thePreview Bank pane.

Up to four banks can be set for a sequence sound.


Knowing the State of PC Emulation

The upper-right part of the main window always shows two statuses associated with PC emulation: (1) whether MIDI data is being received, and (2) whether actual sound playback is in progress.

MIDI keyboard input will only produce sound for the active bank panel.
If the bank panel is not active, no sound will be produced.

Meanings of Displayed Items

Below are explanations of the various displayed items.

MIDI

Lit green when PC emulation has received some kind of MIDI signal.

SOUND

Lit green when PC emulation has output some kind of sound.

Display Updates

The various information on display here is updated every 1/30 sec. Because updates happen at that interval, it may not be possible to confirm the output of extremely short sounds.


Stop All Voices

During PC emulation it is possible to forcibly stop all sounds being played back by executing [Tools] > [Stop all voices].

This feature is used when you want to stop the playback of an instrument for which an extremely long release time has been set using an envelope.


MIDI Reset

All PC emulation MIDI parameters can be reset by executing [Tools] > [MIDI reset]. This operation resets all parameters such as volume specified previously by external MIDI input.

This feature is used when playing another MIDI sequence under PC emulation, when playing a MIDI sequence from a midway point, or when it won't do to leave behind parameter specifications based on MIDI messages such as control change.


Precautions and Supplemental Notes

This page provides precautions and other information considered useful when using PC emulation.

Using PC Emulation from Sequencers Running on the Same Computer

To perform PC emulation playback using the MIDI output of sequencers running on the same computer running SoundMaker, it is necessary to loop the MIDI output from the sequencer back into the MIDI input of the computer.

Looping back a MIDI signal in this manor is called "loop back." Loop back can be accomplished with software by using a freeware virtual MIDI device driver.

Reproducibility of Sounds Using PC Emulation

Degradation of audio quality due to compression of waveform data such as ADPCM and characteristics of the audio circuits of the CTR system are not reproduced when playing sounds using PC emulation. Consequently, there are differences in the sound quality output as compared to playback on the actual device.

As with MIDI, PC emulation does not support theoretically impossible playback such as loops or sequence command playback.

Be absolutely sure to perform a final check of each sound using the CTR system.

PC emulation does not support some emulation playback such as the AX features.


Playing Sounds on Actual Hardware

This section explains how to use SoundMaker to check sounds on actual hardware (PARTNER-CTR Debugger and test units).


Playing Sounds on Actual Hardware

System Preview Tools

Using SoundPlayer / HioSoundPlayer / Viewer

The three following system tools can be used to preview sounds on actual hardware:

  • SoundPlayer
  • HioSoundPlayer
  • Viewer

The characteristics of each are explained below.

SoundPlayer

The CCI file includes a sound archive file and a stream file.

Sounds can be previewed on a test unit alone.

Since every time the sound archive file or the stream file is changed you need to remake the CCI file, this is unsuited for repeated adjusting and checking.

HioSoundPlayer

The CCI file does not include a sound archive file or a stream file.

The sound archive and stream file is supplied from the PC via HOSTIO.

The connection configuration can be [PC ～ PARTNER-CTR Debugger] or [PC ～ UIC-MIDI ～ PARTNER-CTR Debugger] or [PC ～ UIC-MIDI ～ test unit].

You need some device like a PC, a PARTNER-CTR Debugger or a UIC-MIDI device.

Sound archives converted by SoundMaker can be loaded and checked without restarting the HioSoundPlayer application.

Viewer

The CCI file does not include a sound archive file or a stream file.

The sound archive and stream file is supplied from the PC via HOSTIO.

The connection configuration can be [PC ～ PARTNER-CTR Debugger] or [PC ～ UIC-MIDI ～ PARTNER-CTR Debugger] or [PC ～ UIC-MIDI ～ test unit].

You need some device like a PC, a PARTNER-CTR Debugger or a UIC-MIDI device.

Sound archives converted by SoundMaker can be loaded and checked without restarting the Viewer application.

You can view and manipulate a variety of sound-related information, which sets Viewer apart from SoundPlayer and HioSoundPlayer.


SoundPlayer

This section describes how to check sounds on the actual hardware (PARTNER-CTR Debugger) using SoundPlayer.


Overview

What Is SoundPlayer?

SoundPlayer is a tool for confirming how data created with NW4C SoundMaker sounds when played back on the actual hardware (PARTNER-CTR Debugger).
Sound archives created using SoundPlayer on a PC configured for the PARTNER-CTR Debugger can be checked on actual hardware.

There are two ways to do this with SoundPlayer: 1) create a .cci file formed from sound archives on the Preview menu and play it on actual hardware (SoundPlayer), or 2) remove the sound archive from a .cci file, load a converted archive from the actual hardware and play it (HioSoundPlayer).

Notes

There are size restrictions on the sound data played with SoundPlayer.

  • The size of the heap for the sound data is 12MB.
    (The size of memory passed to the nw::snd::SoundHeap::Create function.)
    Required sounds cannot play if the data size is larger than this.


Creating SoundPlayer Files

To create SoundPlayer files, you must install NintendoWare for CTR and the corresponding version of CTR_SDK and at the same time set the CTRSDK_ROOT environment variable.
To read about how to install CTR_SDK, see the CTR-StartupGuide.pdf document, which was released separately.

Operations that can currently be performed from the SoundMaker menu include those up to creating SoundPlayer .cci files that include a sound archive.
You must load the CCI file into PARTNER-CTR and run it to play the sounds.

How to Create SoundPlayer Files

Select Preview > Start SoundPlayer to create a .cci file.

Process of SoundPlayer Creation

Selecting Preview > Start SoundPlayer will cause SoundMaker to perform the following series of operations automatically.

  • Create the sound archive (conversion)
  • Create a SoundPlayer executable file (SoundPlayer-TS.cci)
  • Open the folder that contains the file that was created in Windows Explorer

    • CONFIDENTIAL


SoundPlayer Operations

Operation

SoundPlayer is operated using the PARTNER-CTR Debugger controller.

There are three screen modes (windows) , each with a different set of operations.

SoundPlayer Controls

Explanations of the operations in each window and of the playback status are shown in the bottom screen of the actual hardware.
Use the Left/Right Buttons to switch among the windows.

Press START to load a converted sound archive. (HioSoundPlayer only)

The Player Window

Sound System Settings

Key Operations | Description
Up/Down buttons | Moves the cursor
Left/Right buttons | Selects the sound
A Button | Replays the cursor line's sound.
B Button | Stops the cursor line's sound.
Y Button | Pauses or restarts the sound of the line indicated by cursor.
X Button | Switches to the Sound Parameter Settings screen
L Button, R Button | Switches the window
START Button | Loads converted sound archives (HioSoundPlayer only)

The upper screen displays the a list of the sounds contained in the specified sound archive, their playback status, the DSP process load, number of voices being used, and other such info.

Sound Parameter Settings

Key Operations | Description
Up/Down buttons | Moves the cursor
Left/Right buttons | Change value
A Button | Replays the cursor line's sound.
B Button | Stops the cursor line's sound.
Y Button | Resets the value
X Button | Switches to the Sound Settings screen
L Button, R Button | Switches the window
START Button | Loads converted sound archives (HioSoundPlayer only)

You can switch the upper screen from displaying sound settings to displaying sound parameter settings using the X Button.

The following values can be set on the sound parameter settings screen.

   ・Volume
・Pitch
・Pan
・Surround pan
・Main send
・Effect send

Output Mode Window

Key Operations | Description
Up/Down buttons | Moves the cursor
Left/Right buttons | Change value
L Button, R Button | Switches the window
START Button | Loads converted sound archives (HioSoundPlayer only)

Switching the Output Mode (3D Surround)

This feature lets you select among any of the following four types of output mode (3D Surround).

   - Monaural
- Stereo
- 3D surround (square)
- 3D surround (wide)

The virtual speaker positions differ for "square" and "wide."
For details, see the nn::snd::SetSurroundSpeakerPosition function in the CTR-SDK function reference.

This is switched in software using settings such as given in the table below.

Type | NW4C SetOutputMode | CTR-SDK SetOutputMode | CTR-SDK SetSurroundSpeakerPosition
MONO | Mono | Mono | -
STEREO | stereo | stereo | -
SURROUND[SQUARE] | 3d surround | 3d surround | SQUARE
SURROUND[WIDE] | 3d surround | 3d surround | WIDE

Surround Depth Value

Sets a value between 0 and 100. Maximum effect is 100.

For details on the surround depth values that can be set during surround mode, see the nn::snd::SetSurroundDepth function in the CTR-SDK function reference.

Clipping Mode

Sets the clipping process that will be used when there is overflow during the output of sounds.
Specify either Normal clipping or Soft clipping.

For details about the clipping modes, see the nn::snd::SetClippingMode function in the CTR-SDK function reference.

Effect Window

Key Operations | Description
Up/Down buttons | Moves the cursor
Left/Right buttons | Change value
A Button | Applies effect
B Button | Deletes effect
X Button | Switches between Bus Selection mode and Parameter Settings mode
L Button, R Button | Switches the window
START Button | Loads converted sound archives (HioSoundPlayer only)

When you specify an effect for AUX_BUS_A or AUX_BUS_B the corresponding parameters display.

Preview Bank Window

Key Operations | Description
Up/Down buttons | Moves the cursor
Left/Right buttons | Changes sequence sounds and banks, and also changes the volume.
A Button | Loads bank.
B Button | Unloads bank.
L Button, R Button | Switches the window
START Button | Loads converted sound archives (HioSoundPlayer only)

Specifies which banks will be playing input from MIDI devices.
Banks linked to sequence sounds are also loaded.

Loaded banks are indicated by the # symbol.

Enlarging volume in the lower part of the upper screen raises the volume during MIDI Preview.

SEQ is displayed at the top of the upper screen, and below that is shown the volume of the selected sequence sound on SoundMaker.
(The displayed values map volume levels 0 ~ 255 to 0.0 ~ 2.0, where 127 represents the value at which playback is made at a volume equal to the source data.）

When banks are loaded while the cursor sits on SEQ, the volume of the selected sequence sounds is applied to the volume during MIDI Preview (volume in the lower part of the upper screen).


UIC-MIDI

What is UIC-MIDI?

PARTNER-CTR UIC-MIDI

PARTNER-CTR UIC-MIDI (henceforth referred to as simply UIC-MIDI) is the interface for communications between a PC and a test unit and other CTR development hardware via USB connections. The device also has a MIDI-IN terminal for connection of MIDI devices.

It comes with a built-in flash card with the same memory capacity as a 16 Gbit CTR Flash Card.

  • CCI files can be written to this flash card and executed on test units and other CRT development hardware.
  • The device does not have a built-in CTR Sub-card, but you can open the case and install one

Note: For details, see the setup manual that comes bundled with the UIC-MIDI.

UIC-MIDI can be used for the following purposes:

  • For MIDI previewing in combination with the PARTNER-CTR Debugger or the CaptureDebugger.
  • For MIDI previewing and sound previewing in combination with a CTR test unit.

By combining the UIC-MIDI with a CTR test unit, you can prepare various preview playback environments for sounds without using PARTNER-CTR Debugger (CaptureDebugger).

How to use the UIC-MIDI

Preparation

To use the UIC-MIDI, first install the PARTNER-CTR UIC-MIDI USB driver. (Refer to the PARTNER-CTR UIC-MIDI setup manual.)

MIDI preview playback using PARTNER-CTR Debugger and UIC-MIDI

  1. Provide a power supply to the UIC-MIDI by attaching an AC adapter or a USB cable connected to a PC
  2. Attach a MIDI cable to the UIC-MIDI that can connect to MIDI devices.
  3. Connect the UIC-MIDI to a PARTNER-CTR Debugger or a CaptureDebugger.
  4. Use the PARTNER-CTR software to load and execute SoundPlayer-TS.cci.
  5. Display the Preview Bank screen and load the pertinent banks.
  6. Send a Note-On signal with the MIDI device and confirm that the loaded banks can play.

MIDI preview playback using a CTR test unit and UIC-MIDI

  1. Write SoundPlayer-TS.cci to the UIC-MIDI.
    • You can write using PARTNER-CTR Debugger / CaptureDebugger just like you would to a normal CTR flash card.
    • To write to the UIC-MIDI you need to provide a power supply by attaching an AC adapter or a USB cable connected to a PC.
  2. Attach a MIDI cable to the UIC-MIDI that can connect to MIDI devices.
  3. Attach the AC adapter to the UIC-MIDI (for power supply).
  4. Attach the UIC-MIDI to the CTR test unit.
  5. Display the Preview Bank screen and load the pertinent banks.
  6. Send a Note-On signal with the MIDI device and confirm that the loaded banks can play.

Sound preview playback using a CTR test unit and UIC-MIDI

  1. Write HioSoundPlayer.cci to the UIC-MIDI.
  2. Attach the UIC-MIDI to a USB cable connected to a PC.
  3. Attach the AC adapter to the UIC-MIDI (for power supply).
  4. Attach the UIC-MIDI to the CTR test unit.
  5. Use PARTNER-CTR Debugger or CaptureDebugger to check that you can play sounds and load sound archives, operating them just like HioSoundPlayer.


HioSoundPlayer

HioSoundPlayer (HostIO-compatible SoundPlayer)

This section describes how to check sounds on the actual hardware (PARTNER-CTR Debugger) using HioSoundPlayer.

What is HioSoundPlayer?

HioSoundPlayer can be run SoundPlayer via HostIO.
This makes it easier to confirm sounds on the actual hardware (PARTNER-CTR Debugger) after making changes to sound data, because you only need to reload the sound archive, rather than needing to totally re-create SoundPlayer from Preview →Create SoundPlayer.

HioSoundPlayer Operating Procedures

You must load the HioSoundPlayer.cci file included in the NintendoWare package immediately after launching the PARTNER-CTR Debugger.

  1. Load and run %NW4C_ROOT%\tools\SoundPlayer\HioSoundPlayer.cci on the PARTNER-CTR Debugger.
  2. Use SoundMaker to convert the sound project.
  3. Press the START button on the PARTNER-CTR Debugger and load the converted sound archive.

The results of subsequent edits and changes made using SoundMaker can be verified immediately on the PARTNER-CTR Debugger by repeating Steps 2 and 3.

Note: When converting using SoundMaker, a temporary folder named _tmpForSoundPlayer is created inside the SoundMaker folder.

Notes

  • Be sure to start this tool while PARTNER-CTR HIO-Daemon is not running.
  • HIO-Daemon, the PARTNER-CTR Debugger and SoundMaker must be restarted if the environment variable NW4C_ROOT has been set or has been changed.
    (This includes cases in which setup.wsf of NW4C has been executed.）

Operating HioSoundPlayer

HioSoundPlayer is operated the same way as SoundPlayer.

See Operating SoundPlayer.


Viewer

This section describes how to check sounds on the actual hardware (PARTNER-CTR Debugger) using the Viewer.

With the Viewer, you can view and manipulate a variety of sound-related information.


Launching the Viewer

The Viewer needs to be launched separately from SoundMaker.

How to Launch the Viewer

  1. Confirm that PARTNER-CTR HIO-Daemon is running.
  2. Run the batch file used to start the Viewer.
    Execute %NW4C_ROOT%/tools/Viewer/LaunchViewer.bat

How to Operate the Viewer

Common Controller Operations
Key Operations | Description
START/SELECT Button + Left/Right Button | Switches the main mode.
START/SELECT Button + Up/Down Button | Switches the sub-mode.

Switching the main mode displays Sound mode, for preview of sounds.

Viewer Manual

For information on detailed Viewer settings and Controller operations, see the NintendoWare for CTR Viewer Manual, which is located at the path given below.

%NW4C_ROOT%/documents/Viewer/Viewer.html


Connecting to the Viewer

How to Connect to the Viewer

After confirming that the Viewer is running normally, select Preview > Connect to Viewer, or click on the Connect to Viewer icon in the toolbar.

Even if the main mode is not Sound mode, the mode will switch to Sound mode automatically when you connect to the Viewer.

By performing this operation, SoundMaker begins USB communications with the Viewer and becomes connected to the Viewer.


Operations While Connected to the Viewer

This section explains the operations that can be performed while SoundMaker is connected to the Viewer.

To read explanations about the various sounds, see the Sound Playback section of the NintendoWare for CTR Viewer Manual,located at the path given below:
%NW4C_ROOT%/documents/Viewer/Viewer.html

Transferring sound archives

While connected to the Viewer, Sound archives are transferred automatically from SoundMaker to the Viewer when the operations shown below are executed.

  • [Project] > [Convert]
  • [Project] > [Re-Convert]

When you start the Viewer, sound archives are not immediately transferred, so execute Convert to send sound archives to the Viewer.

Explanation of operations in Sound mode

The following operations can be performed in Sound Mode.

Unit controller

Sound mode operations

Key Operations | Description
+Control Pad Up/Down | Switches selection of sound in the ArchivePlayer window.
+Control Pad Left/Right | Changes the sound selected in ArchivePlayer.
A Button | Plays the sound selected in ArchivePlayer.
B Button | Stops play of the sound selected in ArchivePlayer.
X Button | Selects multiple sounds in ArchivePlayer and marks them for simultaneous playback.
Y Button | Pauses playback of the sound selected in ArchivePlayer.
L Button + Left/Right Button | Jumps by units of 0x0100 the sound ID of the sound selected in ArchivePlayer.
Slide pad | Moves the cursor in the upper screen.
R Button | Pseudo-touch operation at the cursor position in the upper screen.
START/SELECT Button + Up/Down Button | Swaps upper/lower display screens.
Touch Panel Operations | Description
Double-click in title bar | Switches window between minimize and normal size. (Minimizing the window reduces the CPU load.)
Drag the window periphery | Changes the size of the window.
Drag the title bar | Changes the position of the window.
Button single-click | Changes value.
Button double-click | Restores default value. (Some buttons do not support this.)

Operating the Viewer from the GUI

At the present time, you cannot operate the Viewer from the SoundMaker GUI.
(Support will be provided at a later date.)


Preview Features

This section explains the Preview features of SoundMaker.


Overview

What is the Preview feature?

The Preview feature provides windows and panes on SoundMaker for some of the same Controller-based operations to configure settings that are available in the various windows of Viewer. The configured settings are reflected in PC emulation playback and (by sending the settings to the Viewer) in playback on a system, and the settings can be saved.

There is currently no support for real-time transfer to Viewer of settings configured with the Preview feature, but there are plans to support this in the future.
After you have changed settings, transfer the converted sound archive to check the sound.

OutputMode Operations

Included among the Preview items in the toolbar is the OutputMode drop-down list, which switches the OutputMode in the same way as the Viewer.

Sound Playback Operations

There are several ways to play sounds from SoundMaker, including using the options included in the main window's Preview menu, its toolbar buttons, and from the Preview Player window, as well as computer keyboard shortcut keys.
Note also that the playback operations differ slightly between the Sound Set tab and the Bank tab.

On the Sound Set tab, operations are performed on sounds selected from each list.
In the Bank tab, operations are performed on the active bank tab instruments.

Sound Set Tab Operations

After selecting a sound from each list, from the main window's Preview menu you can use the Play, Pause, and Stop options as well as the toolbar buttons.
Sounds can also be played back by double-clicking on a list, by clicking the "Play" button next to each item in the list, or by pressing the F9 key. Playback can be stopped by pressing the F10 key.

The shortcut keys and their operations are shown below

Input | Operation
F9 | Play
F10 | Stop All
SPACE | Play
Clicking the "Play" button | Play

Note: To learn about operations in the Bank tab, see GUI-based instrument playback.


Preview Player

What is Preview Player?

Preview Player is the pane on SoundMaker for sending the settings to check sounds on the actual hardware. Its operations correspond to the Play pane for Viewer and SoundPlayer.

When the data are played by Preview Player, the sounds are played by PC emulation or by Viewer if connected to Viewer.

Preview Player Operations

Opening Preview Player

You can open (activate) the Preview Player pane by selecting View > Preview Preview or by clicking the Show Preview Player button in the toolbar.
The CTRL+SHIFT+4 shortcut can also be used for this operation.

The Preview Player pane appears as a docking window in the lower pane of the main window.

To make the Preview Player window float, dock, or hide, select Floating, Docking, or Hide in the Preview Player tab at the bottom of the window or from the title bar's shortcut menu.
You can also toggle between Floating and Docking by double-clicking the title bar.

When displaying as a docking window, you can minimize its display by clicking the Minimize icon on the right side of the title bar or by double-clicking the splitter.

Preview Player Operations

Below is an explanation of the ways that sounds can be registered and replaced in the Preview Player play list.

  • Click on a selected index cell in the Sound Set tab and drag and drop it into the Preview Player's playlist to register a sound.
  • You can also register sounds in the Preview Player by selecting a sound in a list within the Sound Set tab, then either playing it (using the "Play" button in the list or the toolbar) or pressing F9 or the space bar. The selected sound will then be registered in in the selected slot within the Preview Player window's playlist, and can be played from there.

Hold down the Play, Pause and Stop buttons to check sounds that have been registered to the playlist.

Hold down the Loop button to play the sound back as a loop. Click the button to toggle that setting on and off.


Preview Bank

About the Preview Bank Pane

The Preview Bank pane is used to determine which banks should be used to play back MIDI signals received from a MIDI sequencer.
The banks that are registered in this pane (window) are used for MIDI playback.

Preview Bank Operations

Opening the Preview Bank Pane

You can open (activate) the Preview Bank pane by selecting View > Preview Bank or by clicking the Display Preview Bank button in the toolbar.

The Preview Bank pane appears as a docking window in the lower pane of the main window.

To make the Preview Bank window float, dock, or hide, select Floating, Docking, or Hide in the Preview Bank tab at the bottom of the window or from the title bar's shortcut menu.
You can also toggle between Floating and Docking by double-clicking the title bar.

When displaying as a docking window, you can minimize its display by clicking the Minimize icon on the right side of the title bar or by double-clicking the splitter.

Preview Bank Operations

Below is an explanation of the ways that banks can be registered and replaced in the Preview Bank list.

  • Banks can be registered by displaying either a Sequence Sound list or a Bank list in the Sound Set tab, selecting an index cell within one of these lists, and dragging and dropping the index number for that item into one of the rows in the Preview Bank pane.
  • Banks can also be registered by right-clicking somewhere within a Sequence Sound list or a Bank list in the Sound Set tab and selecting the Register in Preview Bank item from the shortcut menu.
    This method of registering banks will always register the selected bank in slot 0 within the Preview Bank pane.

If you register a bank from a Sequence Sound list, the bank associated with that sequence sound will be registered.
The slot numbers (0-3) in the Preview Bank pane correspond to the numbers 0-3 that appear within the Sequence Sound's Multibank Settings dialog box.

Items registered within the Preview Bank pane can be deleted in a few ways. After selecting the item in question, you can either select View →Delete or press the DELETE key (or use the keyboard shortcut Ctrl+D).


Sequence Variables

What are Sequence Variables?

Sequence Variables is the window for PC emulation playback on SoundMaker. Its operations correspond to the SeqVariable window of Viewer and SoundPlayer.

Sequence Variables Operations

Opening the Sequence Variables Window

Open (activate) the Sequence Variables window by selecting View > Sequence Variables, or by clicking the Show Sequence Variables button in the toolbar.
The CTRL+SHIFT+6 shortcut can also be used for this operation.

Sequence Variables Operations

You can set whether or not to automatically write changes by configuring the Auto-write item in the popup menu in the upper part of the Sequence Variables window.
When Auto-write is set to off, the Write button in the lower-right part of the window becomes active and you can write at any time.

When editing values, click on the small Slider button and the popup Slider will display.

When the checkbox is marked for Invert and Clear, these operate to invert all settings at once and clear all settings at once.


Option Settings

This section describes SoundMaker option settings.


Overview

Option Setting Types

There are two types of SoundMaker option settings available: tool settings (these settings are called options below) and project settings.

Option specifications are made in the [Tools] > [Options] dialog box.
Options are used to specify operation settings for the overall tool. Since this setting is saved in the initial settings file, it is always enabled under SoundMaker as long as it runs on the same computer.

Specify the Project settings using the Project Settings dialog found by clicking Project, then Project Settings.
Project settings are used to specify operation settings at the sound project level. Since this setting is saved in the sound project file, it is enabled even when the same sound project file is opened using a version of SoundMaker running on another computer.


Options Dialog Box

The Options dialog box is used to specify operation settings for SoundMaker overall.

Opening the Options Dialog Box

Select File > Options.

Operations in the Options Dialog Box

The Options dialog box has tabs. Select the category you want to make settings for using these tabs.
The settings for each category are described below.

General

Use this option here to set whether SoundMaker starts by opening the project that was was-last closed in the Project area.
If this option is selected, the project that was opened when the application was last exited will be loaded automatically when it is started up the next time.

You can also select here whether to show the full path for the project name in the title bar.

The Display list area allows you to specify whether to display line numbers and full paths for reference files.

The Convert area allows you to specify the number of maximum conversions that can be run in parallel.
(Conversion operations can be run in parallel for sounds that don't have any mutual dependencies.) The number of processes can be set to any value between 1 and 99.

Audio

Used to select the audio output device used for PC emulation output.

MIDI

Used to select which MIDI keyboard and MIDI sequencer SoundMaker should use for signal input.

MIDI signals that are input from the device set in the MIDI Keyboard Input Device field will be played back using the active bank in the Bank tab.
Only one keyboard can be selected.

MIDI signals that are input from the device set in the MIDI Sequencer Input Devices field will be played back using the banks in the Preview Bank window.
Multiple sequencers can be selected.

MIDI devices configured as MIDI Keyboard Input are dimmed and disabled in the list of MIDI Sequencer Input Devices.
If you want a given device enabled as MIDI Sequencer Input, do not select the same device as MIDI Keyboard Input.


Project Settings Dialog Box

The Project Settings dialog box is used to set attributes at the Sound Project level for open Sound Projects.

Opening the Project Settings Dialog Box

Select Project and then Project Settings.

Using the Project Settings Dialog Box

Tabs are located on the Project Settings dialog box. Select the category you want to make settings for using these tabs.
The settings for each category are described below.

Convert
Convert Event
Sound Archive
HTML Sound List
Item Names

Convert

Used to set attributes for conversion.

General

Use SMF quarter note resolution to select the quarter-note resolution when converting the standard MIDI file format (SMF).

Output

Specify the output destination for the sound archive file in Sound Archive Output Target.
If this is left blank, it will be output to the same hierarchical level as the sound project.

Use Stream File Output Location to specify a relative path from the Sound Archive Output Location to the directory where the stream file will be output at conversion time.
If a nonexistent directory is specified, it will be created automatically at conversion time.

When the check box for Output Labels by Item is selected, in addition to exporting the .csid file which is the sound project collection of all item names (IDs), the item ID headers are also divided into files by type and output.

To read more about file output, see Generated Files.

Cache

Intermediate binary files will be output to the folder specified in the Location of Cache Output field.
However, the bank's include file (.cinl) will be output to the same location as the source file.

Warning

If Warn if there are any unused items is selected, the program will issue warnings in the Conversion Log window during conversion.

Convert Event

Command before Conversion and Command after Conversion are explained in the Other Features section Automatic processing before and after conversion.

Sound Archive

Used to make settings for sound archive files created during the conversion process.

You can disable output of the string table in your sound archives by unselecting the Output the string table check box.
If you won't be using strings to make calls to the sounds or other sound-related data in your project, you can reduce the size of your sound archives by disabling output of the string table.

The numeric values in the "Sound Archive Player" area of the window represent the maximum number of sounds and channels that snd library will prepare when playing back sound archives created with this tool.

You can economize on the memory consumed by the snd library by setting the number of sounds that are not used to 0 and by using only the minimum required number of channels.
However, take care, for instance, when changing numeric values for settings like "Number of stream sounds" since it will be impossible to play more than that number of stream sounds simultaneously.

Supplemental Information

The values set here are related to the numbers of instances held internally by the nw::snd::SoundArchivePlayer bound to the sound archive (bcsar).

When these numbers are large, the SoundArchivePlayer can hold that many instances, but the functions SoundArchivePlayer::GetRequiredMemSize and SoundArchivePlayer::GetRequiredStreamBufferSize will require more memory.

Specifically, the GetRequiredMemSize function will require more memory when there are large numbers of any of these:

  • Number of sequence sounds
  • Number of sequence tracks
  • Number of stream sounds
  • Number of wave sounds

And when there are are large number of stream channels, the GetRequiredStreamBufferSize function will require more memory.

It is the instances stored in SoundArchivePlayer which are used when the system acts to play the various sounds (stream sounds, sequence sounds and wave sounds), but only the numbers of sounds determined here can be played. If you try to play more sounds, the following warning message will display and the lowest-priority sound will be stopped.

snd_SoundInstanceManager.h:144 Warning:Sound (id:0xXXXXXXXX) is stopped for not enough seq sound instance.

By comparing with the player's Sound Limit you can take these as the values determining the maximum playback number for each sound type (stream sounds, sequence sounds and wave sounds).

To repeat, these values affect the required amount of memory, so you can control memory size by considering how many of each type of sound can be expected to be played at the same time in the application and setting the values accordingly as low as possible.

HTML Sound List

Configures the HTML sound list.

By configuring an HTML sound list ahead of time, you can have an HTML-formatted sound list output automatically when sound data is converted.

It is also now possible to list sound label names and comments in a table, and sort by item.

Note: Instrument lists can be also output as HTML-formatted files, but not while converting. See HTML Instrument List Output for more information on instrument lists.

The Create New Sound List Output Settings dialog box appears when the Create New button is clicked. This dialog box is used to enter such information as the output settings name.

If more than one output settings name is set, the "General" and "Output" tabs will appear.

Toggling the Output List for Each Sound Set check box allows projects with multiple sound sets to output either one list for each sound set or one list for all sound sets.

Select the items to be written to the sound list.
These items are written to the sound list in the order listed here. It is possible to re-arrange items selected on the list by pressing the "Move up" and "Move down" buttons.

It is also possible to edit the settings list in the dialog box that appears when the Edit Settings List button is pressed.

Item Names

Item names take the default prefix settings.

The default prefix name for an item can be edited in the Create New dialog box.
However, this setting cannot be configured for sound sets.

The original filename is used for the default name.
Use the Create from filename area to configure the conversion of filenames to uppercase/lowercase and the treatment of characters that cannot be used for item names.

When you drag and drop a waveform file to create a new item, the item name is always created from the filename.


Other Features

This section describes rather special features of SoundMaker.


File Operations

Opening Folders

Select File and then Open Folder to start Windows Explorer and open a folder.

This operation lets you use Windows Explorer to open the folders of reference files for selected regions, instruments that reference waveform files, and items in the sound set that have waveform files, standard MIDI files, or other external reference files.

The only new files that can be created using SoundMaker are Sound Project files, sound set files, and bank files. SoundMaker does not delete files except in cases where a newly created file overwrites an old one.
Use this feature when you want to save project files under another name or when you want to organize and check waveform files.

Reloading Project Files

To reload project files that were edited outside SoundMaker, select File > Reload Project.
Files that can be reloaded are sound set files (.csst) and bank files (.cbnk).

For reloading, the Sound Project is referenced, and every individual file is checked to confirm it is a target file.
If a file is confirmed to have been updated, the behavior varies depending on the situation, as explained with the cases below.

   Case １:　 When there is no update (unsaved edits) on SoundMaker

     Loads the newest file.

   Case 2:　 When there is an update (unsaved edits) on SoundMaker

     Confirms with a dialog and then loads the newest file.
When this file is loaded, the unsaved edits in SoundMaker are lost.
Also in this case, the undo history in the corresponding pane is cleared.

     If the task is canceled in the dialog, nothing is done if the file has not been updated.
(The next time the file is saved in SoundMaker, the updated file overwrites the existing file on SoundMaker.)

The Ctrl+L shortcut has been assigned to Reload Project.

Loading Bank Files from Outside the Project

A bank (.cbnk) file that is not registered in the project can be opened and edited in a tab from File > Open File.
The Open File submenu is available only when a project is open.

You can also open an unregistered bank file by dropping the file on some view other than a bank list view.
If you drop the bank file on the bank list view, the bank file is added to the bank list.

Drop-Loading External File

Supports drop-loading project files and waveform files to the application window (including sub windows).

When external files are dropped, a [+] is displayed in the mouse cursor.
When a file is dropped on a list or the Sample Map, the insert location is highlighted.

An error appears when a file that cannot be registered is dropped on a list.
During the selection and loading of several files, if there are illegal files, only the valid files are registered, and a single error appears for all of the illegal files.


Importing External Files

This section describes how to import external files that can be used by SoundMaker.


Importing STXT Files

What Is an STXT File?

An STXT file is an effect sound-definition file used by the Sysdolphin audio library. Sysdolphin is the development environment provided for the Nintendo GameCube.
This feature is used when taking game projects created using sysdolphin and porting them to the CTR.

How to Import STXT Files

This can only be performed when the Wave Sound Set is open in the Sound Set tab and the focus is on the Sound Set tab.
Select File → Import → Stxt... and specify the STXT file to be imported.

Importing STXT Files

Create a wave sound set using the filename of the STXT file specified.
The effect sound name defined inside the STXT file is used as the converted wave sound name.

The following information is imported into the wave sound from the playback information listed in the STXT file.

  • Reference waveform filenames and paths
  • Volume (AVOL command)
  • Priority (APRI command)

    • Priorities listed in the STXT file are converted into channel priorities.
  • Pitch (ATUNE command)
  • Pan (APAN command)
  • Surround pan (ASPAN command)
  • Effect mix (AMIXA and AMIXB commands)
  • Comments (denoted starting with //)

    • Only the first comment is imported from the lines in the STXT file where sound effects are described. (Sound-effect descriptions are inside curly brackets, {}, in the file.)

    The various parameter values configured in the STXT file are automatically scaled into SoundMaker values. The exception is the priority value, which is not scaled. The priority value as configured in the STXT file is used without modification.

    At the time of this release, the STXT file import supports only those parameters specified at the start of an effect sound in an STXT file.


Importing Other Projects

NW4C SoundMaker allows you to import project files for other platforms.

Importing Projects for Other Platforms

First, select File →Import →Project from Other Platform to open the file selection dialog box. You can then load Sound Projects created with SoundMaker applications other than the NW4C version (just be sure that the "Files of type" field is set to "Another Platform Project Files (.rspj; .sprj; .sarc)" before selecting a file).

Importing from NintendoWare for Revolution SoundMaker

The files that can be imported are as follows: project files (.rspj), sound set files (.rsst), bank files (.rbnk), and text sequence sound files (.rseq).

The project file being imported will remain unaltered after the import operation. Another file (with a separate extension) will be generated for the imported project in the same folder.

The specific processes the application will run when importing text sequence sound files are described below:

  • The strings "rseq" and "rinl" within the file will be converted en masse to "cseq" and cinl," respectively.
  • A recursive import will be run for any "rseq" files.

Importing from NITRO-SoundMaker

Import data from this application requires data that has already been converted using NITRO-SoundMaker.

The bank IDs and player IDs referenced in the @SEQ_TABLE section of any .mus files refer to the label files (.spdl) that are created after conversion using NITRO-SoundMaker. Because this information is required during the import, the data must be converted in NITRO-SoundMaker prior to the import operation.

Because NW4C SoundMaker shares some of the same code as NITRO-SoundMaker, projects that cannot be loaded in NITRO-SoundMaker cannot be imported in NW4C SoundMaker either.

The following table summarizes the files before and after conversion.

NITRO | NW4C
sprj | cspj
sarc | csst
bnk | cbnk
mus | The @SEQ_TABLE section will be converted to a sequence sound set (.csst file)
 | The @SEQ_DATA section will be loaded into a .cseq file
smft | cseq

These file extensions are merely representative examples. The fact that a given file extension doesn't appear in this table doesn't mean that it can't be imported.

Waveform archive.

In NITRO-SoundMaker, it was possible to configure multiple waveform archives for banks, but only the first of these waveform archives will be imported.

The second, third, and fourth of the specified waveform archives, which aren't referenced by anything, will not be imported into the waveform archive list.

Bank

SWAV, PSG, and NOISE waveforms will not be imported.
You must prepare your own waveform files in either .aiff or .wav format for your banks' instruments. The Comment column for any such instruments will display an error such as "[ERR] NOISE not supported."

Although it was not possible to configure instruments' volumes in NITRO-Composer, their volume will be set to a default value of 127.

Refer to the "Migration Guide" in the Sound System Manual for more information about the items that are added or deleted during an import.


Output Waveform File Feature

Each type of sound in the project can be output as a waveform file.

The following types of sounds can be output.

  • Stream Sound
  • Wave Sound
  • Sequence Sound

Output Waveform File

Select a sound from a list in the sound set tab and select Preview → Output Waveform File.
The Output Waveform File dialog box appears. Specify information such as output filename and maximum output time, and click OK to output the waveform file.

The same operation can be performed by selecting Output Waveform File from the shortcut menu on the list.

Multiple files to output can be selected.

The waveform file is output as a 16-bit/32 KHz, stereo wav file.

Caution

Although waveform can be output more quickly than the Hard disk recording feature, the effects are not reflected.


Automatic Processing Before and After Conversion

Configuring batch files to run before and after conversion

You can specify batch files (with the .bat extension) to run before and after conversion.

This can be used, for example, to always copy the binary file created by the conversion to another location or to change the file name.

This section describes the procedure to execute a batch file before and after conversion.

Configuring Batch Files to Launch

The batch file to launch is configured in the Project Settings dialog box.

Click Project and then Project Settings to open the Project Settings dialog box.

Select the Convert Event tab in the Project Settings dialog box. Enter the path of the batch files to run before and after conversion in Command before conversion and Command after conversion, respectively.

You can use either an absolute or a relative path. If a relative path has been specified, it is parsed as a relative path from the directory where the Project file is located.

You can temporarily disable a command by de-selecting its check box.

Starting with the next conversion, the batch file specified for a command will be run if that command's check box is selected.

Note: Interactive input of the type that requires input during execution is not supported when using Command before conversion or Command after conversion.


Search Feature

Use the Search window to find items in a Sound Project based on characters and special conditions. You can also search for references from a list.

Opening the Search Window

From the View menu, select Search to open a Search window.
You can also use the shortcut keys CTRL+F for this operation.

Using the Search Window

Search Range

Select the range to search from a drop-down list.

Entire Project

The entire project is subject to the search.

Current Sound Set or Current Bank

If a sound set is active, you can select to search the Current Sound Set. If a bank is active, you can select to search Current Bank.
This item is not shown if there is no active tab.

Current List

The list displaying in the active tab is the subject of the search.
This item is not shown if there is no active tab.

Search Target

The target of the search is the string specified in Search String, with the check box selected for either items contained in names or items contained in comments.

Options

「You can use the asterisk (*) as a wildcard by selecting the check box for Use wildcard in Search String.

   - When not checked:

     The asterisk symbol (*) is treated as a character for partial match queries.

   - When checked:

     The asterisk symbol (*) is treated as a wildcard for perfect matching.

Search Button

Find Next (Find Previous)

From the selected position in the active tab, a search is made for the next (or previous) item that matches the conditions, and the position of the found item is displayed selected in the Sound Set tab or the Bank tab.
Selecting this button will not close the Search window.

Find All

The search results are displayed as a list in the Search Result window.
The Search window closes when this button is pressed.

Search Result Window

When you select Find All in the Search window, a list of items that matched the search conditions is shown in the Search Result window.

To open the Search Result window, on the View menu, click Search Result, or click the Show Search Result button on the toolbar.
You can also use the shortcut keys CTRL+SHIFT+0 for this operation.

By double-clicking on an index cell in the search-result list, the item location is highlighted in the Sound Set tab or Bank tab.

There are several buttons at the top of the Search Result window that you can use to filter the search results into categories.
Click Show All to select them all.

The Search Result window appears as a docking window in the lower pane of the main window.

To make the Search Result window float, dock, or hide, select Floating, Docking, or Hide in the Search Result tab at the bottom of the window or from the title bar's shortcut menu.
You can also toggle between Floating and Docking by double-clicking the title bar.

When displaying as a docking window, you can minimize its display by clicking the Minimize icon on the right side of the title bar or by double-clicking the splitter.

Reference Search

To search for items that are using Players (banks), select and run Find All References from the shortcut menu of the Player list (bank list).

The entire project is searched for items referencing the target item and the results are displayed as a list in the Search Result window.

Warning messages are displayed in the Convert Log window for unreferenced items during conversion.


Conversion Log

The Convert Log window can be opened (made active) by selecting View and then Convert Log.
You can also use the CTRL+SHIFT+9 shortcut for this operation.

The Convert Log window displays a log of conversion activity.
Successful as well as failed conversion processes are kept in this log, so you can use this window to check on the latest status of registered items.

The Convert Log window appears as a docking window in the lower pane of the main window.
You can make the Convert Log window float, dock, or hide by selecting Floating, Docking, or Hide in the Convert Log tab at the bottom of the window or from the title bar's shortcut menu.
You can also toggle between Floating and Docking by double-clicking the title bar.

When displaying as a docking window, you can minimize its display by clicking the Minimize icon on the right side of the title bar or by double-clicking the splitter.

When an error occurs during conversion, you can select the error item in the Convert Log window and click Move to Target Item to select and display the warning or error in the Sound Set tab.
To perform the same operation, you can double-click an error item or right-click and select Move to Target Item from the shortcut menu.

Warnings are displayed in the following cases.

  • There is an item that has not been registered to the group (subjects are sounds, banks, and subgroups)
  • There is an unused item (subjects are players, groups, and banks)

The warning feature can be enabled/disabled using the Project Settings Dialog.

You can right-click an item selected in the Convert Log and run Copy from the shortcut menu during normal operation or when an error occurs.


Project Restore Feature

[Project] > [Restore Project] can be selected at the times such as when the reference file path of a project has changed, to check for the presence of these files and to automatically restore project files.

Since there are no settings for making repairs, repairs are executed merely by clicking "Yes" on the dialog box.

If a reference file cannot be found, it is possible to select a method for searching for the files in question by specifying a new file path below which to search.


Appendix

This section describes the additional information used by SoundMaker and such items as techniques for its use.


Player Heap

This section presents an overview of player heap operations and how to use it.

About the Player Heap

Under the NW4C sound development environment, a conventional sound heap is used as a method of managing memory used by snd library. To create a sound heap, it is first necessary to collect the sound data required by a scene into a unit called a "group." For example, assume there are dozens of tracks of BGM sequence data that can be played in a given scene. In this case, you must include all sequence data in a group which in turn requires a large amount of memory. It is possible to minimize the amount of memory consumed in cases like this by using a player heap.

In contrast to manually loading sound data when using a sound heap, with a player heap you can automatically load sounds when playback is set to start and automatically release them at the point playback ends. A released heap can be used to load the sound data to be played next.

The following example shows the difference between using a sound heap and using a player heap.

In this way, it is possible to play all sequences as long as the size of the player heap is large enough to load the sequence data having the largest data size out of all the BGM sequence data that can be played for the given scene.

Using Player Heaps

Player heap settings are made for a Player. Specify the size of the player heap using the player heap item on the Player List.

If an attempt is made to play a sequence sound using a Player for which a player heap has been set, the sequence data will be automatically loaded into the player heap. Including sequence data in a group therefore eliminates the need to load data into the sound heap ahead of time.

If sequence data is already loaded into the sound heap even though a player heap has been configured, the data in the sound heap is used and data is not loaded into the player heap.

Notes Regarding the Player Heap

Types of Data that Can Be Loaded

It is possible to load only sequence data into a player heap. Bank data, wave sound data and so on cannot be loaded.

Consumed Memory Size

The number of memory regions allocated for the player heap is given by the sound limit. For example, if the sound limit is three, memory three times the size specified for the player heap is consumed. Furthermore, the memory regions used for the player heap are allocated as static regions at time of initialization.

Playback Start Delay

Data is loaded at time of playback start when using a player heap. A delay occurs in the start of sound playback because playback of the sound does not actually start until after data has been loaded.

If you want sounds to start immediately at the start of playback, you can implement a playback preparation process on the program side so that data is loaded in the player heap ahead of time.


Working with a Large Project

This section describes tips and hints for working with large projects.

Shortening Conversion Times

Large projects that use a large number of waveform files can be an obstacle to normal work, especially due to the long conversion times.

The following two methods are considered to be effective solutions for addressing this issue.

1.Use Viewer instead of SoundPlayer

Although compared to SoundPlayer it may take longer at first to launch Viewer (which performs program transfers for each conversion), Viewer can check sounds simply by transferring sound data, making the operation smoother.

HioSoundPlayer, like Viewer, checks sounds simply by transferring sound data, but it cannot be used to view and manipulate various sound-related data like Viewer can.

2. Create a Sound Project just for Sound Sets edited most frequently

Although you will ultimately create a sound archive for use by the application, you can speed up normal work by creating several Sound Projects, registering those that are changed most frequently instead of working with just one Sound Project that includes all sounds.


Troubleshooting

This section describes problems that can easily arise or be encountered when using SoundMaker and how to resolve them.

SoundMaker no longer launches

Delete the (project_name).cspj.settings file and try to launch it again.

List items that should be included in a sound set or on the bank tab no longer appear

Delete the (project_name).cspj.settings file and try to launch it again.

Conversion fails

Try re-converting.
If the maximum number of parallel conversions set under Tools →Options is two or more, set it to one and try re-converting.

Characters No Longer Display in List

In lists in the Sound Set tab and the Bank tab, the numbers shown in the items on the far right side are sometimes overwritten by the display of the scrollbar and hidden from view.

Display example

When the screen state is like that shown here at the top and the Comments item is set to be hidden, the screen takes the state shown at the bottom and the values in the User Setting item can longer be seen.

If this happens, avoid problems by placing some item of low importance like the Comments item at the far right side.


Trademarks

Microsoft and Windows are registered trademarks or trademarks of Microsoft Corporation in the U.S. and other countries.

All other company and product names are registered trademarks or trademarks of their respective companies.


The Hard Disk Recording Feature

Note: The hard disk recording feature cannot be used under the current version.


Importing DLS Files

Note: DLS files cannot be imported under the current version.


Preview Player Parameters

Note: Preview player parameters represent a dedicated Viewer Panel and cannot be displayed under the current version.


Effect

NOTE: The current version of the application does not support preset files, so the Effect window will not be displayed.


Notes

This section includes precautions regarding the use of SoundPlayer.
Be sure to the check the items given in this section if SoundPlayer does not launch correctly.

If SoundPlayer Does Not Launch Correctly Under NDEV

Has a value been set for DvdRoot in NDEV software?

When launching a program using NDEV, DvdRoot must be set to an appropriate value using the SetNdEnv command.
If no value has been set, be sure to set one from the command line as follows.

SetNdEnv DvdRoot ""

Is there a connection to the Viewer?

To avoid problems resulting from the use of shortcut keys, SoundPlayer cannot be launched while there is a connection to Viewer.


Screen Display

SoundPlayer displays various sound-related information on a TV screen.
A simple window system is used on the screen; the window where the cursor appears is the active window.

This section explains the roles of the various windows on the screen and the meaning of what is displayed.

SoundArchivePlayer Window

This is the main window, where you start and stop the playback of sounds.

The SoundArchivePlayer window is divided into an upper and lower region.
The upper region is called the play pane, and the lower one is called the parameter pane.

The following information is displayed in order on each line of the play pane:
Sound Type: WSD, STM, and SEQ correspond to wave sounds, stream sounds, and sequence sounds, respectively.
Sound Number: The number of the selected sound.
Sound Name: The name of the selected sound.

In the parameter pane, the parameter type is displayed on the topmost line, while the values of each parameter are displayed on the next line.
The parameters have been divided into the following five types.
1. BASIC PARAMS
2. PLAY OPTION
3. OUT SWITCH
4. OUT VOLUME
5. SEND PARAMS

SoundSystem Window

Displays the status of the synthesizer and AX, such as current playback mode, the processing load on the DSP, and the communication status with the Wii Remote speaker. Used to confirm the sound's DSP load and other information and to switch playback modes.

Output Mode: Indicates the current sound playback mode.
MONAURAL: Monaural playback mode.
STEREO: Stereo playback mode. This is the default playback mode.
SURROUND: Dolby Surround (matrix) playback mode.
DPL2: Pro Logic II (Dolby Pro Logic II) playback mode.

Compressor: Displays the current compressor status.

Remote Volume: Indicates the volume of the Wii Remote.
It is possible to change hardware volume of the Wii Remote from the Wii System Settings menu.
The new hardware volume can be written to the system's internal flash memory.

REMOTE indicates with an icon the communication status with the Wii Remote.
The display corresponds to Wii Remote numbers 0 to 3, from the left.
-: Wii Remote speakers cannot be used
■: Wii Remote speakers can be used, but no data is being sent
Play mark: Data is being sent

THREAD indicates the processing load of the current sound thread.

DSP indicates the current processing load on the DSP.

AXVoiceViewer Window

This window shows the voice actually being output by the AX in real time and its level. Use this window to check, for example, how many voices the sequence sound is consuming.

xx/xx at the bottom of the window / ?? are numbers. Those to the left of the slash indicate the currently active number of physical voices. Whenever this number reaches a new high, it is displayed for a few seconds on the right.

MasterOutViewer Window

Displays the master-out status in waveform format in real time.
Use this window to identify the cause of clipped noise and so on.

Shows the waveform for the most recently played 8,192 samples (0.256 seconds).
You zoom and scroll inside this range.
The extent of horizontal zooming is shown in the scroll bar at the bottom of the window.

SoundHeap Window

Displays the state of the sound heap.
Use this window to try loading and destroying data in the sound heap.

Effect Window

The type of effect to be applied to the auxiliary bus and parameters for each effect can be changed.

As many as three effects can be registered to one bus and played in series.

SoundInfoViewer Window

Displays the state of sound. Switch pages to change the sound type.

-Sequence Sound Page One

Tempo can be adjusted to various values at even intervals.

-Sequence Sound Page Two

For sequence sounds, the various parameters for 16 channels are shown in real time.
The count column indicates the number of voices playing on that channel.

-Stream Sound Page One

(No usable items exist here.)

-Stream Sound Page Two

-Wave Sounds

(No usable items exist here.)

Player Window

Displays the Player's status and parameters. The parameters can also be changed in this window.

playing count shows the number of sounds currently being played and the most sounds played simultaneously since the monitoring began.
sound limit shows the sound limit of the Player being monitored.

PlaySoundList Window

Displays the list of sounds currently playing. You can switch between the display of all sounds, sounds by type, or sounds by Player.
When sounds by Player are displayed in this window, they are shown in the order of priority. For other displays, sounds are shown in Player order.

MIDI Window

Using the selected bank, plays back input signals through a MIDI adapter.
The input indicators are contained in the "MIDI In" row. Controller inputs 1, 2, 3, and 4 are numbered from the left.

For a detailed description of the MIDI adapter, see "Using the MIDI Adapter".

SeqVariable Window

This window is used to manipulate and check the state of sequence variables.

It has the following features.
- Displays the status of the current sequence variable
- Writes arbitrary values to the sequence variables
- Plays and stops the sounds that are selected in the SoundArchivePlayer window

First row is the title row, and it is separated into player variables, global variables, and track variables.
The first "0(0)" is the sequence variable number. Consecutive variable numbers are shown inside the parentheses; global variables start with 16, and track variables start with 32.
The number in the second column is the edit value. Merely changing the numerical value has no effect on the actual variable; to apply the change, a write operation must be performed.
The value in the third column is the value of the current sequence variable.

When playback of the sequence sounds begins, the edit value will be automatically written to the marked variable.

LogViewer Window

This window allows you to check warning messages and other information provided by OSReport.

The same string as serially output to the computer can be confirmed on the TV screen.


Menu Screen

Menu Screen Display

The menu screen can be displayed by pressing the START button on the GameCube controller or the HOME button on the Wii remote.
The displayed menu screen can be closed using the START button or B button on the GameCube controller or the HOME button on the Wii remote.

Menu Screen Features

On the menu screen, the current window layout displayed by SoundPlayer on the TV screen can be saved to an initial settings file used when SoundPlayer launches.

Saving Window Layout Initial Settings

Save Startup Layout

    Saves the current window layout to an initial settings file (with extension .brdwl).
    The file name for the initial settings file that is saved is %NW4C_ROOT%/SoundMaker/SoundPlayer/SoundPlayer.brdwl.

    When SoundPlayer is launched, the saved initial settings file for window layout (SoundPlayer.brdwl) will be copied to directly beneath the dvdroot specified in SoundMaker options. SoundPlayer will load this copied initial settings file for window layout, and restore the window layout saved in it.

    You must launch the MCS server when saving the window layout.
    If you are only restoring a saved layout, you do not need to launch the MCS server.


Stopping SoundPlayer

SoundPlayer must be stopped to perform conversions when dvdroot is set as the output destination or to start other programs under NDEV.

Stopping SoundPlayer

Select Preview, then Stop SoundPlayer.